<?php

// =============================== Ad 125x125 widget ======================================

class Woo_Widget_AdSpace125 extends WP_Widget {

	function Woo_Widget_AdSpace125 () {
		
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget_archive' );

		/* Widget control settings. */
		$control_ops = array('id_base' => 'advert_125x125' );

		/* Create the widget. */
		$this->WP_Widget( 'advert_125x125', __('Woo - Ads 125x125', 'woothemes' ), $widget_ops, $control_ops );
		
	} // End Constructor

	function widget( $args, $instance ) {

		$html = '';
		
		extract( $args, EXTR_SKIP );

		$ads_number = range( 1, $instance['ads_number']);

		$counter = 0;

		$html .= '<div id="advert_125x125" class="wrap widget">';
	
		foreach ( $ads_number as $number ) {

			$counter++;
			$img_url[$counter] = get_option( 'woo_ad_image_' . $number );
			$dest_url[$counter] = get_option( 'woo_ad_url_' . $number );

       		$html .= '<a href="' . $dest_url[$counter] . '"><img src="' . $img_url[$counter] . '" alt="Ad" /></a>';
	 	}

		$html .= '</div>'; //end ads

		echo $html ;
 	} // End widget()

	function update($new_instance, $old_instance) {  
		$instance = $old_instance;

		$instance['ads_number'] = strip_tags( $new_instance['ads_number'] );
		
		return $instance;     
	} // End update()

	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'ads_number' => '1' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>	

		<p>
			<label for="<?php echo $this->get_field_id( 'ads_number' ); ?>">Number of ads (1-4):</label>
			<input id="ads_number" name="<?php echo $this->get_field_name('ads_number'); ?>" type="text" class="widefat" value="<?php echo $instance['ads_number']; ?>" />
		</p>
	<?php } // End form()

} // End Class

add_action( 'widgets_init', create_function( '', 'return register_widget("Woo_Widget_AdSpace125");' ), 1 );
?>