/* DUPLICATOR MYSQL SCRIPT CREATED ON : 2015-05-06 15:08:22 */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_amazoncache` (
  `Cache_id` int(10) NOT NULL AUTO_INCREMENT,
  `URL` text COLLATE utf8_unicode_ci NOT NULL,
  `updated` datetime DEFAULT NULL,
  `body` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`Cache_id`),
  UNIQUE KEY `URL` (`URL`(255)),
  KEY `Updated` (`updated`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `hash` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `package` mediumblob NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_ib2_conversions` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `visitorid` varchar(100) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `revenue` decimal(5,2) NOT NULL,
  `subid` varchar(100) NOT NULL,
  `date` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_facebook` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `fb_id` varchar(100) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_funnel` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `group_id` bigint(20) NOT NULL,
  `page_type` varchar(100) NOT NULL,
  `template_id` int(11) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_groups` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `funnel_type` varchar(50) NOT NULL,
  `is_funnel` tinyint(2) DEFAULT '0',
  `created` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_hits` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `visitorid` varchar(100) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `url` varchar(255) NOT NULL,
  `ipaddress` varchar(50) NOT NULL,
  `referer` varchar(255) NOT NULL,
  `browser` varchar(50) NOT NULL,
  `location` varchar(100) NOT NULL,
  `subid` varchar(100) NOT NULL,
  `date` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_pages` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `group_id` bigint(20) NOT NULL,
  `name` varchar(255) NOT NULL,
  `status` varchar(100) NOT NULL,
  `created` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_quiz_questions` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `order` int(11) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `question` varchar(255) NOT NULL,
  `a1` varchar(255) NOT NULL,
  `a2` varchar(255) NOT NULL,
  `a3` varchar(255) NOT NULL,
  `a4` varchar(255) NOT NULL,
  `a5` varchar(255) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_quiz_stats` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `question` int(11) NOT NULL,
  `answer` varchar(15) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_quizzes` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `created` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_templates` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `screenshot` varchar(255) NOT NULL,
  `type` varchar(100) NOT NULL,
  `subtype` varchar(100) NOT NULL,
  `mode` varchar(20) NOT NULL,
  `tags` varchar(255) NOT NULL,
  `metadata` longtext NOT NULL,
  `version` tinyint(2) DEFAULT '0',
  `set` varchar(50) NOT NULL,
  `created` datetime NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=109 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_templatesets` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `title` varchar(255) NOT NULL,
  `optin` varchar(20) NOT NULL,
  `sales` varchar(20) NOT NULL,
  `launch` varchar(20) NOT NULL,
  `webinar` varchar(20) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_ib2_variants` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `variant` varchar(10) NOT NULL,
  `weight` int(11) NOT NULL,
  `quota` int(11) NOT NULL,
  `status` varchar(20) NOT NULL,
  UNIQUE KEY `id` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB AUTO_INCREMENT=571 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=223 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(20) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`),
  KEY `post_name` (`post_name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `name` (`name`(191)),
  KEY `slug` (`slug`(191))
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(64) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


/* INSERT TABLE DATA: wp_amazoncache */
INSERT INTO `wp_amazoncache` VALUES("1", "brooks-21ASIN1503028607ItemLookup", "2015-05-06 09:51:39", "<?xml version=\"1.0\" ?><ItemLookupResponse xmlns=\"http://webservices.amazon.com/AWSECommerceService/2011-08-01\"><OperationRequest><RequestId>1fecf29d-9b22-4b54-8244-ed42fbd87072</RequestId><Arguments><Argument Name=\"AWSAccessKeyId\" Value=\"AKIAIVXMOSTM5MW5GSCA\"></Argument><Argument Name=\"AssociateTag\" Value=\"brooks-21\"></Argument><Argument Name=\"IdType\" Value=\"ASIN\"></Argument><Argument Name=\"IncludeReviewsSummary\" Value=\"True\"></Argument><Argument Name=\"ItemId\" Value=\"1503028607\"></Argument><Argument Name=\"Operation\" Value=\"ItemLookup\"></Argument><Argument Name=\"ResponseGroup\" Value=\"Large\"></Argument><Argument Name=\"Service\" Value=\"AWSECommerceService\"></Argument><Argument Name=\"Timestamp\" Value=\"2015-05-06T14:51:39Z\"></Argument><Argument Name=\"TruncateReviewsAt\" Value=\"1\"></Argument><Argument Name=\"Version\" Value=\"2011-08-01\"></Argument><Argument Name=\"Signature\" Value=\"+2ugkqrWA1STbpUTUuda8UCbsjbrZkDzHSRTXyOM7mQ=\"></Argument></Arguments><RequestProcessingTime>0.0966760000000000</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1503028607</ItemId><ResponseGroup>Large</ResponseGroup><VariationPage>All</VariationPage><IncludeReviewsSummary>True</IncludeReviewsSummary><TruncateReviewsAt>1</TruncateReviewsAt></ItemLookupRequest></Request><Item><ASIN>1503028607</ASIN><DetailPageURL>http://www.amazon.co.uk/Private-Label-Rights-Master-Applications/dp/1503028607%3FSubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D165953%26creativeASIN%3D1503028607</DetailPageURL><ItemLinks><ItemLink><Description>Add To Wishlist</Description><URL>http://www.amazon.co.uk/gp/registry/wishlist/add-item.html%3Fasin.0%3D1503028607%26SubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D12734%26creativeASIN%3D1503028607</URL></ItemLink><ItemLink><Description>Tell A Friend</Description><URL>http://www.amazon.co.uk/gp/pdp/taf/1503028607%3FSubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D12734%26creativeASIN%3D1503028607</URL></ItemLink><ItemLink><Description>All Customer Reviews</Description><URL>http://www.amazon.co.uk/review/product/1503028607%3FSubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D12734%26creativeASIN%3D1503028607</URL></ItemLink><ItemLink><Description>All Offers</Description><URL>http://www.amazon.co.uk/gp/offer-listing/1503028607%3FSubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D12734%26creativeASIN%3D1503028607</URL></ItemLink></ItemLinks><SalesRank>1799973</SalesRank><SmallImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL75_.jpg</URL><Height Units=\"pixels\">75</Height><Width Units=\"pixels\">52</Width></SmallImage><MediumImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL160_.jpg</URL><Height Units=\"pixels\">160</Height><Width Units=\"pixels\">112</Width></MediumImage><LargeImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL.jpg</URL><Height Units=\"pixels\">500</Height><Width Units=\"pixels\">350</Width></LargeImage><ImageSets><ImageSet Category=\"primary\"><SwatchImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL30_.jpg</URL><Height Units=\"pixels\">30</Height><Width Units=\"pixels\">21</Width></SwatchImage><SmallImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL75_.jpg</URL><Height Units=\"pixels\">75</Height><Width Units=\"pixels\">52</Width></SmallImage><ThumbnailImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL75_.jpg</URL><Height Units=\"pixels\">75</Height><Width Units=\"pixels\">52</Width></ThumbnailImage><TinyImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL110_.jpg</URL><Height Units=\"pixels\">110</Height><Width Units=\"pixels\">77</Width></TinyImage><MediumImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL._SL160_.jpg</URL><Height Units=\"pixels\">160</Height><Width Units=\"pixels\">112</Width></MediumImage><LargeImage><URL>http://ecx.images-amazon.com/images/I/51ehREiloyL.jpg</URL><Height Units=\"pixels\">500</Height><Width Units=\"pixels\">350</Width></LargeImage></ImageSet><ImageSet Category=\"variant\"><SwatchImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL._SL30_.jpg</URL><Height Units=\"pixels\">30</Height><Width Units=\"pixels\">21</Width></SwatchImage><SmallImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL._SL75_.jpg</URL><Height Units=\"pixels\">75</Height><Width Units=\"pixels\">52</Width></SmallImage><ThumbnailImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL._SL75_.jpg</URL><Height Units=\"pixels\">75</Height><Width Units=\"pixels\">52</Width></ThumbnailImage><TinyImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL._SL110_.jpg</URL><Height Units=\"pixels\">110</Height><Width Units=\"pixels\">77</Width></TinyImage><MediumImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL._SL160_.jpg</URL><Height Units=\"pixels\">160</Height><Width Units=\"pixels\">112</Width></MediumImage><LargeImage><URL>http://ecx.images-amazon.com/images/I/41vVv1U3zfL.jpg</URL><Height Units=\"pixels\">500</Height><Width Units=\"pixels\">350</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Kathie Everett</Author><Binding>Paperback</Binding><EAN>9781503028609</EAN><EANList><EANListElement>9781503028609</EANListElement></EANList><ISBN>1503028607</ISBN><ItemDimensions><Height Units=\"hundredths-inches\">1000</Height><Length Units=\"hundredths-inches\">700</Length><Width Units=\"hundredths-inches\">10</Width></ItemDimensions><Label>CreateSpace Independent Publishing Platform</Label><Languages><Language><Name>English</Name><Type>Published</Type></Language><Language><Name>English</Name><Type>Original Language</Type></Language><Language><Name>English</Name><Type>Unknown</Type></Language></Languages><ListPrice><Amount>358</Amount><CurrencyCode>GBP</CurrencyCode><FormattedPrice>£3.58</FormattedPrice></ListPrice><Manufacturer>CreateSpace Independent Publishing Platform</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>40</NumberOfPages><PackageDimensions><Height Units=\"hundredths-inches\">10</Height><Length Units=\"hundredths-inches\">1000</Length><Weight Units=\"hundredths-pounds\">28</Weight><Width Units=\"hundredths-inches\">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><ProductTypeName>ABIS_BOOK</ProductTypeName><PublicationDate>2014-11-01</PublicationDate><Publisher>CreateSpace Independent Publishing Platform</Publisher><Studio>CreateSpace Independent Publishing Platform</Studio><Title>Private Label Rights Master: 15 Versatile Applications Of Private Label Rights Content On Your Website, Marketing And Money Making Endeavors</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>169</Amount><CurrencyCode>GBP</CurrencyCode><FormattedPrice>£1.69</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>346</Amount><CurrencyCode>GBP</CurrencyCode><FormattedPrice>£3.46</FormattedPrice></LowestUsedPrice><TotalNew>6</TotalNew><TotalUsed>1</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><MoreOffersUrl>http://www.amazon.co.uk/gp/offer-listing/1503028607%3FSubscriptionId%3DAKIAIVXMOSTM5MW5GSCA%26tag%3Dbrooks-21%26linkCode%3Dxm2%26camp%3D2025%26creative%3D12734%26creativeASIN%3D1503028607</MoreOffersUrl><Offer><OfferAttributes><Condition>New</Condition></OfferAttributes><OfferListing><OfferListingId>WjE7oDcU3QjVwt4ZZ6C821mDa1Ky3IVA1bNVnqx7yeZxVUL9uPV4tlQjeWYOlWCOqEMkY0oEmp1hM0ktCx9jWlnFtaW6QHUq</OfferListingId><Price><Amount>358</Amount><CurrencyCode>GBP</CurrencyCode><FormattedPrice>£3.58</FormattedPrice></Price><Availability>Usually dispatched within 24 hours</Availability><AvailabilityAttributes><AvailabilityType>now</AvailabilityType><MinimumHours>6</MinimumHours><MaximumHours>6</MaximumHours></AvailabilityAttributes><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><CustomerReviews><IFrameURL>http://www.amazon.co.uk/reviews/iframe?akid=AKIAIVXMOSTM5MW5GSCA&amp;alinkCode=xm2&amp;asin=1503028607&amp;atag=brooks-21&amp;exp=2015-05-07T14%3A51%3A39Z&amp;summary=1&amp;truncate=1&amp;v=2&amp;sig=epN%2BEuQk%2BWFvuwZAdqLmuh0XnPTHZZFGkZWUaItvCBg%3D</IFrameURL><HasReviews>false</HasReviews></CustomerReviews><BrowseNodes><BrowseNode><BrowseNodeId>68</BrowseNodeId><Name>Business, Finance &amp; Law</Name><Children><BrowseNode><BrowseNodeId>268091</BrowseNodeId><Name>Accounting</Name></BrowseNode><BrowseNode><BrowseNodeId>659886</BrowseNodeId><Name>Biographies &amp; Histories</Name></BrowseNode><BrowseNode><BrowseNodeId>276808</BrowseNodeId><Name>Careers</Name></BrowseNode><BrowseNode><BrowseNodeId>404214</BrowseNodeId><Name>E-Commerce</Name></BrowseNode><BrowseNode><BrowseNodeId>268153</BrowseNodeId><Name>Economics</Name></BrowseNode><BrowseNode><BrowseNodeId>275945</BrowseNodeId><Name>Law</Name></BrowseNode><BrowseNode><BrowseNodeId>268290</BrowseNodeId><Name>Management</Name></BrowseNode><BrowseNode><BrowseNodeId>268203</BrowseNodeId><Name>Personal Finance</Name></BrowseNode><BrowseNode><BrowseNodeId>268179</BrowseNodeId><Name>Professional Finance</Name></BrowseNode><BrowseNode><BrowseNodeId>659890</BrowseNodeId><Name>Reference &amp; Education</Name></BrowseNode><BrowseNode><BrowseNodeId>268314</BrowseNodeId><Name>Sales &amp; Marketing</Name></BrowseNode><BrowseNode><BrowseNodeId>268144</BrowseNodeId><Name>Small Business &amp; Entrepreneurship</Name></BrowseNode></Children><Ancestors><BrowseNode><BrowseNodeId>1025612</BrowseNodeId><Name>Subjects</Name><IsCategoryRoot>1</IsCategoryRoot><Ancestors><BrowseNode><BrowseNodeId>266239</BrowseNodeId><Name>Books</Name></BrowseNode></Ancestors></BrowseNode></Ancestors></BrowseNode></BrowseNodes></Item></Items></ItemLookupResponse>");

/* INSERT TABLE DATA: wp_commentmeta */
INSERT INTO `wp_commentmeta` VALUES("1", "1", "_wp_trash_meta_status", "1");
INSERT INTO `wp_commentmeta` VALUES("2", "1", "_wp_trash_meta_time", "1430851504");

/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("1", "1", "Mr WordPress", "", "https://wordpress.org/", "", "2014-09-16 17:32:31", "2014-09-16 17:32:31", "Hi, this is a comment.\nTo delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.", "0", "trash", "", "", "0", "0");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20150506_plrblog", "554a2e5e31b1a3299150506150814", "20", "2015-05-06 15:08:22", "admin", "O:11:\"DUP_Package\":16:{s:2:\"ID\";i:1;s:4:\"Name\";s:16:\"20150506_plrblog\";s:4:\"Hash\";s:29:\"554a2e5e31b1a3299150506150814\";s:8:\"NameHash\";s:46:\"20150506_plrblog_554a2e5e31b1a3299150506150814\";s:7:\"Version\";s:6:\"0.5.18\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:61:\"/home1/anton241/public_html/demobay.info/plr/wp-snapshots/tmp\";s:8:\"StoreURL\";s:37:\"http://demobay.info/plr/wp-snapshots/\";s:8:\"ScanFile\";s:56:\"20150506_plrblog_554a2e5e31b1a3299150506150814_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:58:\"20150506_plrblog_554a2e5e31b1a3299150506150814_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:44:\"/home1/anton241/public_html/demobay.info/plr\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:16:\"20150506_plrblog\";s:4:\"Hash\";s:29:\"554a2e5e31b1a3299150506150814\";s:8:\"NameHash\";s:46:\"20150506_plrblog_554a2e5e31b1a3299150506150814\";s:7:\"Version\";s:6:\"0.5.18\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:61:\"/home1/anton241/public_html/demobay.info/plr/wp-snapshots/tmp\";s:8:\"StoreURL\";s:37:\"http://demobay.info/plr/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:60:\"20150506_plrblog_554a2e5e31b1a3299150506150814_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":11:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:59:\"20150506_plrblog_554a2e5e31b1a3299150506150814_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}");

/* INSERT TABLE DATA: wp_ib2_templates */
INSERT INTO `wp_ib2_templates` VALUES("1", "cleanvideo3", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/clean-video-3.png", "sales", "videosales", "default", "video, sales page, clean, blue", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("2", "staytunepage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/staytuned.png", "coming", "", "default", "green,stay tuned,optin", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("3", "fancyvsp2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/fancy-vsp-2.png", "optin", "videosqueeze", "default", "fancy,video,squeeze page,black", "", "3", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("4", "vls3_confirm", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3-confirm.png", "others", "confirmation", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("5", "arrowoptinblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/arrow-optin-2.png", "optin", "videosqueeze", "default", "arrow,squeeze page,optin,testimonial,red", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("6", "vls2_launch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-launch.png", "launch", "", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("7", "videosalespage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/sales1.png", "sales", "", "default", "video,sales page,white,red", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("8", "classicsqueezegrey", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/class-squeeze-page.png", "optin", "textsqueeze", "default", "grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("9", "classicsqueezepage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-squeeze.png", "optin", "textsqueeze", "default", "grey", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("10", "vsp2steps2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vsp-2steps-2.png", "optin", "2stepsoptin", "default", "video,squeeze page,2 steps,video squeeze page,green", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("11", "simplesqueeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/squeeze1.png", "optin", "", "default", "green,squeeze page,optin,form", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("12", "classichybrid_confirm", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid-confirm.png", "others", "confirmation", "default", "dark,blue,white,navy", "", "2", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("13", "vls1_thanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-thanks.png", "others", "thankyou", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("14", "vls2_thanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-thanks.png", "others", "thankyou", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("15", "salesfancy3", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/sales-fancy3.png", "sales", "hybridsales", "default", "video,sales page,blue,fancy", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("16", "fittsl", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/fit-tsl.png", "optin", "textsqueeze", "default", "", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("17", "classic_confirm", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-confirm.png", "others", "confirmation", "default", "grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("18", "vls3_thanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3-thanks.png", "others", "thankyou", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("19", "otoplaingreen", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/oto-plain-2.png", "sales", "otosales", "default", "green", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("20", "glamsalespage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/glam-red.png", "sales", "hybridsales", "default", "red", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("21", "vls2_download", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-download.png", "others", "download", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("22", "beach2stepsoptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/beach-2steps-optin.png", "optin", "2stepsoptin", "default", "beach, 2 steps opt-in, mini squeeze", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("23", "vls2_confirm", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-confirm.png", "others", "confirmation", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("24", "saaslettergreen", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/saasletter-green.png", "sales", "hybridsales", "default", "green,saas", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("25", "webinarthanks2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar-thanks2.png", "webinar", "webinarthanks", "default", "webinar, thank you, grey,black, countdown", "", "2", "blackwebinar", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("26", "glossyvlsblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/glossy-vls-2.png", "sales", "videosales", "default", "blue", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("27", "colorfulvlsgold", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/colorful-vls-gold.png", "sales", "hybridsales", "default", "gold", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("28", "vls3_launch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3-launch.png", "launch", "", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("29", "navysales", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/navy-sales.png", "sales", "textsales", "default", "navy", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("30", "set1comingsoon", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set1-coming-soon1.png", "coming", "", "default", "elegan,coming soon,optin,countdown,blue", "", "2", "set1", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("31", "cleanlaunch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/clean-launch.png", "launch", "", "default", "clean,launch page, white", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("32", "generaloptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/general-mini-optin.png", "optin", "minisqueeze", "default", "mini,general,women,optin,form,squeeze page", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("33", "saasletterblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/saasletter-blue.png", "sales", "hybridsales", "default", "blue,saas", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("34", "thanksgrey", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/thank-you.png", "others", "thankyou", "default", "thank you, optin, grey, subscribed", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("35", "set2comingsoon", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set2-coming-soon.png", "coming", "", "default", "black,dark,coming soon,countdown,optin", "", "2", "set2", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("36", "classichybrid_squeeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid-squeeze.png", "optin", "videosqueeze", "default", "dark,blue,white,navy", "", "3", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("37", "vls3", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3.png", "sales", "videosales", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("38", "otoplainred", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/oto-plain-1.png", "sales", "otosales", "default", "red", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("39", "fancyvsp1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/fancy-vsp-1.png", "optin", "videosqueeze", "default", "fancy,video,squeeze page,blue", "", "3", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("40", "3stepsoptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/3steps-optin.png", "optin", "3stepsoptin", "default", "grey", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("41", "classic_oto", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-oto.png", "sales", "otosales", "default", "grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("42", "glossyvlsred", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/glossy-vls-1.png", "sales", "videosales", "default", "red", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("43", "classicsalespage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-sales.png", "sales", "textsales", "default", "long sales page, grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("44", "webinar5", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar5.png", "webinar", "webinarsignup", "default", "webinar,simple,green,popup", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("45", "boxedoptingreen", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/boxed-optin-green1.png", "optin", "videosqueeze", "default", "arrow,optin,report,green", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("46", "prosales", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/pro-sales-1.png", "sales", "hybridsales", "default", "clean,professional,sales page,video,corporate", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("47", "classichybrid_download", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid-download.png", "others", "download", "default", "", "", "2", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("48", "cleanvideo2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/clean-video-21.png", "sales", "videosales", "default", "grey,video,sales page,clean", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("49", "vls3_download", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3-download.png", "others", "download", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("50", "set2downloadpage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set2-download-now.png", "others", "download", "default", "black,dark,download page", "", "2", "set2", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("51", "set2thankyou", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set2-thank-you.png", "others", "thankyou", "default", "dark,black,green,thank you,confirmation", "", "2", "set2", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("52", "webinarthanks1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar-thanks1.png", "webinar", "webinarthanks", "default", "webinar, thank you, blue, countdown", "", "2", "bluewebinar", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("53", "classic_thanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-thanks.png", "others", "thankyou", "default", "grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("54", "set1downloadnow", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set1-download-now.png", "others", "download", "default", "download,thank you,blue", "", "2", "set1", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("55", "vls1_oto", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-oto.png", "sales", "otosales", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("56", "urgentoptingreen", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/urgent-opt-green.png", "optin", "2stepsoptin", "default", "urgent,optin,2 steps,squeeze page,countdown", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("57", "salesfancy1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/sales-fancy1.png", "sales", "hybridsales", "default", "video,sales page,red,black,fancy", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("58", "webinar4", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar4.png", "webinar", "webinarsignup", "default", "simple,webinar,black,grey", "", "2", "blackwebinar", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("59", "hybridslblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/hybridsl-blue.png", "sales", "hybridsales", "default", "blue,optin", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("60", "urgentoptblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/urgent-opt-blue.png", "optin", "2stepsoptin", "default", "optin,squeeze page, 2 steps, opt-in, urgency, blue, countdown", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("61", "otoplainorange", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/oto-plain-3.png", "sales", "otosales", "default", "orange", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("62", "classicleansqueeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-clean-squeeze.png", "optin", "videosqueeze", "default", "classic, clean, squeeze page, opt-in form, white, grey", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("63", "vsp2steps1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vsp-2steps-1.png", "optin", "2stepsoptin", "default", "video,squeeze page,2 steps,video squeeze page", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("64", "classichybrid_oto", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid-oto.png", "sales", "otosales", "default", "dark,blue,white,navy", "", "2", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("65", "supersimple1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/super-simple-1.png", "optin", "textsqueeze", "default", "simple,squeeze page,clean,grey", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("66", "fancylaunch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/fancy-launch.png", "launch", "", "default", "fancy,launch page, blue, navy", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("67", "natureoptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/nature-mini-optin.png", "optin", "minisqueeze", "default", "mini,squeeze page,mountain,nature,optin,full background", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("68", "vls1_launch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-launch.png", "launch", "", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("69", "oto1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/oto-1.png", "sales", "otosales", "default", "oto,clean,blue,video,upsell,downsell", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("70", "vls1_squeeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-squeeze.png", "optin", "videosqueeze", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("71", "vls1_download", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-download.png", "others", "download", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("72", "cleanvideo1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/clean-video-1.png", "sales", "videosales", "default", "video, sales page, clean, grey", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("73", "vls3_squeeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls3-squeeze.png", "optin", "videosqueeze", "default", "blue", "", "2", "vlsblue", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("74", "classichybrid_sales", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid.png", "sales", "hybridsales", "default", "dark,blue,white,navy,long sales letter", "", "3", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("75", "vls2_oto", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-oto.png", "sales", "otosales", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("76", "salesfancy2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/sales-fancy2.png", "sales", "hybridsales", "default", "video,sales page,orange,black,fancy", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("77", "arrowoptinred", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/arrow-optin-1.png", "optin", "videosqueeze", "default", "arrow,squeeze page,optin,testimonial,red", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("78", "softwaresales1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/software-sales-1.png", "sales", "hybridsales", "default", "software,video,sales page,corporate,fancy,elegant,blue", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("79", "classic_download", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-download.png", "others", "download", "default", "grey", "", "2", "classicgrey", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("80", "seacomingsoon", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/sea-coming-soon.png", "coming", "", "default", "sea,coming soon, optin, countdown", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("81", "urgentoptorange", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/urgent-opt-orange.png", "optin", "2stepsoptin", "default", "optin,squeeze page, 2 steps, opt-in, urgency, orange, countdown", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("82", "cleanwebinar", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/clean-webinar.png", "webinar", "webinarsignup", "default", "", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("83", "buildingoptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/building-optin.png", "optin", "minisqueeze", "default", "building, optin, mini squeeze, form, squeeze page", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("84", "simplethanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/simple-thanks.png", "others", "thankyou", "default", "thank you, optin, squeeze, report, simple", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("85", "vls1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1.png", "sales", "videosales", "default", "green,video sales page", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("86", "supersimple2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/super-simple-2.png", "optin", "textsqueeze", "default", "simple,squeeze page,clean,grey,boxed", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("87", "beachoptin", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/beach-mini-optin.png", "optin", "minisqueeze", "default", "beach, optin, squeeze page, form, transparent", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("88", "vspelegant1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vsp-elegant1.png", "sales", "hybridsales", "default", "elegant,video,sales page,trial,brown", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("89", "exclusive_squeeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/exclusive-squeeze.png", "optin", "", "default", "green", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("90", "vls2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2.png", "sales", "videosales", "default", "orange,video sales page", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("91", "boxedoptinblue", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/boxed-optin-blue2.png", "optin", "videosqueeze", "default", "arrow,optin,report,blue", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("92", "standardlaunch", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/standard-launch.png", "launch", "", "default", "standard,launch page,black,white", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("93", "webinar2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar2.png", "webinar", "webinarsignup", "default", "orange,fancy,webinar,video", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("94", "set1thankyou", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/set1-thank-you.png", "others", "thankyou", "default", "confirmation,thank you,blue", "", "2", "set1", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("95", "3stepsoptindark", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/3steps-optin-dark.png", "optin", "3stepsoptin", "default", "dark,black", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("96", "vls1_confirm", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls1-confirm.png", "others", "confirmation", "default", "green", "", "2", "vlsgreen", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("97", "weightloss", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/weight-loss-mini.png", "optin", "minisqueeze", "default", "weight loss, women, optin, pink, blue, diet, squeeze page, mini", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("98", "arrowoptingreen", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/arrow-optin-3.png", "optin", "videosqueeze", "default", "arrow,squeeze page,optin,testimonial,green", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("99", "vspelegant2", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vsp-elegant2.png", "sales", "hybridsales", "default", "elegant,video,sales page,trial,blue", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("100", "elegantsqueezepage", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/elegant-squeeze.png", "optin", "videosqueeze", "default", "elegant,blue,optin,squeeze", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("101", "vls2_squeeze", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/vls2-squeeze.png", "optin", "videosqueeze", "default", "orange", "", "2", "vlsorange", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("102", "simplecomingsoon", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/simple-coming-soon.png", "coming", "", "default", "coming soon, circular countdown, blue", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("103", "yellowwall", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/yellow-wall.png", "sales", "videosales", "default", "yellow, wall", "", "2", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("104", "classichybrid_thanks", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/classic-hybrid-thanks.png", "others", "thankyou", "default", "dark,blue,white,navy", "", "2", "classichybrid", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("105", "exclusivesqueeze_orange", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/exclusive-squeeze-orange.png", "optin", "", "default", "orange", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("106", "webinar1", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar-blue.png", "webinar", "webinarsignup", "default", "blue,black", "", "3", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("107", "colorfulvlsred", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/colorful-vls.png", "sales", "hybridsales", "default", "red", "", "0", "", "2015-05-05 12:34:53");
INSERT INTO `wp_ib2_templates` VALUES("108", "webinar3", "{%IB2_PLUGIN_URL%}assets/img/templates/screenshots/webinar3.png", "webinar", "webinarsignup", "default", "simple,webinar,blue", "", "2", "bluewebinar", "2015-05-05 12:34:53");

/* INSERT TABLE DATA: wp_ib2_templatesets */
INSERT INTO `wp_ib2_templatesets` VALUES("1", "blackwebinar", "Pro Webinar (Black)", "no", "no", "no", "yes");
INSERT INTO `wp_ib2_templatesets` VALUES("2", "bluewebinar", "Pro Webinar (Blue)", "no", "no", "no", "yes");
INSERT INTO `wp_ib2_templatesets` VALUES("3", "classicgrey", "Classic Set (Grey)", "yes", "yes", "no", "no");
INSERT INTO `wp_ib2_templatesets` VALUES("4", "classichybrid", "Classic Hybrid", "yes", "yes", "no", "no");
INSERT INTO `wp_ib2_templatesets` VALUES("5", "vlsblue", "Clean Set (Blue)", "yes", "yes", "yes", "no");
INSERT INTO `wp_ib2_templatesets` VALUES("6", "vlsgreen", "Clean Set (Green)", "yes", "yes", "yes", "no");
INSERT INTO `wp_ib2_templatesets` VALUES("7", "vlsorange", "Clean Set (Orange)", "yes", "yes", "yes", "no");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://demobay.info/plr", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://demobay.info/plr", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "PLR Blog", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "mail@yourmail.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "1", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "gzipcompression", "0", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:10:{i:0;s:60:\"amazon-product-in-a-post-plugin/amazon-product-in-a-post.php\";i:1;s:48:\"clickbank-ads-clickbank-widget/clickbank-ads.php\";i:2;s:36:\"contact-form-7/wp-contact-form-7.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:36:\"google-sitemap-generator/sitemap.php\";i:5;s:33:\"privacy-policy/privacy-policy.php\";i:6;s:43:\"shortcodes-ultimate/shortcodes-ultimate.php\";i:7;s:41:\"social-share-boost/social-share-boost.php\";i:8;s:27:\"wp-super-cache/wp-cache.php\";i:9;s:32:\"wpfree-images/pixabay-images.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "advanced_edit", "0", "yes");
INSERT INTO `wp_options` VALUES("37", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("38", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("39", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("40", "recently_edited", "a:2:{i:0;s:85:\"/home1/anton241/public_html/demobay.info/plr/wp-content/themes/lifestyle_20/style.css\";i:1;s:0:\"\";}", "no");
INSERT INTO `wp_options` VALUES("41", "template", "gazette", "yes");
INSERT INTO `wp_options` VALUES("42", "stylesheet", "gazette", "yes");
INSERT INTO `wp_options` VALUES("43", "comment_whitelist", "", "yes");
INSERT INTO `wp_options` VALUES("44", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("45", "comment_registration", "1", "yes");
INSERT INTO `wp_options` VALUES("46", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("47", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("48", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("49", "db_version", "31533", "yes");
INSERT INTO `wp_options` VALUES("50", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("51", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("52", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("53", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("54", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("55", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("56", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("57", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("58", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("61", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("64", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_link_type", "file", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("69", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_for_old_posts", "", "yes");
INSERT INTO `wp_options` VALUES("71", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments", "", "yes");
INSERT INTO `wp_options` VALUES("73", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("74", "page_comments", "", "yes");
INSERT INTO `wp_options` VALUES("75", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("76", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("77", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("78", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_text", "a:6:{i:1;a:0:{}i:2;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:169:\"<a href=\"http://sheila57.ebookmaven.hop.clickbank.net\"><img src=\"http://ebookselfpublishingsecrets.com/wp-content/uploads/2010/08/300-X-250.jpg\" alt=\"\" border=\"0\" /></a>\";s:6:\"filter\";b:0;}i:3;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:392:\"<div class=\"AW-Form-1306470723\"></div>\r\n<script type=\"text/javascript\">(function(d, s, id) {\r\n    var js, fjs = d.getElementsByTagName(s)[0];\r\n    if (d.getElementById(id)) return;\r\n    js = d.createElement(s); js.id = id;\r\n    js.src = \"http://forms.aweber.com/form/23/1306470723.js\";\r\n    fjs.parentNode.insertBefore(js, fjs);\r\n    }(document, \"script\", \"aweber-wjs-5pbnfzm32\"));\r\n</script>\";s:6:\"filter\";b:0;}i:4;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:177:\"<a\r\nhref=\"http://sheila57.zoheb01.hop.clickbank.net\"\r\ntarget=\"_blank\"><img\r\nsrc=\"http://meditating-music.com/banners/336X280.png\" alt=Listen Now To\r\nGreat Meditation Music\"></a>\";s:6:\"filter\";b:0;}i:5;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:296:\"<a target=\"_blank\" href=\"http://www.contentprofessor.com/go.php?offer=sheila57&pid=1\"> <img border=\"0\" src=\"http://www.contentprofessor.com/images/banners/articlespinner_300x250b.jpg\" align=\"center\" alt=\"Online Article Spinner\" title=\"Spin Your Articles for Free at ContentProfessor.com\" /></a>\r\n\";s:6:\"filter\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("82", "uninstall_plugins", "a:1:{s:27:\"wp-super-cache/wp-cache.php\";s:23:\"wpsupercache_deactivate\";}", "no");
INSERT INTO `wp_options` VALUES("83", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("84", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("86", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("88", "initial_db_version", "29630", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("90", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("91", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("92", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("93", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "sidebars_widgets", "a:5:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:6:\"text-2\";}s:9:\"sidebar-1\";a:6:{i:0;s:6:\"text-4\";i:1;s:6:\"text-3\";i:2;s:8:\"search-2\";i:3;s:14:\"recent-posts-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"text-5\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("96", "cron", "a:15:{i:1430926199;a:1:{s:14:\"mm_cron_hourly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1430927662;a:1:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:0:{}}}}i:1430927758;a:1:{s:13:\"sm_ping_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1430933556;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1430933575;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1430934340;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1430939863;a:1:{s:14:\"redux_tracking\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1430956800;a:1:{s:11:\"wp_cache_gc\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1430958599;a:1:{s:18:\"mm_cron_twicedaily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1430958893;a:1:{s:34:\"check_plugin_updates-instabuilder2\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1430979846;a:1:{s:20:\"wp_maybe_auto_update\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1431001799;a:1:{s:13:\"mm_cron_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1431433799;a:1:{s:14:\"mm_cron_weekly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1433464199;a:1:{s:15:\"mm_cron_monthly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:7:\"monthly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:2635200;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("98", "_transient_random_seed", "7ac15bde70e86641ddce214cf4fd13fd", "yes");
INSERT INTO `wp_options` VALUES("123", "recently_activated", "a:2:{s:40:\"mojo-marketplace-hg/mojo-marketplace.php\";i:1430829088;s:19:\"jetpack/jetpack.php\";i:1430829084;}", "yes");
INSERT INTO `wp_options` VALUES("125", "ossdl_off_cdn_url", "http://demobay.info/plr", "yes");
INSERT INTO `wp_options` VALUES("126", "ossdl_off_include_dirs", "wp-content,wp-includes", "yes");
INSERT INTO `wp_options` VALUES("127", "ossdl_off_exclude", ".php", "yes");
INSERT INTO `wp_options` VALUES("128", "ossdl_cname", "", "yes");
INSERT INTO `wp_options` VALUES("135", "wpsupercache_start", "1410889364", "yes");
INSERT INTO `wp_options` VALUES("136", "wpsupercache_count", "0", "yes");
INSERT INTO `wp_options` VALUES("137", "supercache_stats", "a:3:{s:9:\"generated\";i:1410890650;s:10:\"supercache\";a:5:{s:7:\"expired\";i:0;s:12:\"expired_list\";a:0:{}s:6:\"cached\";i:0;s:11:\"cached_list\";a:0:{}s:2:\"ts\";i:1410890650;}s:7:\"wpcache\";a:3:{s:6:\"cached\";i:0;s:7:\"expired\";i:0;s:5:\"fsize\";s:3:\"0KB\";}}", "yes");
INSERT INTO `wp_options` VALUES("150", "jpstart_wizard_has_run", "1", "yes");
INSERT INTO `wp_options` VALUES("151", "_transient_timeout_mm_test", "1433248187", "no");
INSERT INTO `wp_options` VALUES("152", "_transient_mm_test", "a:2:{s:4:\"name\";s:18:\"spam-prevention-v1\";s:3:\"key\";s:32:\"a736d113a8bda8c8e934a9b2bd73b7b4\";}", "no");
INSERT INTO `wp_options` VALUES("153", "mm_previous_tests", "a:1:{i:0;s:18:\"spam-prevention-v1\";}", "yes");
INSERT INTO `wp_options` VALUES("154", "_transient_timeout_mm_spam_6dd68bbf422bc4de7f9c202a8b04af0f", "1430915388", "no");
INSERT INTO `wp_options` VALUES("155", "_transient_mm_spam_6dd68bbf422bc4de7f9c202a8b04af0f", "no", "no");
INSERT INTO `wp_options` VALUES("156", "jetpack_file_data", "a:1:{s:5:\"3.2.1\";a:46:{s:32:\"e818afdbb08456e3b78324d01d9b79e5\";a:10:{s:4:\"name\";s:20:\"Spelling and Grammar\";s:11:\"description\";s:89:\"Check your spelling, style, and grammar with the After the Deadline proofreading service.\";s:4:\"sort\";s:1:\"6\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"960c4a17d4fa4e3b49cf01d576650c21\";a:10:{s:4:\"name\";s:8:\"Carousel\";s:11:\"description\";s:63:\"Transform standard image galleries into full-screen slideshows.\";s:4:\"sort\";s:2:\"22\";s:10:\"introduced\";s:3:\"1.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";}s:32:\"d5629d50e082bee7e579cfc1009c1522\";a:10:{s:4:\"name\";s:16:\"Jetpack Comments\";s:11:\"description\";s:79:\"Let readers comment with WordPress.com, Twitter, Facebook, or Google+ accounts.\";s:4:\"sort\";s:2:\"20\";s:10:\"introduced\";s:3:\"1.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"53cb52c49967da57883d5609ff9ac25e\";a:10:{s:4:\"name\";s:12:\"Contact Form\";s:11:\"description\";s:44:\"Insert a contact form anywhere on your site.\";s:4:\"sort\";s:2:\"15\";s:10:\"introduced\";s:3:\"1.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";}s:32:\"154b6c638bced0ba4107f9bcfb09bb8a\";a:10:{s:4:\"name\";s:20:\"Custom Content Types\";s:11:\"description\";s:92:\"Organize and display different types of content on your site, separate from posts and pages.\";s:4:\"sort\";s:2:\"34\";s:10:\"introduced\";s:3:\"3.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"95185f0ab92523571234fca7d0610ac9\";a:10:{s:4:\"name\";s:10:\"Custom CSS\";s:11:\"description\";s:57:\"Customize your site’s CSS without modifying your theme.\";s:4:\"sort\";s:1:\"2\";s:10:\"introduced\";s:3:\"1.7\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";}s:32:\"b72899219e0fc720fd4d84e28488b844\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"4a360e9987bfa6bb554235669025398b\";a:10:{s:4:\"name\";s:21:\"Enhanced Distribution\";s:11:\"description\";s:74:\"Share your public posts and comments to search engines and other services.\";s:4:\"sort\";s:1:\"5\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"232e493a44fd8e692bd8f3aefc0c16df\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"f688efb149910dff0f812000b0bcd9bb\";a:10:{s:4:\"name\";s:19:\"Gravatar Hovercards\";s:11:\"description\";s:58:\"Enable pop-up business cards over commenters’ Gravatars.\";s:4:\"sort\";s:2:\"11\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";}s:32:\"24bbcd4eb16142aabf63d039ee98eecf\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:8:\"2.0.3 ??\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";}s:32:\"5516ffe4f53645f4cdd0a5ca146a244c\";a:10:{s:4:\"name\";s:15:\"Infinite Scroll\";s:11:\"description\";s:46:\"Add support for infinite scroll to your theme.\";s:4:\"sort\";s:2:\"26\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";}s:32:\"8e633d276a93c62966c88b8ffcb67cee\";a:10:{s:4:\"name\";s:8:\"JSON API\";s:11:\"description\";s:69:\"Allow applications to securely access your content through the cloud.\";s:4:\"sort\";s:2:\"19\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:19:\"Writing, Developers\";}s:32:\"d25c922e13cf423909080f3f7725d61c\";a:10:{s:4:\"name\";s:14:\"Beautiful Math\";s:11:\"description\";s:85:\"Use LaTeX markup language in posts and pages for complex equations and other geekery.\";s:4:\"sort\";s:2:\"12\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"779c27e0051ec0131cac327a82a259ed\";a:10:{s:4:\"name\";s:5:\"Likes\";s:11:\"description\";s:70:\"Give visitors an easy way to show their appreciation for your content.\";s:4:\"sort\";s:2:\"23\";s:10:\"introduced\";s:3:\"2.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"b8940ff219e763a7aafff4deb9f91ad5\";a:10:{s:4:\"name\";s:8:\"Markdown\";s:11:\"description\";s:51:\"Write posts or pages in plain-text Markdown syntax.\";s:4:\"sort\";s:2:\"31\";s:10:\"introduced\";s:3:\"2.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"0249265450f645b7af8b82ff31d1b043\";a:10:{s:4:\"name\";s:12:\"Mobile Theme\";s:11:\"description\";s:71:\"Optimize your site with a mobile-friendly theme for tablets and phones.\";s:4:\"sort\";s:2:\"21\";s:10:\"introduced\";s:3:\"1.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Appearance, Mobile\";}s:32:\"72c177ed524ff3a20da49cad0931da61\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"a943ac7236653d501b10f6cdd7543938\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"9767bcd67f0e4f50b318559c1e2c57f7\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"2d8b0fd9156182fb879a52090a787878\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"527cb6d4bd608453f1878bdc1cbbcc5a\";a:10:{s:4:\"name\";s:7:\"Monitor\";s:11:\"description\";s:88:\"Receive notifications from Jetpack if your site goes offline — and when it it returns.\";s:4:\"sort\";s:2:\"28\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";}s:32:\"50f10dbb77e8b37cad98ea3f054dcf4c\";a:10:{s:4:\"name\";s:13:\"Notifications\";s:11:\"description\";s:84:\"Receive notification of site activity via the admin toolbar and your Mobile devices.\";s:4:\"sort\";s:2:\"13\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";}s:32:\"f930ed3044b40668009a42e941e108d4\";a:10:{s:4:\"name\";s:10:\"Omnisearch\";s:11:\"description\";s:66:\"Search your entire database from a single field in your Dashboard.\";s:4:\"sort\";s:2:\"16\";s:10:\"introduced\";s:3:\"2.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Developers\";}s:32:\"8191d9542918a2511d25bdef25ca699a\";a:10:{s:4:\"name\";s:6:\"Photon\";s:11:\"description\";s:66:\"Accelerate your site by loading images from the WordPress.com CDN.\";s:4:\"sort\";s:2:\"25\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:29:\"Photos and Videos, Appearance\";}s:32:\"cea43c23ca49f97299e9f67784a9fa66\";a:10:{s:4:\"name\";s:13:\"Post by Email\";s:11:\"description\";s:58:\"Publish posts by email, using any device and email client.\";s:4:\"sort\";s:2:\"14\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";}s:32:\"f3d4135e245d41622ff7cc2e41006d11\";a:10:{s:4:\"name\";s:9:\"Publicize\";s:11:\"description\";s:55:\"Share new posts on social media networks automatically.\";s:4:\"sort\";s:2:\"10\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"18de99d0a30ccb884f59efa1a571fe43\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"7497f5399e8234c5d55b3f4b532b3c8a\";a:10:{s:4:\"name\";s:13:\"Related Posts\";s:11:\"description\";s:60:\"Display links to your related content under posts and pages.\";s:4:\"sort\";s:2:\"29\";s:10:\"introduced\";s:3:\"2.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";}s:32:\"91c1e8b2d209f4edd8aff50a3072e95b\";a:10:{s:4:\"name\";s:7:\"Sharing\";s:11:\"description\";s:81:\"Allow visitors to share your content on Facebook, Twitter, and more with a click.\";s:4:\"sort\";s:1:\"7\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"97edcdf69c9feba654103107b953544d\";a:10:{s:4:\"name\";s:16:\"Shortcode Embeds\";s:11:\"description\";s:77:\"Embed content from YouTube, Vimeo, SlideShare, and more, no coding necessary.\";s:4:\"sort\";s:1:\"3\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:46:\"Photos and Videos, Social, Writing, Appearance\";}s:32:\"c95721ce99ce93b911a6040267533e03\";a:10:{s:4:\"name\";s:16:\"WP.me Shortlinks\";s:11:\"description\";s:56:\"Enable WP.me-powered shortlinks for all posts and pages.\";s:4:\"sort\";s:1:\"8\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"09b9e46af8903a5c8c7e593c7676cbff\";a:10:{s:4:\"name\";s:9:\"Site Icon\";s:11:\"description\";s:30:\"Add an site icon to your site.\";s:4:\"sort\";s:2:\"22\";s:10:\"introduced\";s:3:\"3.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:5:\"Other\";}s:32:\"1ce6c3f239956ad98ae27a257a80d1c7\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"f51730172e52c6168f971cb56a764506\";a:10:{s:4:\"name\";s:22:\"Jetpack Single Sign On\";s:11:\"description\";s:62:\"Allow your users to log in using their WordPress.com accounts.\";s:4:\"sort\";s:2:\"30\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Developers\";}s:32:\"83d796109bcdba5efcc75ebfe605dc41\";a:10:{s:4:\"name\";s:19:\"WordPress.com Stats\";s:11:\"description\";s:85:\"Monitor your stats with clear, concise reports and no additional load on your server.\";s:4:\"sort\";s:1:\"1\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"WordPress.com Stats\";}s:32:\"dbd38e23f55862e0a42e84618307d0f3\";a:10:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";s:88:\"Allow users to subscribe to your posts and comments and receive notifications via email.\";s:4:\"sort\";s:1:\"9\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";}s:32:\"84fa5080dd99664bd89857adcad05d42\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"c6e5d87a5372ae7cd0eccfddb8233fd6\";a:10:{s:4:\"name\";s:15:\"Tiled Galleries\";s:11:\"description\";s:73:\"Display your image galleries in a variety of sleek, graphic arrangements.\";s:4:\"sort\";s:2:\"24\";s:10:\"introduced\";s:3:\"2.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";}s:32:\"f2b59ccacbac5ee8ffc1915bb8d0e4d6\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}s:32:\"37ccf8ef69f8e5db00bee798a502d68b\";a:10:{s:4:\"name\";s:10:\"VaultPress\";s:11:\"description\";s:85:\"Protect your site with automatic backups and security scans. (Subscription required.)\";s:4:\"sort\";s:2:\"32\";s:10:\"introduced\";s:5:\"0:1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:5:\"false\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";}s:32:\"93e0b885dd06f557940745511f556f0c\";a:10:{s:4:\"name\";s:17:\"Site Verification\";s:11:\"description\";s:78:\"Verify your site or domain with Google Webmaster Tools, Pinterest, and others.\";s:4:\"sort\";s:2:\"33\";s:10:\"introduced\";s:3:\"3.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";}s:32:\"bee1e6c829f82d65d2eb5e4c11502a3a\";a:10:{s:4:\"name\";s:10:\"VideoPress\";s:11:\"description\";s:66:\"Upload and host video right on your site. (Subscription required.)\";s:4:\"sort\";s:2:\"27\";s:10:\"introduced\";s:3:\"2.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:17:\"Photos and Videos\";}s:32:\"1d607a573efbe70de5a621c7a25e9a09\";a:10:{s:4:\"name\";s:17:\"Widget Visibility\";s:11:\"description\";s:57:\"Specify which widgets appear on which pages of your site.\";s:4:\"sort\";s:2:\"17\";s:10:\"introduced\";s:3:\"2.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";}s:32:\"7a8c0cc558abc467b65b9b1a3f559930\";a:10:{s:4:\"name\";s:21:\"Extra Sidebar Widgets\";s:11:\"description\";s:79:\"Add images, Twitter streams, your site’s RSS links, and more to your sidebar.\";s:4:\"sort\";s:1:\"4\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";}s:32:\"133263aaefd7c751d1c0ad70751f560e\";a:10:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("157", "jetpack_available_modules", "a:1:{s:5:\"3.2.1\";a:34:{s:18:\"after-the-deadline\";s:3:\"1.1\";s:8:\"carousel\";s:3:\"1.5\";s:8:\"comments\";s:3:\"1.4\";s:12:\"contact-form\";s:3:\"1.3\";s:20:\"custom-content-types\";s:3:\"3.1\";s:10:\"custom-css\";s:3:\"1.7\";s:21:\"enhanced-distribution\";s:3:\"1.2\";s:19:\"gravatar-hovercards\";s:3:\"1.1\";s:15:\"infinite-scroll\";s:3:\"2.0\";s:8:\"json-api\";s:3:\"1.9\";s:5:\"latex\";s:3:\"1.1\";s:5:\"likes\";s:3:\"2.2\";s:8:\"markdown\";s:3:\"2.8\";s:9:\"minileven\";s:3:\"1.8\";s:7:\"monitor\";s:3:\"2.6\";s:5:\"notes\";s:3:\"1.9\";s:10:\"omnisearch\";s:3:\"2.3\";s:6:\"photon\";s:3:\"2.0\";s:13:\"post-by-email\";s:3:\"2.0\";s:9:\"publicize\";s:3:\"2.0\";s:13:\"related-posts\";s:3:\"2.9\";s:10:\"sharedaddy\";s:3:\"1.1\";s:10:\"shortcodes\";s:3:\"1.1\";s:10:\"shortlinks\";s:3:\"1.1\";s:9:\"site-icon\";s:3:\"3.2\";s:3:\"sso\";s:3:\"2.6\";s:5:\"stats\";s:3:\"1.1\";s:13:\"subscriptions\";s:3:\"1.2\";s:13:\"tiled-gallery\";s:3:\"2.1\";s:10:\"vaultpress\";s:5:\"0:1.2\";s:18:\"verification-tools\";s:3:\"3.0\";s:10:\"videopress\";s:3:\"2.5\";s:17:\"widget-visibility\";s:3:\"2.4\";s:7:\"widgets\";s:3:\"1.2\";}}", "yes");
INSERT INTO `wp_options` VALUES("162", "mm_master_aff", "hostgator", "yes");
INSERT INTO `wp_options` VALUES("163", "mm_install_date", "May 05, 2015", "yes");
INSERT INTO `wp_options` VALUES("164", "_site_transient_timeout_browser_8573ab448203183ab7511e8ef5367263", "1431433799", "yes");
INSERT INTO `wp_options` VALUES("165", "_site_transient_browser_8573ab448203183ab7511e8ef5367263", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"37.0\";s:10:\"update_url\";s:23:\"http://www.firefox.com/\";s:7:\"img_src\";s:50:\"http://s.wordpress.org/images/browsers/firefox.png\";s:11:\"img_src_ssl\";s:49:\"https://wordpress.org/images/browsers/firefox.png\";s:15:\"current_version\";s:2:\"16\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("166", "mm_cron", "a:3:{s:5:\"daily\";a:1:{s:14:\"plugin_version\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:14:\"plugin_version\";s:2:\"el\";s:5:\"0.5.9\";}}s:6:\"weekly\";a:1:{s:10:\"wp_version\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:10:\"wp_version\";s:2:\"el\";s:3:\"4.0\";}}s:7:\"monthly\";a:3:{s:12:\"plugin_count\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:12:\"plugin_count\";s:2:\"el\";i:3;}s:11:\"theme_count\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:11:\"theme_count\";s:2:\"el\";i:3;}s:13:\"current_theme\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:13:\"current_theme\";s:2:\"el\";s:14:\"twentyfourteen\";}}}", "yes");
INSERT INTO `wp_options` VALUES("167", "_site_transient_timeout_ghu-1eda13567dd0e7ce35b07e674764d1ef", "1430832601", "yes");
INSERT INTO `wp_options` VALUES("168", "_site_transient_ghu-1eda13567dd0e7ce35b07e674764d1ef", "O:8:\"stdClass\":12:{s:4:\"name\";s:20:\"mojo-marketplace.php\";s:4:\"path\";s:20:\"mojo-marketplace.php\";s:3:\"sha\";s:40:\"52fbbe7f70486c44d72456df659baffb37bcbb77\";s:4:\"size\";i:2140;s:3:\"url\";s:112:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/contents/mojo-marketplace.php?ref=hg-production\";s:8:\"html_url\";s:94:\"https://github.com/mojoness/mojo-marketplace-wp-plugin/blob/hg-production/mojo-marketplace.php\";s:7:\"git_url\";s:115:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/blobs/52fbbe7f70486c44d72456df659baffb37bcbb77\";s:12:\"download_url\";s:104:\"https://raw.githubusercontent.com/mojoness/mojo-marketplace-wp-plugin/hg-production/mojo-marketplace.php\";s:4:\"type\";s:4:\"file\";s:7:\"content\";s:2904:\"PD9waHAKLyoKUGx1Z2luIE5hbWU6IE1PSk8gTWFya2V0cGxhY2UKRGVzY3Jp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\ndCcsICdtbV9sb2FkX3VwZGF0ZXInICk7Cg==\n\";s:8:\"encoding\";s:6:\"base64\";s:6:\"_links\";O:8:\"stdClass\":3:{s:4:\"self\";s:112:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/contents/mojo-marketplace.php?ref=hg-production\";s:3:\"git\";s:115:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/blobs/52fbbe7f70486c44d72456df659baffb37bcbb77\";s:4:\"html\";s:94:\"https://github.com/mojoness/mojo-marketplace-wp-plugin/blob/hg-production/mojo-marketplace.php\";}}", "yes");
INSERT INTO `wp_options` VALUES("169", "_site_transient_timeout_ghu-aca1a99da826e8036f3bd23a2dafb4ea", "1430832601", "yes");
INSERT INTO `wp_options` VALUES("170", "_site_transient_ghu-aca1a99da826e8036f3bd23a2dafb4ea", "O:8:\"stdClass\":3:{s:11:\"total_count\";i:1;s:18:\"incomplete_results\";b:0;s:5:\"items\";a:1:{i:0;O:8:\"stdClass\":68:{s:2:\"id\";i:16290496;s:4:\"name\";s:26:\"mojo-marketplace-wp-plugin\";s:9:\"full_name\";s:35:\"mojoness/mojo-marketplace-wp-plugin\";s:5:\"owner\";O:8:\"stdClass\":17:{s:5:\"login\";s:8:\"mojoness\";s:2:\"id\";i:1278255;s:10:\"avatar_url\";s:51:\"https://avatars.githubusercontent.com/u/1278255?v=3\";s:11:\"gravatar_id\";s:0:\"\";s:3:\"url\";s:37:\"https://api.github.com/users/mojoness\";s:8:\"html_url\";s:27:\"https://github.com/mojoness\";s:13:\"followers_url\";s:47:\"https://api.github.com/users/mojoness/followers\";s:13:\"following_url\";s:60:\"https://api.github.com/users/mojoness/following{/other_user}\";s:9:\"gists_url\";s:53:\"https://api.github.com/users/mojoness/gists{/gist_id}\";s:11:\"starred_url\";s:60:\"https://api.github.com/users/mojoness/starred{/owner}{/repo}\";s:17:\"subscriptions_url\";s:51:\"https://api.github.com/users/mojoness/subscriptions\";s:17:\"organizations_url\";s:42:\"https://api.github.com/users/mojoness/orgs\";s:9:\"repos_url\";s:43:\"https://api.github.com/users/mojoness/repos\";s:10:\"events_url\";s:54:\"https://api.github.com/users/mojoness/events{/privacy}\";s:19:\"received_events_url\";s:53:\"https://api.github.com/users/mojoness/received_events\";s:4:\"type\";s:12:\"Organization\";s:10:\"site_admin\";b:0;}s:7:\"private\";b:0;s:8:\"html_url\";s:54:\"https://github.com/mojoness/mojo-marketplace-wp-plugin\";s:11:\"description\";s:58:\"WordPress plugin that has shortcodes, widgets and themes. \";s:4:\"fork\";b:0;s:3:\"url\";s:64:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin\";s:9:\"forks_url\";s:70:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/forks\";s:8:\"keys_url\";s:78:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/keys{/key_id}\";s:17:\"collaborators_url\";s:93:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/collaborators{/collaborator}\";s:9:\"teams_url\";s:70:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/teams\";s:9:\"hooks_url\";s:70:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/hooks\";s:16:\"issue_events_url\";s:87:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/issues/events{/number}\";s:10:\"events_url\";s:71:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/events\";s:13:\"assignees_url\";s:81:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/assignees{/user}\";s:12:\"branches_url\";s:82:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/branches{/branch}\";s:8:\"tags_url\";s:69:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/tags\";s:9:\"blobs_url\";s:80:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/blobs{/sha}\";s:12:\"git_tags_url\";s:79:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/tags{/sha}\";s:12:\"git_refs_url\";s:79:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/refs{/sha}\";s:9:\"trees_url\";s:80:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/trees{/sha}\";s:12:\"statuses_url\";s:79:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/statuses/{sha}\";s:13:\"languages_url\";s:74:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/languages\";s:14:\"stargazers_url\";s:75:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/stargazers\";s:16:\"contributors_url\";s:77:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/contributors\";s:15:\"subscribers_url\";s:76:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/subscribers\";s:16:\"subscription_url\";s:77:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/subscription\";s:11:\"commits_url\";s:78:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/commits{/sha}\";s:15:\"git_commits_url\";s:82:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/git/commits{/sha}\";s:12:\"comments_url\";s:82:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/comments{/number}\";s:17:\"issue_comment_url\";s:89:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/issues/comments{/number}\";s:12:\"contents_url\";s:81:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/contents/{+path}\";s:11:\"compare_url\";s:88:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/compare/{base}...{head}\";s:10:\"merges_url\";s:71:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/merges\";s:11:\"archive_url\";s:87:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/{archive_format}{/ref}\";s:13:\"downloads_url\";s:74:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/downloads\";s:10:\"issues_url\";s:80:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/issues{/number}\";s:9:\"pulls_url\";s:79:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/pulls{/number}\";s:14:\"milestones_url\";s:84:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/milestones{/number}\";s:17:\"notifications_url\";s:104:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/notifications{?since,all,participating}\";s:10:\"labels_url\";s:78:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/labels{/name}\";s:12:\"releases_url\";s:78:\"https://api.github.com/repos/mojoness/mojo-marketplace-wp-plugin/releases{/id}\";s:10:\"created_at\";s:20:\"2014-01-27T19:47:10Z\";s:10:\"updated_at\";s:20:\"2015-04-03T16:39:32Z\";s:9:\"pushed_at\";s:20:\"2015-04-28T15:11:10Z\";s:7:\"git_url\";s:56:\"git://github.com/mojoness/mojo-marketplace-wp-plugin.git\";s:7:\"ssh_url\";s:54:\"git@github.com:mojoness/mojo-marketplace-wp-plugin.git\";s:9:\"clone_url\";s:58:\"https://github.com/mojoness/mojo-marketplace-wp-plugin.git\";s:7:\"svn_url\";s:54:\"https://github.com/mojoness/mojo-marketplace-wp-plugin\";s:8:\"homepage\";N;s:4:\"size\";i:1203;s:16:\"stargazers_count\";i:2;s:14:\"watchers_count\";i:2;s:8:\"language\";s:3:\"PHP\";s:10:\"has_issues\";b:1;s:13:\"has_downloads\";b:1;s:8:\"has_wiki\";b:1;s:9:\"has_pages\";b:0;s:11:\"forks_count\";i:3;s:10:\"mirror_url\";N;s:17:\"open_issues_count\";i:7;s:5:\"forks\";i:3;s:11:\"open_issues\";i:7;s:8:\"watchers\";i:2;s:14:\"default_branch\";s:6:\"master\";s:5:\"score\";d:27.314730000000000842419467517174780368804931640625;}}}", "yes");
INSERT INTO `wp_options` VALUES("171", "_site_transient_timeout_ghu-cd60ad3e4bd0d8706fc4a4f35f398ee5", "1430832601", "yes");
INSERT INTO `wp_options` VALUES("172", "_site_transient_ghu-cd60ad3e4bd0d8706fc4a4f35f398ee5", "no tags here", "yes");
INSERT INTO `wp_options` VALUES("173", "_site_transient_timeout_ghu-9bb54241f94b24d969f7f1e4865eb9ed", "1430832601", "yes");
INSERT INTO `wp_options` VALUES("174", "_site_transient_ghu-9bb54241f94b24d969f7f1e4865eb9ed", "O:8:\"stdClass\":2:{s:7:\"message\";s:9:\"Not Found\";s:17:\"documentation_url\";s:31:\"https://developer.github.com/v3\";}", "yes");
INSERT INTO `wp_options` VALUES("179", "_transient_timeout_feed_867bd5c64f85878d03a060509cd2f92c", "1430872202", "no");
INSERT INTO `wp_options` VALUES("180", "_transient_feed_867bd5c64f85878d03a060509cd2f92c", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: WordCamp Miami 2015 to Experiment with New Tracks, Tickets Selling Out Fast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=41567\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"http://wptavern.com/wordcamp-miami-2015-to-experiment-with-new-tracks-tickets-selling-out-fast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4959:\"<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2015/02/wcmia-2015.jpg\" rel=\"prettyphoto[41567]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2015/02/wcmia-2015.jpg?resize=750%2C349\" alt=\"wcmia-2015\" class=\"aligncenter size-full wp-image-39447\" /></a></p>\n<p><a href=\"https://miami.wordcamp.org/2015/\" target=\"_blank\">WordCamp Miami</a>, one of the largest and longest running WordPress events in the US, is gearing up to <a href=\"http://wptavern.com/wordcamp-miami-gears-up-for-6th-year-with-new-tracks-and-workshops-planned\" target=\"_blank\">celebrate its 6th year on May 29-31</a>. Last year the event brought together 770 attendees and tickets for 2015 are selling fast.</p>\n<p>&#8220;We have sold over 600 tickets, and we see a sell-out on the horizon,&#8221; organizer David Bisset told the Tavern. &#8220;Our workshops are already almost sold out, and soon the weekend tickets will be as well.&#8221;</p>\n<p>WordCamp Miami has adopted a strong educational focus for the event with an expanded array of workshops. On Friday, May 29, the organizers will host a BuddyCamp and a separate Front-End/Theme workshop. As <a href=\"http://wptavern.com/wordcamp-miami-kids-workshop-launches-the-next-generation-of-bloggers\" target=\"_blank\">last year&#8217;s kids workshop</a> was a success, organizers are exploring the option of adding a more advanced kids workshop that gets into coding.</p>\n<h3>New &#8220;How To&#8221; Tracks and Mini-Workshops for Developers</h3>\n<p>Bisset and his team received feedback from last year&#8217;s event indicating that attendees are interested in having more advanced developer talks. This year organizers are replacing the user track on Saturday with experimental &#8220;How To&#8221; tracks.</p>\n<p>&#8220;To my knowledge, this is the first time a WordCamp has tried something like this,&#8221; Bisset said. &#8220;This track will focus on getting things done – almost like a mini-workshop focused on one or two concepts with step by step instructions &#8211; steps you can go home that night and do hopefully on your own.&#8221; Attendees of these tracks will be able to print out “cheat sheets” of each session and bring them to the conference or refer to them when they get back home.</p>\n<p>The organizers are hand-selecting the speakers and requesting that they format their slides to be a lasting resource for users. Speakers will also move to the Happiness Bar to answer any questions in a non-rushed environment after their sessions are finished.</p>\n<p>For the first time, WordCamp Miami will add an additional developer track on Sunday, which will consist of mini-workshops. In this format, two speakers will be give presentations on a single subject (back-to-back), so attendees will get multiple perspectives on the same subject.</p>\n<p>&#8220;For example, Andrea Rennick and Jesse Petersen will start off that Sunday with a &#8216;Genesis Framework&#8217; mini-workshop,&#8221; Bisset said. &#8220;Andrea will introduce the basics and concepts while Jesse afterwards will dive into more advanced topics on Genesis. There are also mini-workshops on building WordPress plugins, the WP-API, and more.&#8221;</p>\n<p>Organizers are also reaching out to other open source communities to help forge connections across different projects.</p>\n<p>&#8220;For the first time, we have a Joomla developer coming to speak on Sunday and talk about Joomla, WordPress, and open source,&#8221; Bisset said. &#8220;We have been opening our doors to local Joomla and Drupal developers so we are excited about this presentation and hope it’s the start of something bigger for the future.&#8221;</p>\n<p>WordCamp Miami is known for its excellent opportunities for networking and will maintain that aspect of the event in 2015.</p>\n<p>&#8220;Besides knowledge, networking has always been a key reason why people (local or not from the area) attend WordCamps,&#8221; Bisset said. Organizers are tailoring the after-party to be more of a &#8220;networking party&#8221; where attendees can continue their conversations from the event. Networking parties will take place on Thursday evening, Saturday night, Sunday for social breakfast, and a brief ice cream social Sunday afternoon.</p>\n<p>The new venue, Florida International University, is large enough to accommodate the 800+ attendees expected this year. All of the educational and networking opportunities during the 3.5 day event give attendees an incredible value for their tickets, especially for those who are traveling from a distance.</p>\n<p>WordCamp Miami is an event that traditionally sells out every year and Bisset expects the same for 2015. The workshops will be limited to 100-150 people and tickets are going fast. Check out the event <a href=\"https://miami.wordcamp.org/2015/\" target=\"_blank\">website</a> for more details on the schedule and available <a href=\"https://miami.wordcamp.org/2015/tickets/\" target=\"_blank\">tickets</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 04 May 2015 21:27:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"Matt: Macbook &amp; USB-C Review\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=45018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"http://ma.tt/2015/05/macbook-usb-c-review/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5148:\"<p><img class=\"alignright  wp-image-45019\" src=\"https://ma.tt/files/2015/05/macbook-481x740.jpg\" alt=\"macbook\" width=\"266\" height=\"409\" />I&#8217;ll start by saying I&#8217;m writing this on a 12&#8243; Macbook in space grey. The screen, weight, size, and weird keyboard have captured my heart and I&#8217;m enjoying using the machine. It has replaced a 15&#8243; Retina Pro as my primary laptop for about 2 weeks now, with most of that being on the road.</p>\n<p>For better and worse, it&#8217;s a lot like an iPad &#8212; the size and weight feel very natural in your life, and the screen is really gorgeous. It&#8217;s also not worth plugging anything into it besides its charging cable. It feels great to open and pick up right where you left off. The speed feels more than adequate for everything I&#8217;ve thrown at it so far, though I haven&#8217;t tried video editing or photo management outside of the new Apple Photos app. If there was a perfect iPad and keybard combo, it would feel and look like the new Retina Macbook.</p>\n<p>The second thing I&#8217;ll say is I wouldn&#8217;t recommend this laptop for everybody yet. There are some trade-offs, for example I can get 5-6 hours from the battery but it&#8217;s a little shorter than I expected. It&#8217;s refreshing to have a computer that&#8217;s totally silent with no fan, and I&#8217;ve only had a heat warning once when it was sitting in hot direct sunlight for about 20 minutes. I moved into the shade because I was also wilting a bit from the direct LA sun.</p>\n<p>The main reason I&#8217;m not sure if I&#8217;d recommend this Macbook right is hopefully ephemeral: USB-C. One of the very coolest things about the new Macbook is it charges (quickly) with a new standard called USB 3.1 with a Type-C connector, which is open for anyone to use, is reversible, and I think is going to be the future <a href=\"http://ma.tt/2015/02/usb-history-and-type-c/\">as I&#8217;ve written about on this blog before</a>.</p>\n<p><img class=\"aligncenter size-medium wp-image-45021\" src=\"https://ma.tt/files/2015/05/USB-type-C-840x321.jpg\" alt=\"USB-type-C\" width=\"840\" height=\"321\" /></p>\n<p>Today, however, USB-C is bleeding edge. I actually have one other device that uses it, Google&#8217;s new Chrome Pixel laptop, but when you search on Amazon for &#8220;USB-C&#8221; there are almost no results except sketchy or not-in-stock generic things, and Apple doesn&#8217;t have any USB-C stuff in stock, even in their stores. (Perhaps related to the general stock issues <a href=\"http://ma.tt/2015/04/apple-loyalty/\">I ended up writing about last time I tried to pen this Macbook review</a>.) I was able to get a cable that had male old USB and male USB-C on Amazon, that was pretty much it. The promise of USB-C is incredible: standard cables for charging everything super-quickly, a battery pack that could charge your phone or laptop, smaller power bricks, a next-gen Thunderbolt display with one cable for all data, display, and charging. You can see and imagine a really perfect ecosystem around USB-C, but it doesn&#8217;t exist today. <a href=\"http://9to5mac.com/2015/03/11/belkin-and-google-debut-usb-c-cables-including-low-priced-ethernet-displayport-hdmi-and-micro-usb-adapters/\">Some cool stuff has been announced but isn&#8217;t coming until the summer</a>, even <a href=\"http://www.pcworld.com/article/2903292/usb-typec-peripherals-are-on-the-way-and-storage-devices-are-first-up.html\">thumb drives</a>.</p>\n<p>The problem in one sentence: it is impossible to buy a cable, from Apple or otherwise, that let&#8217;s you plug an iPhone 6+ into the Macbook. They&#8217;ve announced but not shipped (to me at least) an adapter for old USB stuff (Type-A), but the last thing I need in my life is another dongle.</p>\n<p>I thought I would miss this but in practice it has been a surmountable problem. Instead of using my laptop as a battery, I&#8217;ve been <a href=\"http://hellomerch.com/collections/wordpress/products/jetpack-battery-pack\">using a battery to recharge miscellaneous electronics on-the-go</a>, and everything else including transferring photos from phone to computer is now happening wirelessly.</p>\n<p><img class=\"  wp-image-45023 alignright\" src=\"https://ma.tt/files/2015/05/apple-line-up.jpg\" alt=\"apple-line-up\" width=\"333\" height=\"214\" />I think the most perfect tech combo in the world right now might be a <a href=\"http://ma.tt/2014/10/retina-5k-mac/\">5k iMac at home</a>, an iPhone 6+ as your phone, and the Macbook as an on-the-go device. (The iPad isn&#8217;t in my must-have list anymore.) The strengths of each of these products complement each other, and as Apple gets better about the cloud with things like photos, tethering, keychain sync, and continuity it&#8217;s really becoming a pleasure to use these products together. I also have an Apple Watch in the mix, but still forming my thoughts on that one.</p>\n<p>The thing I might be most excited about is when some of the new tech in the retina Macbook around the keyboard, screen, trackpad, and battery is applied to their &#8220;Pro&#8221; series, which will probably be a bit more in my wheelhouse.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 04 May 2015 21:25:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"WPTavern: WordPress Theme Developer Handbook Updated with Comprehensive Guide to the Customizer API\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=43238\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"http://wptavern.com/wordpress-theme-developer-handbook-updated-with-comprehensive-guide-to-the-customizer-api\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6375:\"<a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/02/design-studio.jpg\" rel=\"prettyphoto[43238]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/02/design-studio.jpg?resize=760%2C374\" alt=\"photo credit: Artist\'s Room - (license)\" class=\"size-full wp-image-39730\" /></a>photo credit: <a href=\"http://www.flickr.com/photos/63191453@N00/2650862549\">Artist&#8217;s Room</a> &#8211; <a href=\"https://creativecommons.org/licenses/by/2.0/\">(license)</a>\n<p>The Theme Review Team&#8217;s controversial decision to <a href=\"http://wptavern.com/wordpress-org-now-requires-theme-authors-to-use-the-customizer-to-build-theme-options\" target=\"_blank\">require the use of the Customizer API for building theme options</a> unearthed a wave of criticism and concern about the capabilities of the customizer.</p>\n<p>In response to more than <a href=\"http://wptavern.com/wordpress-org-now-requires-theme-authors-to-use-the-customizer-to-build-theme-options#comments\" target=\"_blank\">150 comments</a> debating on the topic, Nick Halsey, who has worked extensively on the feature in WordPress core, stopped by to offer a few words in support of the Theme Review Team&#8217;s decision:</p>\n<blockquote><p>Many of the comments here are misinformed or unaware of both the full power of and the future importance of the Customizer. I’ve given an <a href=\"http://celloexpressions.com/blog/the-customizer-is-the-future-for-themes-and-theme-options/\" target=\"_blank\">overview of my perspective on my blog</a>, and while those views don’t directly represent the views of the WordPress project, I can say that most people working on the Customizer in core would agree with my points. Like it or not, the Customizer is here to stay, and ignoring that fact will eventually cause users to turn against you.</p></blockquote>\n<p>Halsey&#8217;s post calls for theme developers to re-examine their philosophies when it comes to building complex UI options and stop re-inventing the wheel. He believes the customizer has more creative potential than developers give it credit for.</p>\n<blockquote><p>Complaints about the amount of screen real estate available and the 300px default width show a lack of creativity and resistance for the sake of resistance to change. Start by removing all of the ads, external links, unnecessary branding, unnecessary options, and general clutter. Make your options self-explanatory – if you need a paragraph to describe what it does, it probably shouldn’t be a user-facing option. Do you still have so much UI that the experience is completely unusable? Try an outside-the-box solution, like utilizing the core media modal (header images and core media controls use it), a custom modal (theme details modal in core), or a slide-out panel (widgets in core and eventually menus in core as well).</p></blockquote>\n<p>Prior to the Theme Review Team&#8217;s decision, documentation on theme development with the Customizer API was sparse and claims about its wide range of capabilities were difficult to support.</p>\n<p>Resistance from theme developers has WordPress.org contributors scrambling to produce better documentation for using the customizer in themes. Over the weekend, Halsey created a canonical developer tutorial on the <a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/\" target=\"_blank\">Customizer API in the official theme developer handbook</a>.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/customizer-api-documentation.png\" rel=\"prettyphoto[43238]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/customizer-api-documentation.png?resize=1025%2C605\" alt=\"customizer-api-documentation\" class=\"aligncenter size-full wp-image-43252\" /></a></p>\n<p>This official comprehensive guide includes the following sections and provides detailed examples for each:</p>\n<ul>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#contextual-controls-sections-and-panels\" target=\"_blank\">Contextual Controls, Sections, and Panels</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#using-postmessage-for-improved-setting-previewing\" target=\"_blank\">Using PostMessage For Improved Setting Previewing</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#custom-controls-sections-and-panels\" target=\"_blank\">Custom Controls, Sections, and Panels</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#custom-setting-types\" target=\"_blank\">Custom Setting Types</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#the-customizer-javascript-api\" target=\"_blank\">The Customizer JavaScript API</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#javascriptunderscore-js-rendered-custom-controls\" target=\"_blank\">JavaScript/Underscore.js-Rendered Custom Controls</a></li>\n<li><a href=\"https://developer.wordpress.org/themes/advanced-topics/customizer-api/#allow-non-administrators-to-access-the-customizer\" target=\"_blank\">Allow Non-administrators to Access the Customizer</a></li>\n</ul>\n<p>Theme Review Team admin Justin Tadlock <a href=\"https://make.wordpress.org/themes/2015/04/22/details-on-the-new-theme-settings-customizer-guideline/\" target=\"_blank\">posted</a> more details clarifying the new WordPress.org guideline and included a list of additional resources for learning more about the customizer.</p>\n<p>Over the weekend, Samuel &#8220;Otto&#8221; Wood, who has written several customizer articles over the years, wrote a &#8220;<a href=\"http://ottopress.com/2015/whats-new-with-the-customizer/\" target=\"_blank\">What’s new with the Customizer</a>&#8221; tutorial that explores some of its newer features in depth, including panels, active callbacks, and customizing the customizer.</p>\n<p>With <a href=\"http://wptavern.com/wordpress-4-3-to-focus-on-mobile-experience-admin-ui-better-passwords-and-customizer-improvements\" target=\"_blank\">WordPress 4.3 blazing forward on customizer improvements</a>, now is the time for theme developers to familiarize themselves with the available documentation and tutorials in order to be ready to take full advantage of WordPress&#8217; core-supported method of providing live previews to users.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 04 May 2015 16:46:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Matt: James Whitcomb Riley Poem\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=45016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"http://ma.tt/2015/05/james-whitcomb-riley-poem/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:748:\"<p><a href=\"http://om.co/2015/05/02/loss/\">Via Om</a>, I wanted to share this poem <em>Away</em> by <a href=\"http://www.poemhunter.com/james-whitcomb-riley/poems/\">James Whitcomb Riley</a>:</p>\n<blockquote><p>I cannot say, and I will not say<br />\nThat he is dead. He is just away.<br />\nWith a cheery smile, and a wave of the hand,<br />\nHe has wandered into an unknown land<br />\nAnd left us dreaming how very fair<br />\nIt needs must be, since he lingers there.<br />\nAnd you—oh you, who the wildest yearn<br />\nFor an old-time step, and the glad return,<br />\nThink of him faring on, as dear<br />\nIn the love of There as the love of Here.<br />\nThink of him still as the same. I say,<br />\nHe is not dead—he is just away.</p></blockquote>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 03 May 2015 16:34:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"Donncha: Matt’s interview in the SBP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"http://z9.io/?p=89499491\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"http://z9.io/2015/05/03/matts-interview-in-the-sbp/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:977:\"<p><a href=\"http://i2.wp.com/z9.io/files/2015/05/wpid-20150503_124454.jpg\"><img title=\"20150503_124454.jpg\" class=\"alignnone size-full\" alt=\"image\" src=\"http://i2.wp.com/z9.io/files/2015/05/wpid-20150503_124454.jpg?w=660\" /></a></p>\n<p>Nice to see an interview with Matt in the Sunday Business Post, but they got one thing wrong that Matt is not chilled out about!</p>\n\n<p><strong>Related Posts</strong><ul><li> <a href=\"http://z9.io/2007/02/16/photomatts-net-interview/\" rel=\"bookmark\" title=\"Permanent Link: Photomatt\'s .net interview\">Photomatt&#039;s .net interview</a></li><li> <a href=\"http://z9.io/2003/03/24/an-interview-with-mike-davidson-of-espn-part-1/\" rel=\"bookmark\" title=\"Permanent Link: An Interview With Mike Davidson of ESPN (Part 1)\">An Interview With Mike Davidson of ESPN (Part 1)</a></li><li> <a href=\"http://z9.io/2004/07/02/more-on-bush-interview/\" rel=\"bookmark\" title=\"Permanent Link: More On Bush Interview!\">More On Bush Interview!</a></li></ul></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 03 May 2015 11:48:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: RIP Dan, RIP Dave\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=45011\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"http://ma.tt/2015/05/rip-dan-rip-dave/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1238:\"<p>We&#8217;ve lost two incredible souls this week: <a href=\"http://recode.net/2015/04/25/google-exec-dan-fredinburg-killed-in-nepal-earthquake/\">first Dan Fredinburg in Nepal</a> and now <a href=\"http://recode.net/2015/05/02/beloved-silicon-valley-entrepreneur-david-goldberg-dies-suddenly/\">Dave Goldberg has unexpectedly passed</a>. I encourage you to Google articles about their lives, <a href=\"http://www.businessinsider.com/the-incredible-life-of-david-goldberg-2015-5\">like this one about Dave Goldberg</a> or <a href=\"http://www.outsideonline.com/1972721/remembering-dan-fredinburg\">this on Dan</a>, because both were unique and incredible individuals. In an example of <a href=\"http://meyerweb.com/eric/thoughts/2014/12/24/inadvertent-algorithmic-cruelty/\">how software can have unintended effect on emotions</a>, I just realized I had a pending friend request on Facebook from Dan, probably years old. <img src=\"http://i1.wp.com/s.ma.tt/blog/wp-includes/images/smilies/frownie.png?w=604\" alt=\":(\" class=\"wp-smiley\" /> Going through a lot of emotions, but a good reminder that life can be fleeting and to make time for friends and those who you love, something both of these men were great at. May they both rest in peace.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 02 May 2015 19:46:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Belgrade’s First WordCamp Sells Out, Plans to Double Attendees Next Year\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=42992\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"http://wptavern.com/belgrades-first-wordcamp-sells-out-plans-to-double-attendees-next-year\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5298:\"<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wcbelgrade.jpg\" rel=\"prettyphoto[42992]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wcbelgrade.jpg?resize=1025%2C505\" alt=\"photo credit: WordCamp Belgrade\" class=\"size-full wp-image-43216\" /></a>photo credit: <a href=\"http://belgrade.wordcamp.org/2015/wordcamp-belgrade-first-batch-of-photos-wcbg/\">WordCamp Belgrade</a>\n<p>Organizers of the very first WordCamp Belgrade are happy to report that the event was a smashing success. <a href=\"http://wptavern.com/a-glimpse-into-serbias-rapidly-growing-wordpress-community\" target=\"_blank\">Serbia&#8217;s rapidly growing WordPress community</a> started just two years ago with local meetups that became larger than some smaller WordCamps.</p>\n<p>&#8220;Our road from the first meetup back in April 2013 to the first WordCamp was brilliant,&#8221; organizer Milan Ivanović said. &#8220;Every WPSerbia meetup had no less than 100 people attending, with at least three speakers each.&#8221; Serbia was ready to host its first WordCamp.</p>\n<p>&#8220;We were completely sold out about 10 days before the actual event, and it was such a shame that we had to turn down around 50 people who were asking for extra tickets,&#8221; Ivanović said. &#8220;We were limited by the venue and we couldn&#8217;t take more than 180.&#8221;</p>\n<p>Attendees represented 13 different countries with the highest numbers from Serbia (73%), Macedonia, Bosnia and Herzegovina, and Croatia. Those who came from other countries were treated to Serbia&#8217;s famous hospitality with tours and local cuisine.</p>\n<p>&#8220;We dedicated some extra time for people who visited Belgrade for the first time to experience Belgrade and all of its beauties,&#8221; Ivanović said.</p>\n<p>&#8220;That is why we organized an unofficial after-after party that included a stroll through Belgrade&#8217;s main pedestrian street Knez Mihailova, a visit to Belgrade Fortress Kalemegdan, and dinner with true Serbian food and music in the most famous boem street Skadarlija.&#8221;</p>\n<a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wordcamp-belgrade-food.jpg\" rel=\"prettyphoto[42992]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wordcamp-belgrade-food.jpg?resize=1025%2C494\" alt=\"photo credit: WordCamp Belgrade\" class=\"size-full wp-image-43219\" /></a>photo credit: <a href=\"http://belgrade.wordcamp.org/2015/wordcamp-belgrade-first-batch-of-photos-wcbg/\">WordCamp Belgrade</a>\n<p>&#8220;The food was so good that I was afraid that this WordCamp wouldn&#8217;t be remembered by its talks and speakers but by the catering that all of us enjoyed,&#8221; he said.</p>\n<p>WordCamp Belgrade 2015 in numbers:</p>\n<ul>\n<li>800+ bottles of refreshment served (on the first day)</li>\n<li>500+ coffees served (on the first day)</li>\n<li>345 Tweets with <a href=\"https://twitter.com/hashtag/wcbg?src=hash\" target=\"_blank\">#wcbg</a></li>\n<li>250 Meals served</li>\n<li>180 Tickets sold</li>\n<li>61 Trello cards</li>\n<li>22 Sponsors</li>\n<li>16 Speaker Applications</li>\n<li>13 Talks / Workshops</li>\n<li>10 Speakers</li>\n<li>9 Volunteers</li>\n<li>8 Days after, all session videos published</li>\n<li>1 Awesome <a href=\"http://wptavern.com/meet-wapuujlo-official-mascot-of-wordcamp-belgrade\" target=\"_blank\">Mascot</a></li>\n</ul>\n<p>Attendees received &#8220;<a href=\"http://wptavern.com/meet-wapuujlo-official-mascot-of-wordcamp-belgrade\" target=\"_blank\">Wapuujlo</a>&#8221; magnets and stickers to commemorate the event.</p>\n<p><a href=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2015/05/wapuujlo-magnets.jpg\" rel=\"prettyphoto[42992]\"><img src=\"http://i1.wp.com/wptavern.com/wp-content/uploads/2015/05/wapuujlo-magnets.jpg?resize=1025%2C437\" alt=\"wapuujlo-magnets\" class=\"aligncenter size-full wp-image-43226\" /></a></p>\n<p>Videos from the WordCamp are already available on <a href=\"https://www.youtube.com/channel/UCNn90HubD28a63SJu07vYZg\" target=\"_blank\">WordPress Serbia&#8217;s YouTube account</a> and will soon be uploaded to WordPress.tv as well.</p>\n<p>&#8220;As soon as WordCamp Belgrade finished, the first thing I did was start plans for #wcbg2016,&#8221; Ivanović said.</p>\n<p><a href=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wcbelgrade-organizers.jpg\" rel=\"prettyphoto[42992]\"><img src=\"http://i2.wp.com/wptavern.com/wp-content/uploads/2015/05/wcbelgrade-organizers.jpg?resize=300%2C200\" alt=\"wcbelgrade-organizers\" class=\"alignright size-medium wp-image-43223\" /></a>&#8220;The biggest outcome from this event was people asking how they can help organize the next WordCamp Belgrade, offering lots of different kinds of help &#8211; from finding new sponsors to offering their organization skills.&#8221;</p>\n<p>Ivanović and the organizing team plan to at least double the size of the event next year. They are aiming for 400 attendees and two tracks of speakers.</p>\n<p>&#8220;If we manage to organize an event that size, I think that would be an awesome test and a great intro for application to organize WordCamp Europe 2017,&#8221; he said.</p>\n<p>Check out more <a href=\"http://belgrade.wordcamp.org/2015/wordcamp-belgrade-first-batch-of-photos-wcbg/\" target=\"_blank\">photos from the event</a> on the WordCamp Belgrade website.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 01 May 2015 21:04:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Matt: More on GMOs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"http://ma.tt/?p=45008\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://ma.tt/2015/05/more-on-gmos/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:606:\"<blockquote><p>After writing two books on the science of climate change, I decided I could no longer continue taking a pro-science position on global warming and an anti-science position on G.M.O.s.</p></blockquote>\n<p>Mark Lynas writes <a href=\"http://www.nytimes.com/2015/04/25/opinion/sunday/how-i-got-converted-to-gmo-food.html\">How I Got Converted to G.M.O. Food</a>, particularly how GMOs impact the places where crops are needed the most. If you&#8217;re looking for a catch-up <a href=\"http://ma.tt/2014/03/whole-foods-and-psuedoscience/\">check out this link collection on ma.tt last year</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 01 May 2015 18:43:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: WordPress.com Suspends Theme Submissions from New Sellers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://wptavern.com/?p=42345\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"http://wptavern.com/wordpress-com-suspends-theme-submissions-from-new-sellers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5419:\"<p>In March 2014, <a href=\"http://wptavern.com/wordpress-com-formally-opens-its-marketplace-to-theme-developers\" target=\"_blank\">WordPress.com opened its marketplace to new theme authors</a>. Prior to that time, new sellers were added via invitation only. A year ago there were only 300 themes available to WordPress.com users, but after having the marketplace open to new authors that count is up to 345.</p>\n<p>Recently the <a href=\"https://theme.wordpress.com/join/\" target=\"_blank\">submission form disappeared from the site</a> with a message that WordPress.com would be keeping it temporarily closed in order to add new features that make the process easier.</p>\n<p><a href=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/new-themes-wordpresscom.png\" rel=\"prettyphoto[42345]\"><img src=\"http://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/new-themes-wordpresscom.png?resize=1025%2C736\" alt=\"new-themes-wordpresscom\" class=\"aligncenter size-full wp-image-43187\" /></a></p>\n<p><a href=\"https://array.is/\" target=\"_blank\">Array</a> founder Mike McAlister recently published an <a href=\"https://array.is/a-year-in-review/\" target=\"_blank\">article</a> that detailed his experience selling on the WordPress.com marketplace. One of the main drawbacks was the lack of efficiency in handling the queue for new theme submissions.</p>\n<blockquote><p>The review process on WordPress.com is long. I’m not talking about weeks long, I’m talking about months long. Each Array theme review has taken at least a month, usually longer. Our latest theme for WP.com, Camera, took four months from the day I submitted it to the day it was released.</p></blockquote>\n<p>In addition to painfully long queues, theme authors have also been disappointed with WordPress.com&#8217;s recent lack of promotion for commercial themes. These factors contributed to McAlister&#8217;s decision to focus on promoting his products through more efficient distribution channels and <a href=\"http://wptavern.com/array-returns-to-themeforest-after-disappointing-experiences-selling-on-creative-market-and-wordpress-com\" target=\"_blank\">return to Themeforest</a>.</p>\n<p>In April, WordPress.com theme author Sami Keijonen <a href=\"https://foxland.fi/toivo-was-not-approved-in-wordpress-com/\" target=\"_blank\">posted about his recent difficulties with the marketplace</a> after noticing that WordPress.com removed the submission form for new authors. He summarized some of the sources of confusion for commercial theme authors:</p>\n<blockquote>\n<ul>\n<li>WordPress.com basically stopped marketing commercial themes. (However, they do tweet about new themes.)</li>\n<li>We have a private blog for themers but other than that, there isn&#8217;t any conversation between developers or WordPress.com staff. They did send a enquiry a while ago so that might help.</li>\n<li>The review process takes months for commercial themes.</li>\n<li>They seem to want really simple themes with simple design decisions. That’s fine by me but isn’t that kind of “forcing” the end user to like certain types of themes if they don’t have any options?</li>\n<li>I would have wanted more accessibility-ready themes in WordPress.com like mine, but it seems that isn&#8217;t priority.</li>\n</ul>\n</blockquote>\n<p>I contacted Automattic to find out why the submission form has been removed and when authors can expect for it to be re-opened. The company&#8217;s official statement indicates that opening up the marketplace was a temporary experiment and that there is no ETA for relaunching it.</p>\n<blockquote><p>It’s important to note that current WordPress.com sellers can submit new themes for possible launch. We’re not closed for new theme submission. We experimented with a public form for themes from new shops last year, and we had a ton of great submissions from theme shops around the world. We took it down last fall while we worked on getting ahead of all the new theme reviews that it created. We’ll put it up again but we don’t have an exact date in mind. We do still reach out to new shops with great themes. We’re always excited to find awesome theme shops.</p></blockquote>\n<p>The company&#8217;s statement regarding the change in marketing clarifies that it is looking for new strategies to promote commercial themes.</p>\n<blockquote><p>We may not do blog posts any more, but we haven’t stopped marketing premium themes. They’re featured prominently on <a href=\"https://wordpress.com/themes\" target=\"_blank\">wordpress.com/themes</a> and as part of our <a href=\"https://store.wordpress.com/plans/\" target=\"_blank\">Business Plan</a>. Plus, we’re exploring more ways to put premium themes in front of users.</p>\n<p>In the future, premium theme shops can expect better feedback around the themes they submit, quicker launches, and more communication in general from the WordPress.com Theme Team. We’re excited about what we can continue to do for the world of themes with our sellers’ help.</p></blockquote>\n<p>Automattic has no set time frame for launching these improvements, but it should be reassuring for commercial theme authors to know that the company is tackling the inefficiency that was bogging down the system. For the time being, new commercial theme authors looking to submit products to the marketplace are out of luck, but Automattic may decide to open it up again to continue the experiment in the future.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 01 May 2015 18:11:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Akismet: April 2015 Stats Roundup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.akismet.com/?p=1839\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"http://blog.akismet.com/2015/05/01/april-2015-stats-roundup/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2934:\"<p>April turned out to be a slow month in Akismetland. The highest number of spam comments we saw come in this month on a given day was about 177 million. The total amount of spam we saw come through this month is 23% less than last month, and 33% less than April of last year.</p>\n<p>Here&#8217;s a chart showing the number of spam and ham comments we saw come through each day this month:</p>\n<p><img class=\"alignnone size-large wp-image-1840\" src=\"https://akismet.files.wordpress.com/2015/05/akismet-spam-and-ham-stats-april-2015.png?w=700&h=438\" alt=\"graph of akismet spam and ham daily stats April 2015\" /></p>\n<div id=\"attachment_1841\" class=\"wp-caption alignright\"><img class=\"size-medium wp-image-1841\" src=\"https://akismet.files.wordpress.com/2015/05/time_machine.jpg?w=300&h=252\" alt=\"This image, .Time Machine. by Sachin Sandhu, is licensed under CC BY 2.0\" width=\"300\" height=\"252\" /><p class=\"wp-caption-text\">This image, <a href=\"https://www.flickr.com/photos/sachin_sandhu/2711789618\">.Time Machine.</a> by <a href=\"https://www.flickr.com/photos/sachin_sandhu/\">Sachin Sandhu</a>, is licensed under <a href=\"https://creativecommons.org/licenses/by/2.0/\">CC BY 2.0</a></p></div>\n<p>The total number of spam comments this month is <strong>4,167,247,500</strong> &#8211; just over four billion, which is still a big number even though it&#8217;s a slow month ", "no");
INSERT INTO `wp_options` VALUES("181", "_transient_timeout_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1430872202", "no");
INSERT INTO `wp_options` VALUES("182", "_transient_feed_mod_867bd5c64f85878d03a060509cd2f92c", "1430829002", "no");
INSERT INTO `wp_options` VALUES("187", "_transient_timeout_plugin_slugs", "1431011285", "no");
INSERT INTO `wp_options` VALUES("188", "_transient_plugin_slugs", "a:11:{i:0;s:19:\"akismet/akismet.php\";i:1;s:60:\"amazon-product-in-a-post-plugin/amazon-product-in-a-post.php\";i:2;s:48:\"clickbank-ads-clickbank-widget/clickbank-ads.php\";i:3;s:36:\"contact-form-7/wp-contact-form-7.php\";i:4;s:25:\"duplicator/duplicator.php\";i:5;s:36:\"google-sitemap-generator/sitemap.php\";i:6;s:33:\"privacy-policy/privacy-policy.php\";i:7;s:43:\"shortcodes-ultimate/shortcodes-ultimate.php\";i:8;s:41:\"social-share-boost/social-share-boost.php\";i:9;s:32:\"wpfree-images/pixabay-images.php\";i:10;s:27:\"wp-super-cache/wp-cache.php\";}", "no");
INSERT INTO `wp_options` VALUES("191", "wpsupercache_gc_time", "1430892822", "yes");
INSERT INTO `wp_options` VALUES("198", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("200", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.2.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.2.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-4.2.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-4.2.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"4.2.1\";s:7:\"version\";s:5:\"4.2.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1430924882;s:15:\"version_checked\";s:5:\"4.2.1\";s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("202", "can_compress_scripts", "0", "yes");
INSERT INTO `wp_options` VALUES("204", "ib2_db_version", "0.36", "yes");
INSERT INTO `wp_options` VALUES("205", "ib2_tmpl_version", "0.25", "yes");
INSERT INTO `wp_options` VALUES("206", "ib2_tmpls_version", "0.12", "yes");
INSERT INTO `wp_options` VALUES("208", "external_updates-instabuilder2", "O:8:\"stdClass\":3:{s:9:\"lastCheck\";i:1430830847;s:14:\"checkedVersion\";s:5:\"2.0.9\";s:6:\"update\";O:8:\"stdClass\":7:{s:2:\"id\";i:0;s:4:\"slug\";s:13:\"instabuilder2\";s:7:\"version\";s:5:\"2.1.0\";s:8:\"homepage\";s:27:\"http://www.instabuilder.com\";s:12:\"download_url\";s:77:\"http://instabuilder.com/ib2-update-server/?action=download&slug=instabuilder2\";s:14:\"upgrade_notice\";N;s:8:\"filename\";s:74:\"NULLED_Instabuilder 2.09_Latest 2015+Funnel+Woring Guide/instabuilder2.php\";}}", "yes");
INSERT INTO `wp_options` VALUES("215", "ib2_options", "a:11:{s:14:\"enable_powered\";s:1:\"0\";s:9:\"ib2affurl\";s:0:\"\";s:8:\"autosave\";s:1:\"0\";s:8:\"fb_appid\";s:16:\"1584410681848020\";s:9:\"fb_secret\";s:32:\"26ee39fd746feb54a21315f526f93b52\";s:6:\"disqus\";s:10:\"demobayplr\";s:3:\"gtw\";s:0:\"\";s:6:\"flickr\";s:0:\"\";s:11:\"pixabay_key\";s:20:\"f1dfa7289bace3c7a2f0\";s:10:\"pixabay_id\";s:8:\"falomax0\";s:6:\"aviary\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("229", "_transient_twentyfourteen_category_count", "1", "yes");
INSERT INTO `wp_options` VALUES("233", "widget_calendar", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("234", "widget_nav_menu", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("235", "widget_pages", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("237", "widget_tag_cloud", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("239", "widget_widget_twentyfourteen_ephemera", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("242", "_site_transient_timeout_wporg_theme_feature_list", "1430865467", "yes");
INSERT INTO `wp_options` VALUES("243", "_site_transient_wporg_theme_feature_list", "a:4:{s:6:\"Colors\";a:15:{i:0;s:5:\"black\";i:1;s:4:\"blue\";i:2;s:5:\"brown\";i:3;s:4:\"gray\";i:4;s:5:\"green\";i:5;s:6:\"orange\";i:6;s:4:\"pink\";i:7;s:6:\"purple\";i:8;s:3:\"red\";i:9;s:6:\"silver\";i:10;s:3:\"tan\";i:11;s:5:\"white\";i:12;s:6:\"yellow\";i:13;s:4:\"dark\";i:14;s:5:\"light\";}s:6:\"Layout\";a:9:{i:0;s:12:\"fixed-layout\";i:1;s:12:\"fluid-layout\";i:2;s:17:\"responsive-layout\";i:3;s:10:\"one-column\";i:4;s:11:\"two-columns\";i:5;s:13:\"three-columns\";i:6;s:12:\"four-columns\";i:7;s:12:\"left-sidebar\";i:8;s:13:\"right-sidebar\";}s:8:\"Features\";a:20:{i:0;s:19:\"accessibility-ready\";i:1;s:8:\"blavatar\";i:2;s:10:\"buddypress\";i:3;s:17:\"custom-background\";i:4;s:13:\"custom-colors\";i:5;s:13:\"custom-header\";i:6;s:11:\"custom-menu\";i:7;s:12:\"editor-style\";i:8;s:21:\"featured-image-header\";i:9;s:15:\"featured-images\";i:10;s:15:\"flexible-header\";i:11;s:20:\"front-page-post-form\";i:12;s:19:\"full-width-template\";i:13;s:12:\"microformats\";i:14;s:12:\"post-formats\";i:15;s:20:\"rtl-language-support\";i:16;s:11:\"sticky-post\";i:17;s:13:\"theme-options\";i:18;s:17:\"threaded-comments\";i:19;s:17:\"translation-ready\";}s:7:\"Subject\";a:3:{i:0;s:7:\"holiday\";i:1;s:13:\"photoblogging\";i:2;s:8:\"seasonal\";}}", "yes");
INSERT INTO `wp_options` VALUES("245", "theme_mods_twentyfourteen", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430849634;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("246", "current_theme", "Gazette Edition", "yes");
INSERT INTO `wp_options` VALUES("247", "theme_mods_lifestyle_20", "a:2:{i:0;b:0;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430855308;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:6:\"text-2\";}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("248", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("252", "revlifestyle_ad_468", "<a href=\\\"http://sheila57.ebookmaven.hop.clickbank.net\\\"><img src=\\\"http://ebookselfpublishingsecrets.com/wp-content/uploads/2010/08/468-X-60.jpg\\\" alt=\\\"\\\" border=\\\"0\\\" /></a>", "yes");
INSERT INTO `wp_options` VALUES("253", "revlifestyle_ad_120", "Enter 120x240 Banner Code Here", "yes");
INSERT INTO `wp_options` VALUES("254", "revlifestyle_adsense_468", "Enter Google AdSense Code Here", "yes");
INSERT INTO `wp_options` VALUES("255", "revlifestyle_adsense_300", "Enter Google AdSense Code Here", "yes");
INSERT INTO `wp_options` VALUES("256", "revlifestyle_video", "Enter Embedded Video Code Here", "yes");
INSERT INTO `wp_options` VALUES("259", "theme_mods_gazette", "a:1:{i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("260", "woo_framework_version", "6.1.4", "yes");
INSERT INTO `wp_options` VALUES("262", "woo_options", "a:52:{s:18:\"woo_alt_stylesheet\";s:9:\"green.css\";s:8:\"woo_logo\";s:0:\"\";s:13:\"woo_texttitle\";s:4:\"true\";s:18:\"woo_custom_favicon\";s:0:\"\";s:20:\"woo_google_analytics\";s:0:\"\";s:18:\"woo_feedburner_url\";s:0:\"\";s:17:\"woo_feedburner_id\";s:0:\"\";s:14:\"woo_custom_css\";s:0:\"\";s:17:\"woo_show_carousel\";s:4:\"true\";s:21:\"woo_featured_category\";s:9:\"About PLR\";s:16:\"woo_feat_entries\";s:1:\"3\";s:27:\"woo_slider_magazine_exclude\";s:5:\"false\";s:16:\"woo_slider_sfade\";s:5:\"false\";s:16:\"woo_slider_cfade\";s:5:\"false\";s:16:\"woo_slider_speed\";s:3:\"1.4\";s:18:\"woo_slider_timeout\";s:1:\"6\";s:24:\"woo_slider_content_speed\";s:3:\"0.6\";s:19:\"woo_carousel_height\";s:3:\"292\";s:8:\"woo_home\";s:5:\"false\";s:16:\"woo_blog_excerpt\";s:4:\"true\";s:19:\"woo_archive_excerpt\";s:4:\"true\";s:10:\"woo_author\";s:5:\"false\";s:14:\"woo_show_video\";s:5:\"false\";s:17:\"woo_exclude_video\";s:5:\"false\";s:18:\"woo_video_category\";s:18:\"Select a category:\";s:18:\"woo_wpthumb_notice\";s:0:\"\";s:22:\"woo_post_image_support\";s:4:\"true\";s:14:\"woo_pis_resize\";s:4:\"true\";s:17:\"woo_pis_hard_crop\";s:4:\"true\";s:10:\"woo_resize\";s:4:\"true\";s:12:\"woo_auto_img\";s:5:\"false\";s:20:\"woo_home_thumb_width\";s:3:\"100\";s:21:\"woo_home_thumb_height\";s:2:\"57\";s:15:\"woo_thumb_width\";s:3:\"100\";s:16:\"woo_thumb_height\";s:2:\"57\";s:16:\"woo_image_single\";s:5:\"false\";s:16:\"woo_single_width\";s:3:\"250\";s:17:\"woo_single_height\";s:3:\"180\";s:13:\"woo_rss_thumb\";s:5:\"false\";s:18:\"woo_ad_top_disable\";s:5:\"false\";s:18:\"woo_ad_top_adsense\";s:184:\"<div\r\nalign=\"center\">\r\n<a href=\"http://sheila57.part2suc.hop.clickbank.net\">\r\n<img border=\"0\"\r\nsrc=\"http://partnershiptosuccess.com/jv/wp-content/uploads/2015/04/468x60.jpg\"></a></div>\";s:16:\"woo_ad_top_image\";s:40:\"http://www.woothemes.com/ads/468x60a.jpg\";s:14:\"woo_ad_top_url\";s:24:\"http://www.woothemes.com\";s:14:\"woo_ads_rotate\";s:4:\"true\";s:14:\"woo_ad_image_1\";s:41:\"http://www.woothemes.com/ads/125x125a.jpg\";s:12:\"woo_ad_url_1\";s:24:\"http://www.woothemes.com\";s:14:\"woo_ad_image_2\";s:41:\"http://www.woothemes.com/ads/125x125b.jpg\";s:12:\"woo_ad_url_2\";s:24:\"http://www.woothemes.com\";s:14:\"woo_ad_image_3\";s:41:\"http://www.woothemes.com/ads/125x125c.jpg\";s:12:\"woo_ad_url_3\";s:24:\"http://www.woothemes.com\";s:14:\"woo_ad_image_4\";s:41:\"http://www.woothemes.com/ads/125x125d.jpg\";s:12:\"woo_ad_url_4\";s:24:\"http://www.woothemes.com\";}", "yes");
INSERT INTO `wp_options` VALUES("263", "woo_template", "a:56:{i:0;a:3:{s:4:\"name\";s:16:\"General Settings\";s:4:\"icon\";s:7:\"general\";s:4:\"type\";s:7:\"heading\";}i:1;a:6:{s:4:\"name\";s:16:\"Theme Stylesheet\";s:4:\"desc\";s:38:\"Please select your colour scheme here.\";s:2:\"id\";s:18:\"woo_alt_stylesheet\";s:3:\"std\";s:11:\"default.css\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:4:{i:0;s:11:\"default.css\";i:1;s:12:\"darkblue.css\";i:2;s:9:\"green.css\";i:3;s:13:\"lightblue.css\";}}i:2;a:5:{s:4:\"name\";s:11:\"Custom Logo\";s:4:\"desc\";s:63:\"Upload a logo for your theme, or specify an image URL directly.\";s:2:\"id\";s:8:\"woo_logo\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"upload\";}i:3;a:5:{s:4:\"name\";s:10:\"Text Title\";s:4:\"desc\";s:109:\"Enable if you want Blog Title and Tagline to be text-based. Setup title/tagline in WP -> Settings -> General.\";s:2:\"id\";s:13:\"woo_texttitle\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:4;a:5:{s:4:\"name\";s:14:\"Custom Favicon\";s:4:\"desc\";s:113:\"Upload a 16px x 16px <a href=\'http://www.faviconr.com/\'>ico image</a> that will represent your website\'s favicon.\";s:2:\"id\";s:18:\"woo_custom_favicon\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:6:\"upload\";}i:5;a:5:{s:4:\"name\";s:13:\"Tracking Code\";s:4:\"desc\";s:117:\"Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.\";s:2:\"id\";s:20:\"woo_google_analytics\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:8:\"textarea\";}i:6;a:5:{s:4:\"name\";s:7:\"RSS URL\";s:4:\"desc\";s:51:\"Enter your preferred RSS URL. (Feedburner or other)\";s:2:\"id\";s:18:\"woo_feedburner_url\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";}i:7;a:5:{s:4:\"name\";s:16:\"E-mail Subscribe\";s:4:\"desc\";s:60:\"Enter the URL to your preferred e-mail subscription service.\";s:2:\"id\";s:17:\"woo_feedburner_id\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:4:\"text\";}i:8;a:5:{s:4:\"name\";s:10:\"Custom CSS\";s:4:\"desc\";s:62:\"Quickly add some CSS to your theme by adding it to this block.\";s:2:\"id\";s:14:\"woo_custom_css\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:8:\"textarea\";}i:9;a:3:{s:4:\"name\";s:17:\"Homepage Carousel\";s:4:\"icon\";s:6:\"slider\";s:4:\"type\";s:7:\"heading\";}i:10;a:5:{s:4:\"name\";s:17:\"Display Carousel?\";s:4:\"desc\";s:68:\"Check this box if you wish to display the carousel on your homepage.\";s:2:\"id\";s:17:\"woo_show_carousel\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:11;a:6:{s:4:\"name\";s:17:\"Featured Category\";s:4:\"desc\";s:99:\"Select the category that you would like to have displayed in the featured section on your homepage.\";s:2:\"id\";s:21:\"woo_featured_category\";s:3:\"std\";s:18:\"Select a category:\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:5:{i:0;s:18:\"Select a category:\";i:1;s:9:\"About PLR\";i:2;s:12:\"PLR Articles\";i:3;s:11:\"PLR Profits\";i:4;s:12:\"PLR Software\";}}i:12;a:6:{s:4:\"name\";s:16:\"Featured Entries\";s:4:\"desc\";s:81:\"Select the number of entries that should appear in the Featured Article scroller.\";s:2:\"id\";s:16:\"woo_feat_entries\";s:3:\"std\";s:16:\"Select a Number:\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:20:{i:0;s:16:\"Select a number:\";i:1;s:1:\"1\";i:2;s:1:\"2\";i:3;s:1:\"3\";i:4;s:1:\"4\";i:5;s:1:\"5\";i:6;s:1:\"6\";i:7;s:1:\"7\";i:8;s:1:\"8\";i:9;s:1:\"9\";i:10;s:2:\"10\";i:11;s:2:\"11\";i:12;s:2:\"12\";i:13;s:2:\"13\";i:14;s:2:\"14\";i:15;s:2:\"15\";i:16;s:2:\"16\";i:17;s:2:\"17\";i:18;s:2:\"18\";i:19;s:2:\"19\";}}i:13;a:5:{s:4:\"name\";s:29:\"Featured Slider Exclude Posts\";s:4:\"desc\";s:49:\"Exclude the slider posts from posts below slider.\";s:2:\"id\";s:27:\"woo_slider_magazine_exclude\";s:3:\"std\";s:4:\"true\";s:4:\"type\";s:8:\"checkbox\";}i:14;a:5:{s:4:\"name\";s:11:\"Slider Fade\";s:4:\"desc\";s:34:\"Slides will have a fade transition\";s:2:\"id\";s:16:\"woo_slider_sfade\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:15;a:5:{s:4:\"name\";s:12:\"Content Fade\";s:4:\"desc\";s:41:\"Slide Content will have a fade transition\";s:2:\"id\";s:16:\"woo_slider_cfade\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:16;a:6:{s:4:\"name\";s:16:\"Slide/Fade Speed\";s:4:\"desc\";s:70:\"The time in seconds it will take for the slide transition to complete.\";s:2:\"id\";s:16:\"woo_slider_speed\";s:3:\"std\";s:3:\"0.6\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:21:{i:0;s:3:\"0.0\";i:1;s:3:\"0.1\";i:2;s:3:\"0.2\";i:3;s:3:\"0.3\";i:4;s:3:\"0.4\";i:5;s:3:\"0.5\";i:6;s:3:\"0.6\";i:7;s:3:\"0.7\";i:8;s:3:\"0.8\";i:9;s:3:\"0.9\";i:10;s:3:\"1.0\";i:11;s:3:\"1.1\";i:12;s:3:\"1.2\";i:13;s:3:\"1.3\";i:14;s:3:\"1.4\";i:15;s:3:\"1.5\";i:16;s:3:\"1.6\";i:17;s:3:\"1.7\";i:18;s:3:\"1.8\";i:19;s:3:\"1.9\";i:20;s:3:\"2.0\";}}i:17;a:6:{s:4:\"name\";s:26:\"Slide/Fade Auto Start Time\";s:4:\"desc\";s:59:\"The time before the slides start to automatically automate.\";s:2:\"id\";s:18:\"woo_slider_timeout\";s:3:\"std\";s:1:\"6\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:10:{i:0;s:1:\"1\";i:1;s:1:\"2\";i:2;s:1:\"3\";i:3;s:1:\"4\";i:4;s:1:\"5\";i:5;s:1:\"6\";i:6;s:1:\"7\";i:7;s:1:\"8\";i:8;s:1:\"9\";i:9;s:2:\"10\";}}i:18;a:6:{s:4:\"name\";s:24:\"Content Slide/Fade Speed\";s:4:\"desc\";s:78:\"The time in seconds it will take for the slide content transition to complete.\";s:2:\"id\";s:24:\"woo_slider_content_speed\";s:3:\"std\";s:3:\"0.6\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:21:{i:0;s:3:\"0.0\";i:1;s:3:\"0.1\";i:2;s:3:\"0.2\";i:3;s:3:\"0.3\";i:4;s:3:\"0.4\";i:5;s:3:\"0.5\";i:6;s:3:\"0.6\";i:7;s:3:\"0.7\";i:8;s:3:\"0.8\";i:9;s:3:\"0.9\";i:10;s:3:\"1.0\";i:11;s:3:\"1.1\";i:12;s:3:\"1.2\";i:13;s:3:\"1.3\";i:14;s:3:\"1.4\";i:15;s:3:\"1.5\";i:16;s:3:\"1.6\";i:17;s:3:\"1.7\";i:18;s:3:\"1.8\";i:19;s:3:\"1.9\";i:20;s:3:\"2.0\";}}i:19;a:5:{s:4:\"name\";s:15:\"Carousel Height\";s:4:\"desc\";s:40:\"Adjust the defualt height of the slider.\";s:2:\"id\";s:19:\"woo_carousel_height\";s:3:\"std\";s:3:\"292\";s:4:\"type\";s:4:\"text\";}i:20;a:3:{s:4:\"name\";s:6:\"Layout\";s:4:\"icon\";s:6:\"layout\";s:4:\"type\";s:7:\"heading\";}i:21;a:5:{s:4:\"name\";s:26:\"Activate 1 Column Homepage\";s:4:\"desc\";s:134:\"This will activate the custom homepage which shows blog posts in one wider column, rather than the default two column blog post boxes.\";s:2:\"id\";s:8:\"woo_home\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:22;a:5:{s:4:\"name\";s:31:\"Show Excerpt in 1 Column layout\";s:4:\"desc\";s:69:\"Show the post excerpt instead of the post content in 1 column layout.\";s:2:\"id\";s:16:\"woo_blog_excerpt\";s:3:\"std\";s:4:\"true\";s:4:\"type\";s:8:\"checkbox\";}i:23;a:5:{s:4:\"name\";s:20:\"Show Excerpt Archive\";s:4:\"desc\";s:62:\"Show the post excerpt instead of the post content in archives.\";s:2:\"id\";s:19:\"woo_archive_excerpt\";s:3:\"std\";s:4:\"true\";s:4:\"type\";s:8:\"checkbox\";}i:24;a:5:{s:4:\"name\";s:20:\"Display author info?\";s:4:\"desc\";s:121:\"Display author info below single posts. Set this by editing your user in WP admin and adding text in \'Biographical Info\'.\";s:2:\"id\";s:10:\"woo_author\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:25;a:3:{s:4:\"name\";s:19:\"Homepage Video Area\";s:4:\"icon\";s:5:\"media\";s:4:\"type\";s:7:\"heading\";}i:26;a:5:{s:4:\"name\";s:14:\"Display Video?\";s:4:\"desc\";s:71:\"Check this box if you wish to display the video panel on your homepage.\";s:2:\"id\";s:14:\"woo_show_video\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:27;a:5:{s:4:\"name\";s:14:\"Exclude Video?\";s:4:\"desc\";s:77:\"Check this box if you wish to exclude the video posts from the homepage loop.\";s:2:\"id\";s:17:\"woo_exclude_video\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:28;a:6:{s:4:\"name\";s:14:\"Video Category\";s:4:\"desc\";s:94:\"Select the category that you would like to have displayed in the video panel on your homepage.\";s:2:\"id\";s:18:\"woo_video_category\";s:3:\"std\";s:18:\"Select a category:\";s:4:\"type\";s:6:\"select\";s:7:\"options\";a:5:{i:0;s:18:\"Select a category:\";i:1;s:9:\"About PLR\";i:2;s:12:\"PLR Articles\";i:3;s:11:\"PLR Profits\";i:4;s:12:\"PLR Software\";}}i:29;a:3:{s:4:\"name\";s:14:\"Dynamic Images\";s:4:\"icon\";s:5:\"image\";s:4:\"type\";s:7:\"heading\";}i:30;a:5:{s:4:\"name\";s:22:\"Dynamic Image Resizing\";s:4:\"desc\";s:0:\"\";s:2:\"id\";s:18:\"woo_wpthumb_notice\";s:3:\"std\";s:220:\"There are two alternative methods of dynamically resizing the thumbnails in the theme, <strong>WP Post Thumbnail</strong> or <strong>TimThumb - Custom Settings panel</strong>. We recommend using WP Post Thumbnail option.\";s:4:\"type\";s:4:\"info\";}i:31;a:6:{s:4:\"name\";s:17:\"WP Post Thumbnail\";s:4:\"desc\";s:170:\"Use WordPress post thumbnail to assign a post thumbnail. Will enable the <strong>Featured Image panel</strong> in your post sidebar where you can assign a post thumbnail.\";s:2:\"id\";s:22:\"woo_post_image_support\";s:3:\"std\";s:4:\"true\";s:5:\"class\";s:9:\"collapsed\";s:4:\"type\";s:8:\"checkbox\";}i:32;a:6:{s:4:\"name\";s:42:\"WP Post Thumbnail - Dynamic Image Resizing\";s:4:\"desc\";s:113:\"The post thumbnail will be dynamically resized using native WP resize functionality. <em>(Requires PHP 5.2+)</em>\";s:2:\"id\";s:14:\"woo_pis_resize\";s:3:\"std\";s:4:\"true\";s:5:\"class\";s:6:\"hidden\";s:4:\"type\";s:8:\"checkbox\";}i:33;a:6:{s:4:\"name\";s:29:\"WP Post Thumbnail - Hard Crop\";s:4:\"desc\";s:119:\"The post thumbnail will be cropped to match the target aspect ratio (only used if \'Dynamic Image Resizing\' is enabled).\";s:2:\"id\";s:17:\"woo_pis_hard_crop\";s:3:\"std\";s:4:\"true\";s:5:\"class\";s:11:\"hidden last\";s:4:\"type\";s:8:\"checkbox\";}i:34;a:5:{s:4:\"name\";s:32:\"TimThumb - Custom Settings Panel\";s:4:\"desc\";s:358:\"This will enable the <a href=\'http://code.google.com/p/timthumb/\'>TimThumb</a> (thumb.php) script which dynamically resizes images added through the <strong>custom settings panel below the post</strong>. Make sure your themes <em>cache</em> folder is writable. <a href=\'http://www.woothemes.com/2008/10/troubleshooting-image-resizer-thumbphp/\'>Need help?</a>\";s:2:\"id\";s:10:\"woo_resize\";s:3:\"std\";s:4:\"true\";s:4:\"type\";s:8:\"checkbox\";}i:35;a:5:{s:4:\"name\";s:25:\"Automatic Image Thumbnail\";s:4:\"desc\";s:81:\"If no thumbnail is specifified then the first uploaded image in the post is used.\";s:2:\"id\";s:12:\"woo_auto_img\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:36;a:5:{s:4:\"name\";s:21:\"Thumbnails (homepage)\";s:4:\"desc\";s:109:\"Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.\";s:2:\"id\";s:20:\"woo_image_dimensions\";s:3:\"std\";s:0:\"\";s:4:\"type\";a:2:{i:0;a:4:{s:2:\"id\";s:20:\"woo_home_thumb_width\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:100;s:4:\"meta\";s:5:\"Width\";}i:1;a:4:{s:2:\"id\";s:21:\"woo_home_thumb_height\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:57;s:4:\"meta\";s:6:\"Height\";}}}i:37;a:5:{s:4:\"name\";s:20:\"Thumbnails (general)\";s:4:\"desc\";s:109:\"Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.\";s:2:\"id\";s:20:\"woo_image_dimensions\";s:3:\"std\";s:0:\"\";s:4:\"type\";a:2:{i:0;a:4:{s:2:\"id\";s:15:\"woo_thumb_width\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:100;s:4:\"meta\";s:5:\"Width\";}i:1;a:4:{s:2:\"id\";s:16:\"woo_thumb_height\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:57;s:4:\"meta\";s:6:\"Height\";}}}i:38;a:5:{s:4:\"name\";s:19:\"Disable Single Post\";s:4:\"desc\";s:74:\"Check this if you don\'t want to display the thumbnail on the single posts.\";s:2:\"id\";s:16:\"woo_image_single\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:39;a:5:{s:4:\"name\";s:17:\"Single Post Image\";s:4:\"desc\";s:109:\"Enter an integer value i.e. 100 for the desired size which will be used when dynamically creating the images.\";s:2:\"id\";s:20:\"woo_image_dimensions\";s:3:\"std\";s:0:\"\";s:4:\"type\";a:2:{i:0;a:4:{s:2:\"id\";s:16:\"woo_single_width\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:250;s:4:\"meta\";s:5:\"Width\";}i:1;a:4:{s:2:\"id\";s:17:\"woo_single_height\";s:4:\"type\";s:4:\"text\";s:3:\"std\";i:180;s:4:\"meta\";s:6:\"Height\";}}}i:40;a:5:{s:4:\"name\";s:25:\"Add thumbnail to RSS feed\";s:4:\"desc\";s:68:\"Add the the image uploaded via your Custom Settings to your RSS feed\";s:2:\"id\";s:13:\"woo_rss_thumb\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:41;a:3:{s:4:\"name\";s:21:\"Top Banner (468x60px)\";s:4:\"icon\";s:3:\"ads\";s:4:\"type\";s:7:\"heading\";}i:42;a:5:{s:4:\"name\";s:10:\"Disable Ad\";s:4:\"desc\";s:20:\"Disable the ad space\";s:2:\"id\";s:18:\"woo_ad_top_disable\";s:3:\"std\";s:5:\"false\";s:4:\"type\";s:8:\"checkbox\";}i:43;a:5:{s:4:\"name\";s:12:\"Adsense code\";s:4:\"desc\";s:29:\"Enter your adsense code here.\";s:2:\"id\";s:18:\"woo_ad_top_adsense\";s:3:\"std\";s:0:\"\";s:4:\"type\";s:8:\"textarea\";}i:44;a:5:{s:4:\"name\";s:30:\"Banner Ad Top - Image Location\";s:4:\"desc\";s:46:\"Enter the URL to the banner ad image location.\";s:2:\"id\";s:16:\"woo_ad_top_image\";s:3:\"std\";s:40:\"http://www.woothemes.com/ads/468x60a.jpg\";s:4:\"type\";s:4:\"text\";}i:45;a:5:{s:4:\"name\";s:27:\"Banner Ad Top - Destination\";s:4:\"desc\";s:45:\"Enter the URL where this banner ad points to.\";s:2:\"id\";s:14:\"woo_ad_top_url\";s:3:\"std\";s:24:\"http://www.woothemes.com\";s:4:\"type\";s:4:\"text\";}i:46;a:3:{s:4:\"name\";s:21:\"Sidebar Ads (125x125)\";s:4:\"icon\";s:3:\"ads\";s:4:\"type\";s:7:\"heading\";}i:47;a:5:{s:4:\"name\";s:15:\"Rotate banners?\";s:4:\"desc\";s:45:\"Check this to randomly rotate the banner ads.\";s:2:\"id\";s:14:\"woo_ads_rotate\";s:3:\"std\";s:4:\"true\";s:4:\"type\";s:8:\"checkbox\";}i:48;a:5:{s:4:\"name\";s:29:\"Banner Ad #1 - Image Location\";s:4:\"desc\";s:33:\"Enter the URL for this banner ad.\";s:2:\"id\";s:14:\"woo_ad_image_1\";s:3:\"std\";s:41:\"http://www.woothemes.com/ads/125x125a.jpg\";s:4:\"type\";s:4:\"text\";}i:49;a:5:{s:4:\"name\";s:26:\"Banner Ad #1 - Destination\";s:4:\"desc\";s:45:\"Enter the URL where this banner ad points to.\";s:2:\"id\";s:12:\"woo_ad_url_1\";s:3:\"std\";s:24:\"http://www.woothemes.com\";s:4:\"type\";s:4:\"text\";}i:50;a:5:{s:4:\"name\";s:29:\"Banner Ad #2 - Image Location\";s:4:\"desc\";s:33:\"Enter the URL for this banner ad.\";s:2:\"id\";s:14:\"woo_ad_image_2\";s:3:\"std\";s:41:\"http://www.woothemes.com/ads/125x125b.jpg\";s:4:\"type\";s:4:\"text\";}i:51;a:5:{s:4:\"name\";s:26:\"Banner Ad #2 - Destination\";s:4:\"desc\";s:45:\"Enter the URL where this banner ad points to.\";s:2:\"id\";s:12:\"woo_ad_url_2\";s:3:\"std\";s:24:\"http://www.woothemes.com\";s:4:\"type\";s:4:\"text\";}i:52;a:5:{s:4:\"name\";s:29:\"Banner Ad #3 - Image Location\";s:4:\"desc\";s:33:\"Enter the URL for this banner ad.\";s:2:\"id\";s:14:\"woo_ad_image_3\";s:3:\"std\";s:41:\"http://www.woothemes.com/ads/125x125c.jpg\";s:4:\"type\";s:4:\"text\";}i:53;a:5:{s:4:\"name\";s:26:\"Banner Ad #3 - Destination\";s:4:\"desc\";s:45:\"Enter the URL where this banner ad points to.\";s:2:\"id\";s:12:\"woo_ad_url_3\";s:3:\"std\";s:24:\"http://www.woothemes.com\";s:4:\"type\";s:4:\"text\";}i:54;a:5:{s:4:\"name\";s:29:\"Banner Ad #4 - Image Location\";s:4:\"desc\";s:33:\"Enter the URL for this banner ad.\";s:2:\"id\";s:14:\"woo_ad_image_4\";s:3:\"std\";s:41:\"http://www.woothemes.com/ads/125x125d.jpg\";s:4:\"type\";s:4:\"text\";}i:55;a:5:{s:4:\"name\";s:26:\"Banner Ad #4 - Destination\";s:4:\"desc\";s:45:\"Enter the URL where this banner ad points to.\";s:2:\"id\";s:12:\"woo_ad_url_4\";s:3:\"std\";s:24:\"http://www.woothemes.com\";s:4:\"type\";s:4:\"text\";}}", "yes");
INSERT INTO `wp_options` VALUES("264", "woo_themename", "Gazette", "yes");
INSERT INTO `wp_options` VALUES("265", "woo_shortname", "woo", "yes");
INSERT INTO `wp_options` VALUES("266", "woo_manual", "http://www.woothemes.com/support/theme-documentation/gazette/", "yes");
INSERT INTO `wp_options` VALUES("267", "woo_custom_template", "a:2:{i:0;a:4:{s:4:\"name\";s:5:\"image\";s:5:\"label\";s:5:\"Image\";s:4:\"type\";s:6:\"upload\";s:4:\"desc\";s:19:\"Upload file here...\";}i:1;a:5:{s:4:\"name\";s:5:\"embed\";s:3:\"std\";s:0:\"\";s:5:\"label\";s:10:\"Embed Code\";s:4:\"type\";s:8:\"textarea\";s:4:\"desc\";s:41:\"Enter the video embed code for your video\";}}", "yes");
INSERT INTO `wp_options` VALUES("275", "woo_alt_stylesheet", "green.css", "yes");
INSERT INTO `wp_options` VALUES("276", "woo_logo", "", "yes");
INSERT INTO `wp_options` VALUES("277", "woo_texttitle", "true", "yes");
INSERT INTO `wp_options` VALUES("278", "woo_custom_favicon", "", "yes");
INSERT INTO `wp_options` VALUES("279", "woo_google_analytics", "", "yes");
INSERT INTO `wp_options` VALUES("280", "woo_feedburner_url", "", "yes");
INSERT INTO `wp_options` VALUES("281", "woo_feedburner_id", "", "yes");
INSERT INTO `wp_options` VALUES("282", "woo_custom_css", "", "yes");
INSERT INTO `wp_options` VALUES("283", "woo_show_carousel", "true", "yes");
INSERT INTO `wp_options` VALUES("284", "woo_featured_category", "About PLR", "yes");
INSERT INTO `wp_options` VALUES("285", "woo_feat_entries", "3", "yes");
INSERT INTO `wp_options` VALUES("286", "woo_slider_magazine_exclude", "false", "yes");
INSERT INTO `wp_options` VALUES("287", "woo_slider_sfade", "false", "yes");
INSERT INTO `wp_options` VALUES("288", "woo_slider_cfade", "false", "yes");
INSERT INTO `wp_options` VALUES("289", "woo_slider_speed", "1.4", "yes");
INSERT INTO `wp_options` VALUES("290", "woo_slider_timeout", "6", "yes");
INSERT INTO `wp_options` VALUES("291", "woo_slider_content_speed", "0.6", "yes");
INSERT INTO `wp_options` VALUES("292", "woo_carousel_height", "292", "yes");
INSERT INTO `wp_options` VALUES("293", "woo_home", "false", "yes");
INSERT INTO `wp_options` VALUES("294", "woo_blog_excerpt", "true", "yes");
INSERT INTO `wp_options` VALUES("295", "woo_archive_excerpt", "true", "yes");
INSERT INTO `wp_options` VALUES("296", "woo_author", "false", "yes");
INSERT INTO `wp_options` VALUES("297", "woo_show_video", "false", "yes");
INSERT INTO `wp_options` VALUES("298", "woo_exclude_video", "false", "yes");
INSERT INTO `wp_options` VALUES("299", "woo_video_category", "Select a category:", "yes");
INSERT INTO `wp_options` VALUES("300", "woo_wpthumb_notice", "", "yes");
INSERT INTO `wp_options` VALUES("301", "woo_post_image_support", "true", "yes");
INSERT INTO `wp_options` VALUES("302", "woo_pis_resize", "true", "yes");
INSERT INTO `wp_options` VALUES("303", "woo_pis_hard_crop", "true", "yes");
INSERT INTO `wp_options` VALUES("304", "woo_resize", "true", "yes");
INSERT INTO `wp_options` VALUES("305", "woo_auto_img", "false", "yes");
INSERT INTO `wp_options` VALUES("306", "woo_home_thumb_width", "100", "yes");
INSERT INTO `wp_options` VALUES("307", "woo_home_thumb_height", "57", "yes");
INSERT INTO `wp_options` VALUES("308", "woo_thumb_width", "100", "yes");
INSERT INTO `wp_options` VALUES("309", "woo_thumb_height", "57", "yes");
INSERT INTO `wp_options` VALUES("310", "woo_image_single", "false", "yes");
INSERT INTO `wp_options` VALUES("311", "woo_single_width", "250", "yes");
INSERT INTO `wp_options` VALUES("312", "woo_single_height", "180", "yes");
INSERT INTO `wp_options` VALUES("313", "woo_rss_thumb", "false", "yes");
INSERT INTO `wp_options` VALUES("314", "woo_ad_top_disable", "false", "yes");
INSERT INTO `wp_options` VALUES("315", "woo_ad_top_adsense", "<div\r\nalign=\"center\">\r\n<a href=\"http://sheila57.part2suc.hop.clickbank.net\">\r\n<img border=\"0\"\r\nsrc=\"http://partnershiptosuccess.com/jv/wp-content/uploads/2015/04/468x60.jpg\"></a></div>", "yes");
INSERT INTO `wp_options` VALUES("316", "woo_ad_top_image", "http://www.woothemes.com/ads/468x60a.jpg", "yes");
INSERT INTO `wp_options` VALUES("317", "woo_ad_top_url", "http://www.woothemes.com", "yes");
INSERT INTO `wp_options` VALUES("318", "woo_ads_rotate", "true", "yes");
INSERT INTO `wp_options` VALUES("319", "woo_ad_image_1", "http://www.woothemes.com/ads/125x125a.jpg", "yes");
INSERT INTO `wp_options` VALUES("320", "woo_ad_url_1", "http://www.woothemes.com", "yes");
INSERT INTO `wp_options` VALUES("321", "woo_ad_image_2", "http://www.woothemes.com/ads/125x125b.jpg", "yes");
INSERT INTO `wp_options` VALUES("322", "woo_ad_url_2", "http://www.woothemes.com", "yes");
INSERT INTO `wp_options` VALUES("323", "woo_ad_image_3", "http://www.woothemes.com/ads/125x125c.jpg", "yes");
INSERT INTO `wp_options` VALUES("324", "woo_ad_url_3", "http://www.woothemes.com", "yes");
INSERT INTO `wp_options` VALUES("325", "woo_ad_image_4", "http://www.woothemes.com/ads/125x125d.jpg", "yes");
INSERT INTO `wp_options` VALUES("326", "woo_ad_url_4", "http://www.woothemes.com", "yes");
INSERT INTO `wp_options` VALUES("328", "_site_transient_timeout_available_translations", "1430860943", "yes");
INSERT INTO `wp_options` VALUES("329", "_site_transient_available_translations", "a:55:{s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 23:59:50\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-02 03:57:09\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:22:\"Продължение\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-25 18:55:51\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-27 03:15:54\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Forts&#230;t\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-02 22:25:58\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-02 07:47:28\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-25 13:39:01\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/es_PE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-24 16:03:38\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/es_MX.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-28 16:15:15\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/es_ES.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"es\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-04 19:47:01\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.0/es_CL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-24 12:47:01\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-29 17:08:38\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:3:\"4.0\";s:7:\"updated\";s:19:\"2014-09-05 17:37:43\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.0/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:5:\"4.1.3\";s:7:\"updated\";s:19:\"2015-03-26 15:20:27\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.1.3/haz.zip\";s:3:\"iso\";a:1:{i:2;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"להמשיך\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-26 14:13:46\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 21:33:36\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Tovább\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-30 11:54:24\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-02 10:34:18\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-30 06:14:18\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"続ける\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 22:23:52\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:5:\"4.1.3\";s:7:\"updated\";s:19:\"2015-03-26 15:57:42\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.1.3/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ေဆာင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-27 20:16:30\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-28 10:26:32\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-01 13:58:25\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:5:\"4.1.3\";s:7:\"updated\";s:19:\"2015-03-29 22:19:48\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.1.3/ps.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ps\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"دوام\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-27 14:23:25\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-27 09:25:14\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-05-01 09:18:04\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"4.1.3\";s:7:\"updated\";s:19:\"2015-03-26 16:25:46\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.1.3/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Nadaljujte\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-30 20:40:26\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 16:55:54\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:09\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-29 07:03:07\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:5:\"4.1.3\";s:7:\"updated\";s:19:\"2015-03-26 16:45:38\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:9:\"Uyƣurqə\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.1.3/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-28 16:44:31\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.2.1/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-23 15:23:08\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"4.2.1\";s:7:\"updated\";s:19:\"2015-04-29 06:37:03\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.2.1/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}", "yes");
INSERT INTO `wp_options` VALUES("330", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("334", "theme_mods_athenea", "a:5:{i:0;b:0;s:12:\"header_image\";s:13:\"remove-header\";s:16:\"background_image\";s:76:\"http://demobay.info/plr/wp-content/uploads/2015/05/wordpress-589121_1280.jpg\";s:21:\"background_position_x\";s:6:\"center\";s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430852078;s:4:\"data\";a:6:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-6\";a:1:{i:0;s:6:\"text-2\";}s:9:\"sidebar-7\";a:0:{}s:9:\"sidebar-8\";a:0:{}s:9:\"sidebar-9\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("335", "optionsframework", "a:1:{s:2:\"id\";s:7:\"athenea\";}", "yes");
INSERT INTO `wp_options` VALUES("346", "ssb_4_installed", "1", "yes");
INSERT INTO `wp_options` VALUES("347", "ssb_option", "a:21:{s:10:\"show_pages\";i:1;s:10:\"show_posts\";i:1;s:12:\"show_excerpt\";i:1;s:14:\"show_shortcode\";i:1;s:10:\"hide_in_id\";s:0:\"\";s:11:\"show_bottom\";i:1;s:19:\"show_button_fb_like\";i:1;s:20:\"show_button_fb_share\";i:1;s:16:\"show_button_twtr\";i:1;s:17:\"show_button_gplus\";i:1;s:20:\"show_button_linkedin\";i:1;s:20:\"width_button_fb_like\";i:86;s:21:\"width_button_fb_share\";i:135;s:17:\"width_button_twtr\";i:90;s:18:\"width_button_gplus\";i:68;s:21:\"width_button_pintrest\";i:47;s:20:\"width_button_stumble\";i:75;s:19:\"width_button_tumblr\";i:85;s:21:\"width_button_linkedin\";i:64;s:20:\"width_button_scoopit\";i:90;s:17:\"width_button_xing\";i:56;}", "yes");
INSERT INTO `wp_options` VALUES("349", "ClickBankWEC3", "a:14:{s:5:\"title\";s:14:\"Related eBooks\";s:4:\"name\";s:8:\"sheila57\";s:15:\"keywordbytitle2\";s:5:\"Title\";s:8:\"keywords\";s:0:\"\";s:8:\"adformat\";s:1:\"1\";s:6:\"width2\";s:4:\"100%\";s:5:\"width\";s:4:\"100%\";s:6:\"height\";s:3:\"220\";s:3:\"pos\";s:3:\"Top\";s:9:\"bordstyle\";s:1:\"1\";s:9:\"bordcolor\";s:6:\"CCCCCC\";s:9:\"linkcolor\";s:6:\"0000FF\";s:9:\"runplugin\";s:1:\"1\";s:8:\"homepage\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("350", "widget_clickbank_ads_widget_version", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("351", "widget_ssb_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("352", "widget_ssb_fb_like_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("353", "widget_ssb_icons_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("359", "theme_mods_minamaze", "a:2:{i:0;b:0;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430853303;s:4:\"data\";a:8:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"footer-w1\";a:1:{i:0;s:6:\"text-2\";}s:9:\"footer-w2\";a:0:{}s:9:\"footer-w3\";a:0:{}s:9:\"footer-w4\";a:0:{}s:9:\"footer-w5\";N;s:9:\"footer-w6\";N;}}}", "yes");
INSERT INTO `wp_options` VALUES("360", "redux", "a:84:{s:22:\"thinkup_general_layout\";s:1:\"0\";s:32:\"thinkup_general_breadcrumbswitch\";s:1:\"0\";s:35:\"thinkup_general_breadcrumbdelimeter\";s:1:\"/\";s:27:\"thinkup_general_democontent\";s:1:\"0\";s:23:\"thinkup_homepage_layout\";s:1:\"0\";s:29:\"thinkup_homepage_sliderswitch\";s:7:\"option1\";s:34:\"thinkup_homepage_sliderpresetwidth\";s:1:\"1\";s:35:\"thinkup_homepage_sliderpresetheight\";s:3:\"350\";s:28:\"thinkup_homepage_introswitch\";s:1:\"0\";s:30:\"thinkup_homepage_sectionswitch\";s:1:\"1\";s:27:\"thinkup_header_searchswitch\";s:1:\"0\";s:27:\"thinkup_header_socialswitch\";s:1:\"0\";s:29:\"thinkup_header_facebookswitch\";s:1:\"0\";s:33:\"thinkup_header_facebookiconswitch\";s:1:\"0\";s:28:\"thinkup_header_twitterswitch\";s:1:\"0\";s:32:\"thinkup_header_twittericonswitch\";s:1:\"0\";s:27:\"thinkup_header_googleswitch\";s:1:\"0\";s:31:\"thinkup_header_googleiconswitch\";s:1:\"0\";s:29:\"thinkup_header_linkedinswitch\";s:1:\"0\";s:33:\"thinkup_header_linkediniconswitch\";s:1:\"0\";s:27:\"thinkup_header_flickrswitch\";s:1:\"0\";s:31:\"thinkup_header_flickriconswitch\";s:1:\"0\";s:28:\"thinkup_header_youtubeswitch\";s:1:\"0\";s:32:\"thinkup_header_youtubeiconswitch\";s:1:\"0\";s:24:\"thinkup_header_rssswitch\";s:1:\"0\";s:28:\"thinkup_header_rssiconswitch\";s:1:\"0\";s:21:\"thinkup_footer_layout\";s:1:\"0\";s:27:\"thinkup_footer_widgetswitch\";s:1:\"0\";s:19:\"thinkup_post_layout\";s:7:\"option1\";s:26:\"thinkup_general_logoswitch\";s:0:\"\";s:24:\"thinkup_general_logolink\";s:0:\"\";s:30:\"thinkup_general_logolinkretina\";s:0:\"\";s:25:\"thinkup_general_sitetitle\";s:0:\"\";s:31:\"thinkup_general_sitedescription\";s:0:\"\";s:27:\"thinkup_general_faviconlink\";s:0:\"\";s:19:\"info_page_structure\";s:0:\"\";s:24:\"thinkup_general_sidebars\";s:0:\"\";s:33:\"thinkup_general_fixedlayoutswitch\";s:0:\"\";s:25:\"thinkup_general_customcss\";s:0:\"\";s:31:\"thinkup_general_customjavafront\";s:0:\"\";s:10:\"demo-intro\";s:0:\"\";s:25:\"thinkup_homepage_sidebars\";s:0:\"\";s:27:\"thinkup_homepage_slidername\";s:0:\"\";s:29:\"thinkup_homepage_sliderpreset\";s:0:\"\";s:28:\"thinkup_homepage_introaction\";s:0:\"\";s:34:\"thinkup_homepage_introactionteaser\";s:0:\"\";s:34:\"thinkup_homepage_introactionbutton\";s:0:\"\";s:32:\"thinkup_homepage_introactionlink\";s:0:\"\";s:32:\"thinkup_homepage_introactionpage\";s:0:\"\";s:34:\"thinkup_homepage_introactioncustom\";s:0:\"\";s:31:\"thinkup_homepage_section1_image\";s:0:\"\";s:31:\"thinkup_homepage_section1_title\";s:0:\"\";s:30:\"thinkup_homepage_section1_desc\";s:0:\"\";s:30:\"thinkup_homepage_section1_link\";s:0:\"\";s:31:\"thinkup_homepage_section2_image\";s:0:\"\";s:31:\"thinkup_homepage_section2_title\";s:0:\"\";s:30:\"thinkup_homepage_section2_desc\";s:0:\"\";s:30:\"thinkup_homepage_section2_link\";s:0:\"\";s:31:\"thinkup_homepage_section3_image\";s:0:\"\";s:31:\"thinkup_homepage_section3_title\";s:0:\"\";s:30:\"thinkup_homepage_section3_desc\";s:0:\"\";s:30:\"thinkup_homepage_section3_link\";s:0:\"\";s:28:\"thinkup_header_socialmessage\";s:0:\"\";s:27:\"thinkup_header_facebooklink\";s:0:\"\";s:33:\"thinkup_header_facebookcustomicon\";s:0:\"\";s:26:\"thinkup_header_twitterlink\";s:0:\"\";s:32:\"thinkup_header_twittercustomicon\";s:0:\"\";s:25:\"thinkup_header_googlelink\";s:0:\"\";s:31:\"thinkup_header_googlecustomicon\";s:0:\"\";s:27:\"thinkup_header_linkedinlink\";s:0:\"\";s:33:\"thinkup_header_linkedincustomicon\";s:0:\"\";s:25:\"thinkup_header_flickrlink\";s:0:\"\";s:31:\"thinkup_header_flickrcustomicon\";s:0:\"\";s:26:\"thinkup_header_youtubelink\";s:0:\"\";s:32:\"thinkup_header_youtubecustomicon\";s:0:\"\";s:22:\"thinkup_header_rsslink\";s:0:\"\";s:28:\"thinkup_header_rsscustomicon\";s:0:\"\";s:19:\"thinkup_blog_layout\";s:0:\"\";s:21:\"thinkup_blog_sidebars\";s:0:\"\";s:23:\"thinkup_blog_postswitch\";s:0:\"\";s:21:\"thinkup_post_sidebars\";s:0:\"\";s:16:\"promotion-header\";s:0:\"\";s:12:\"theme-alante\";s:0:\"\";s:14:\"REDUX_imported\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("361", "_transient_timeout_redux-saved-redux", "1430853079", "no");
INSERT INTO `wp_options` VALUES("362", "_transient_redux-saved-redux", "1", "no");
INSERT INTO `wp_options` VALUES("363", "_transient_all_the_cool_cats", "1", "yes");
INSERT INTO `wp_options` VALUES("369", "theme_mods_fold", "a:2:{i:0;b:0;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430854694;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:12:\"main-sidebar\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:14:\"single-sidebar\";a:1:{i:0;s:6:\"text-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("370", "redux-framework-tracking", "a:3:{s:8:\"dev_mode\";b:0;s:4:\"hash\";s:32:\"9ebf949489eb875db236d5fb77b5c5d4\";s:14:\"allow_tracking\";s:2:\"no\";}", "yes");
INSERT INTO `wp_options` VALUES("371", "zoomarts_options", "a:91:{s:8:\"last_tab\";s:0:\"\";s:7:\"favicon\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:11:\"iphone_icon\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:18:\"iphone_icon_retina\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:9:\"ipad_icon\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:16:\"ipad_icon_retina\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:13:\"tracking-code\";s:0:\"\";s:11:\"home-layout\";s:13:\"right-sidebar\";s:14:\"archive-layout\";s:13:\"right-sidebar\";s:13:\"search-layout\";s:13:\"right-sidebar\";s:15:\"category-layout\";s:13:\"right-sidebar\";s:20:\"custom-logo-checkbox\";s:1:\"0\";s:11:\"custom-logo\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:11:\"retina-logo\";a:5:{s:3:\"url\";s:69:\"http://demobay.info/plr/wp-content/themes/fold/images/retina-logo.png\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:12:\"tagline-text\";s:0:\"\";s:13:\"header-height\";s:2:\"78\";s:13:\"header-search\";s:1:\"1\";s:20:\"footer-back-top-link\";s:1:\"1\";s:22:\"footer-social-checkbox\";s:1:\"1\";s:16:\"footer-social-fb\";s:0:\"\";s:16:\"footer-social-tw\";s:0:\"\";s:16:\"footer-social-gp\";s:0:\"\";s:16:\"footer-social-dr\";s:0:\"\";s:16:\"footer-social-gi\";s:0:\"\";s:16:\"footer-social-in\";s:0:\"\";s:16:\"footer-social-li\";s:0:\"\";s:16:\"footer-social-tu\";s:0:\"\";s:16:\"footer-social-fl\";s:0:\"\";s:16:\"footer-social-pi\";s:0:\"\";s:16:\"footer-social-vi\";s:0:\"\";s:16:\"footer-social-sk\";s:0:\"\";s:16:\"footer-social-yo\";s:0:\"\";s:21:\"footer_copyright_text\";s:81:\"© Copyright 2014 Fold / Powered by <a href=\"http://wordpress.org/\">WordPress</a>\";s:19:\"off-canvas-checkbox\";s:1:\"1\";s:14:\"off-canvas-pos\";s:13:\"position-left\";s:16:\"off-canvas-trans\";s:1:\"3\";s:21:\"blog-pagination-style\";s:9:\"load-more\";s:30:\"pagination-load-more-posts-num\";s:1:\"5\";s:30:\"pagination-load-more-transtion\";s:5:\"slide\";s:13:\"blog-excerpts\";s:1:\"1\";s:20:\"entry_excerpt_length\";s:2:\"80\";s:17:\"post-social-share\";s:1:\"1\";s:15:\"post-author-bio\";s:1:\"1\";s:18:\"post-related-posts\";s:1:\"1\";s:14:\"custom_styling\";s:1:\"1\";s:13:\"primary-color\";s:7:\"#e53b19\";s:11:\"links-color\";a:3:{s:7:\"regular\";s:0:\"\";s:5:\"hover\";s:0:\"\";s:6:\"active\";s:0:\"\";}s:9:\"header-bg\";s:7:\"#ef310b\";s:10:\"logo-color\";s:0:\"\";s:13:\"tagline-color\";s:0:\"\";s:10:\"menu-color\";a:3:{s:7:\"regular\";s:0:\"\";s:5:\"hover\";s:0:\"\";s:6:\"active\";s:0:\"\";}s:17:\"search-link-color\";a:3:{s:7:\"regular\";s:0:\"\";s:5:\"hover\";s:0:\"\";s:6:\"active\";s:0:\"\";}s:23:\"off-canvas-link-color-h\";a:3:{s:7:\"regular\";s:0:\"\";s:5:\"hover\";s:0:\"\";s:6:\"active\";s:0:\"\";}s:21:\"off-canvas-text-color\";s:7:\"#000000\";s:21:\"off-canvas-link-color\";a:3:{s:7:\"regular\";s:0:\"\";s:5:\"hover\";s:0:\"\";s:6:\"active\";s:0:\"\";}s:19:\"off-canvas-bg-color\";s:0:\"\";s:19:\"off-canvas-bg-image\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:23:\"off-canvas-bg-image-pos\";s:0:\"\";s:23:\"off-canvas-bg-image-rep\";s:0:\"\";s:10:\"custom-css\";s:0:\"\";s:9:\"body_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"14px\";s:11:\"line-height\";s:4:\"22px\";s:5:\"color\";s:7:\"#000000\";}s:7:\"h1_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"24px\";s:11:\"line-height\";s:4:\"30px\";s:5:\"color\";s:4:\"#777\";}s:7:\"h2_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"22px\";s:11:\"line-height\";s:4:\"28px\";s:5:\"color\";s:4:\"#777\";}s:7:\"h3_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"18px\";s:11:\"line-height\";s:4:\"24px\";s:5:\"color\";s:4:\"#777\";}s:7:\"h4_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"16px\";s:11:\"line-height\";s:4:\"22px\";s:5:\"color\";s:4:\"#777\";}s:7:\"h5_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"14px\";s:11:\"line-height\";s:4:\"20px\";s:5:\"color\";s:4:\"#777\";}s:7:\"h6_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"12px\";s:11:\"line-height\";s:4:\"18px\";s:5:\"color\";s:4:\"#777\";}s:9:\"logo_font\";a:8:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"700\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"40px\";s:11:\"line-height\";s:4:\"40px\";}s:9:\"menu_font\";a:7:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"13px\";}s:18:\"menu_dropdown_font\";a:8:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"12px\";s:5:\"color\";s:4:\"#ddd\";}s:15:\"page_title_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"22px\";s:11:\"line-height\";s:4:\"30px\";s:5:\"color\";s:4:\"#666\";}s:20:\"page_subheading_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"13px\";s:11:\"line-height\";s:4:\"24px\";s:5:\"color\";s:4:\"#aaa\";}s:15:\"post_title_font\";a:8:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"23px\";s:11:\"line-height\";s:4:\"28px\";}s:6:\"my-pic\";a:5:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:6:\"height\";s:0:\"\";s:5:\"width\";s:0:\"\";s:9:\"thumbnail\";s:0:\"\";}s:12:\"my-social-fb\";s:0:\"\";s:12:\"my-social-tw\";s:0:\"\";s:12:\"my-social-gp\";s:0:\"\";s:12:\"my-social-dr\";s:0:\"\";s:12:\"my-social-gi\";s:0:\"\";s:12:\"my-social-in\";s:0:\"\";s:12:\"my-social-li\";s:0:\"\";s:12:\"my-social-tu\";s:0:\"\";s:12:\"my-social-fl\";s:0:\"\";s:12:\"my-social-pi\";s:0:\"\";s:12:\"my-social-vi\";s:0:\"\";s:12:\"my-social-sk\";s:0:\"\";s:12:\"my-social-yo\";s:0:\"\";s:15:\"contact-sidebar\";s:3:\"off\";s:14:\"contact-layout\";s:12:\"left-sidebar\";s:12:\"gmap-address\";s:0:\"\";s:9:\"gmap-zoom\";s:2:\"15\";}", "yes");
INSERT INTO `wp_options` VALUES("372", "_transient_zoomarts_options-transients", "a:2:{s:14:\"changed_values\";a:1:{s:9:\"body_font\";a:9:{s:11:\"font-family\";s:6:\"Nunito\";s:12:\"font-options\";s:0:\"\";s:6:\"google\";s:4:\"true\";s:11:\"font-weight\";s:3:\"300\";s:10:\"font-style\";s:0:\"\";s:7:\"subsets\";s:5:\"latin\";s:9:\"font-size\";s:4:\"14px\";s:11:\"line-height\";s:4:\"22px\";s:5:\"color\";s:4:\"#bbb\";}}s:9:\"last_save\";i:1430854204;}", "yes");
INSERT INTO `wp_options` VALUES("373", "su_installed", "1430853331", "yes");
INSERT INTO `wp_options` VALUES("374", "su_option_version", "4.9.6", "yes");
INSERT INTO `wp_options` VALUES("375", "wpcf7", "a:1:{s:7:\"version\";s:5:\"4.1.2\";}", "yes");
INSERT INTO `wp_options` VALUES("376", "su_option_custom-formatting", "on", "yes");
INSERT INTO `wp_options` VALUES("377", "su_option_skip", "on", "yes");
INSERT INTO `wp_options` VALUES("378", "su_option_prefix", "su_", "yes");
INSERT INTO `wp_options` VALUES("379", "su_option_hotkey", "alt+i", "yes");
INSERT INTO `wp_options` VALUES("380", "su_option_skin", "default", "yes");
INSERT INTO `wp_options` VALUES("381", "su_option_custom-css", "", "yes");
INSERT INTO `wp_options` VALUES("382", "sunrise_defaults_su", "1", "yes");
INSERT INTO `wp_options` VALUES("388", "_transient_timeout_redux_tracking_cache", "1431458265", "no");
INSERT INTO `wp_options` VALUES("389", "_transient_redux_tracking_cache", "1", "no");
INSERT INTO `wp_options` VALUES("402", "su_presets_animate", "a:1:{s:9:\"last_used\";a:3:{s:2:\"id\";s:9:\"last_used\";s:4:\"name\";s:18:\"Last used settings\";s:8:\"settings\";a:6:{s:4:\"type\";s:14:\"fadeInRightBig\";s:8:\"duration\";s:1:\"1\";s:5:\"delay\";s:1:\"0\";s:6:\"inline\";s:2:\"no\";s:5:\"class\";s:0:\"\";s:7:\"content\";s:23:\"Welcome To The PLR Blog\";}}}", "yes");
INSERT INTO `wp_options` VALUES("406", "su_presets_heading", "a:1:{s:9:\"last_used\";a:3:{s:2:\"id\";s:9:\"last_used\";s:4:\"name\";s:18:\"Last used settings\";s:8:\"settings\";a:6:{s:5:\"style\";s:7:\"default\";s:4:\"size\";s:2:\"20\";s:5:\"align\";s:6:\"center\";s:6:\"margin\";s:2:\"20\";s:5:\"class\";s:0:\"\";s:7:\"content\";s:30:\"Know Your Private Label Rights\";}}}", "yes");
INSERT INTO `wp_options` VALUES("420", "su_presets_tooltip", "a:1:{s:9:\"last_used\";a:3:{s:2:\"id\";s:9:\"last_used\";s:4:\"name\";s:18:\"Last used settings\";s:8:\"settings\";a:10:{s:5:\"style\";s:6:\"yellow\";s:8:\"position\";s:5:\"north\";s:6:\"shadow\";s:2:\"no\";s:7:\"rounded\";s:2:\"no\";s:4:\"size\";s:7:\"default\";s:5:\"title\";s:0:\"\";s:7:\"content\";s:49:\"[su_button] Hover me to open tooltip [/su_button]\";s:8:\"behavior\";s:5:\"hover\";s:5:\"close\";s:2:\"no\";s:5:\"class\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("421", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1430924882;s:7:\"checked\";a:4:{s:10:\"fold-child\";s:3:\"1.0\";s:4:\"fold\";s:3:\"1.0\";s:7:\"gazette\";s:6:\"2.10.0\";s:12:\"lifestyle_20\";s:3:\"1.0\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("422", "widget_shortcodes-ultimate", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("424", "woo_custom_upload_tracking", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("441", "_transient_timeout_wooframework_version_data", "1430946213", "no");
INSERT INTO `wp_options` VALUES("442", "_transient_wooframework_version_data", "a:2:{s:7:\"version\";s:5:\"6.1.4\";s:11:\"is_critical\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("443", "_transient_timeout_woo_framework_critical_update", "1432069413", "no");
INSERT INTO `wp_options` VALUES("444", "_transient_woo_framework_critical_update", "1", "no");
INSERT INTO `wp_options` VALUES("445", "_transient_timeout_woo_framework_critical_update_data", "1432069413", "no");
INSERT INTO `wp_options` VALUES("446", "_transient_woo_framework_critical_update_data", "a:3:{s:9:\"is_update\";b:0;s:7:\"version\";s:5:\"1.0.0\";s:6:\"status\";s:4:\"none\";}", "no");
INSERT INTO `wp_options` VALUES("450", "apipp_amazon_language", "en", "yes");
INSERT INTO `wp_options` VALUES("451", "apipp_product_styles_default", " /*version 1.7*/\r\n	table.amazon-product-table {\r\n		border-collapse : collapse;\r\n		border : 0 none !important ;\r\n		width : 100%;\r\n	}\r\n	table.amazon-product-table td {\r\n		border : 0 none !important ;\r\n		padding : 0 !important ;\r\n	}\r\n	div.amazon-image-wrapper {\r\n		text-align : center;\r\n		width : 170px;\r\n		float : left;\r\n		padding : 0 10px 0 10px;\r\n	}\r\n	table.amazon-product-table hr {\r\n		display : block;\r\n	}\r\n	span.amazon-tiny {\r\n		font-size : 10px;\r\n	}\r\n	div.amazon-buying {\r\n		text-align : left;\r\n	}\r\n	h2.amazon-asin-title {\r\n		margin : 0 0 5px 0;\r\n		line-height : 1.25;\r\n		font-size : 10pt;\r\n	}\r\n	span.asin-title {\r\n		text-align : left;\r\n	}\r\n	span.amazon-author {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-starring-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-director-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-rating-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-starring {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-director {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-rating {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	table.amazon-product-price {\r\n		border-collapse : collapse;\r\n		border : 0 none;\r\n		/*width : auto;*/\r\n		padding : 0 !important ;\r\n	}\r\n	table.amazon-product-price a img.amazon-image {\r\n		background-color : transparent !important ;\r\n		border : 0 none !important ;\r\n	}\r\n	td.amazon-post-text {\r\n		text-align : left;\r\n		padding : 0 !important ;\r\n	}\r\n	td.amazon-list-price-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-list-price {\r\n		width : 90%;\r\n		text-decoration : line-through;\r\n		text-align : left;\r\n	}\r\n	td.amazon-price-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-price {\r\n		font-size : 14px;\r\n		color : #800000;\r\n		font-weight : bold;\r\n		text-align : left;\r\n	}\r\n	td.amazon-new-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-new {\r\n		font-size : 14px;\r\n		color : #800000;\r\n		text-align : left;\r\n		font-weight : bold;\r\n	}\r\n	td.amazon-used-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-used {\r\n		color : #666;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates {\r\n		padding : 0 !important ;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates span.amazon-preorder {\r\n		font-weight : bold;\r\n		color : #d16601;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates span.amazon-release-date {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n	}\r\n	span.instock {\r\n		font-size:8pt;\r\n		color:#008000;\r\n	}\r\n	span.outofstock {\r\n		font-size:8pt;\r\n		color:#800000;\r\n	}\r\n	div.appip-multi-divider {\r\n		margin:10px 0;\r\n	}\r\n	", "yes");
INSERT INTO `wp_options` VALUES("452", "apipp_product_styles_default_version", "1.9", "yes");
INSERT INTO `wp_options` VALUES("453", "apipp_amazon_notavailable_message", "This item is may not be available in your area. Please click the image or title of product to check pricing & availability.", "yes");
INSERT INTO `wp_options` VALUES("454", "apipp_amazon_hiddenprice_message", "Price Not Listed", "yes");
INSERT INTO `wp_options` VALUES("455", "apipp_hook_content", "true", "yes");
INSERT INTO `wp_options` VALUES("457", "apipp_open_new_window", "true", "yes");
INSERT INTO `wp_options` VALUES("458", "awsplugin_amazon_usefilegetcontents", "1", "yes");
INSERT INTO `wp_options` VALUES("459", "awsplugin_amazon_usecurl", "0", "yes");
INSERT INTO `wp_options` VALUES("460", "apipp_API_call_method", "0", "yes");
INSERT INTO `wp_options` VALUES("461", "appip_encodemode", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("462", "apipp_amazon_locale", "co.uk", "yes");
INSERT INTO `wp_options` VALUES("463", "apipp_product_styles", " /*version 1.7*/\r\n	table.amazon-product-table {\r\n		border-collapse : collapse;\r\n		border : 0 none !important ;\r\n		width : 100%;\r\n	}\r\n	table.amazon-product-table td {\r\n		border : 0 none !important ;\r\n		padding : 0 !important ;\r\n	}\r\n	div.amazon-image-wrapper {\r\n		text-align : center;\r\n		width : 170px;\r\n		float : left;\r\n		padding : 0 10px 0 10px;\r\n	}\r\n	table.amazon-product-table hr {\r\n		display : block;\r\n	}\r\n	span.amazon-tiny {\r\n		font-size : 10px;\r\n	}\r\n	div.amazon-buying {\r\n		text-align : left;\r\n	}\r\n	h2.amazon-asin-title {\r\n		margin : 0 0 5px 0;\r\n		line-height : 1.25;\r\n		font-size : 10pt;\r\n	}\r\n	span.asin-title {\r\n		text-align : left;\r\n	}\r\n	span.amazon-author {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-starring-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-director-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-rating-label {\r\n		color : #999;\r\n		font-size : 10px;\r\n	}\r\n	span.amazon-starring {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-director {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	span.amazon-rating {\r\n		color : #666;\r\n		font-size : 12px;\r\n	}\r\n	table.amazon-product-price {\r\n		border-collapse : collapse;\r\n		border : 0 none;\r\n		/*width : auto;*/\r\n		padding : 0 !important ;\r\n	}\r\n	table.amazon-product-price a img.amazon-image {\r\n		background-color : transparent !important ;\r\n		border : 0 none !important ;\r\n	}\r\n	td.amazon-post-text {\r\n		text-align : left;\r\n		padding : 0 !important ;\r\n	}\r\n	td.amazon-list-price-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-list-price {\r\n		width : 90%;\r\n		text-decoration : line-through;\r\n		text-align : left;\r\n	}\r\n	td.amazon-price-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-price {\r\n		font-size : 14px;\r\n		color : #800000;\r\n		font-weight : bold;\r\n		text-align : left;\r\n	}\r\n	td.amazon-new-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-new {\r\n		font-size : 14px;\r\n		color : #800000;\r\n		text-align : left;\r\n		font-weight : bold;\r\n	}\r\n	td.amazon-used-label {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n		width : 10%;\r\n	}\r\n	td.amazon-used {\r\n		color : #666;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates {\r\n		padding : 0 !important ;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates span.amazon-preorder {\r\n		font-weight : bold;\r\n		color : #d16601;\r\n		text-align : left;\r\n	}\r\n	div.amazon-dates span.amazon-release-date {\r\n		font-size : 10px;\r\n		color : #666;\r\n		text-align : left;\r\n	}\r\n	span.instock {\r\n		font-size:8pt;\r\n		color:#008000;\r\n	}\r\n	span.outofstock {\r\n		font-size:8pt;\r\n		color:#800000;\r\n	}\r\n	div.appip-multi-divider {\r\n		margin:10px 0;\r\n	}\r\n	\n.amazon-manufacturer{color : #666;font-size : 12px;}\n.amazon-ESRB{color : #666;font-size : 12px;}\n.amazon-feature{color : #666;font-size : 12px;}\n.amazon-platform{color : #666;font-size : 12px;}\n.amazon-system{color : #666;font-size : 12px;}\n", "yes");
INSERT INTO `wp_options` VALUES("464", "apipp_version", "2.0", "yes");
INSERT INTO `wp_options` VALUES("465", "apipp_amazon_associateid", "brooks-21", "yes");
INSERT INTO `wp_options` VALUES("466", "apipp_amazon_publickey", "AKIAIVXMOSTM5MW5GSCA", "yes");
INSERT INTO `wp_options` VALUES("467", "apipp_amazon_secretkey", "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", "yes");
INSERT INTO `wp_options` VALUES("477", "appip_amazon_usefilegetcontents", "1", "yes");
INSERT INTO `wp_options` VALUES("478", "appip_amazon_usecurl", "0", "yes");
INSERT INTO `wp_options` VALUES("479", "apipp_amazon_debugkey", "bcc91b74498b567d5a7a2c393f17e84c", "yes");
INSERT INTO `wp_options` VALUES("480", "apipp_hook_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("484", "widget_advert_125x125", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("485", "widget_woo_adwidget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("486", "widget_woo_blogauthorinfo", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("487", "widget_woo_flickr", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("488", "widget_woo_tabs", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("489", "widget_woo_twitter", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("491", "_transient_timeout_wooupdate_tracker", "1430861103", "no");
INSERT INTO `wp_options` VALUES("492", "_transient_wooupdate_tracker", "a:10:{s:17:\"woo_show_carousel\";b:0;s:21:\"woo_featured_category\";b:0;s:16:\"woo_feat_entries\";b:0;s:16:\"woo_slider_speed\";b:1;s:18:\"woo_slider_timeout\";b:0;s:24:\"woo_slider_content_speed\";b:0;s:19:\"woo_carousel_height\";b:0;s:27:\"woo_slider_magazine_exclude\";b:0;s:16:\"woo_slider_sfade\";b:0;s:16:\"woo_slider_cfade\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("493", "woo_exclude", "a:3:{i:0;i:46;i:2;i:36;i:4;i:1;}", "yes");
INSERT INTO `wp_options` VALUES("503", "privacy_policy_sitename", "PLR Blog", "yes");
INSERT INTO `wp_options` VALUES("504", "privacy_policy_before_heading", "<h2>", "yes");
INSERT INTO `wp_options` VALUES("505", "privacy_policy_after_heading", "</h2>", "yes");
INSERT INTO `wp_options` VALUES("506", "privacy_policy_before_paragraph", "<p>", "yes");
INSERT INTO `wp_options` VALUES("507", "privacy_policy_after_paragraph", "</p>", "yes");
INSERT INTO `wp_options` VALUES("508", "privacy_policy_contact", "mail@yourmail.com", "yes");
INSERT INTO `wp_options` VALUES("509", "privacy_policy_title", "Privacy Policy", "yes");
INSERT INTO `wp_options` VALUES("510", "privacy_policy_slug", "privacy-policy", "yes");
INSERT INTO `wp_options` VALUES("511", "privacy_policy_pp_help", "1", "yes");
INSERT INTO `wp_options` VALUES("512", "privacy_policy_browser_help", "1", "yes");
INSERT INTO `wp_options` VALUES("513", "privacy_policy_credit", "1", "yes");
INSERT INTO `wp_options` VALUES("517", "sm_options", "a:51:{s:18:\"sm_b_prio_provider\";s:41:\"GoogleSitemapGeneratorPrioByCountProvider\";s:9:\"sm_b_ping\";b:1;s:10:\"sm_b_stats\";b:0;s:12:\"sm_b_pingmsn\";b:1;s:12:\"sm_b_autozip\";b:1;s:11:\"sm_b_memory\";s:0:\"\";s:9:\"sm_b_time\";i:-1;s:18:\"sm_b_style_default\";b:1;s:10:\"sm_b_style\";s:0:\"\";s:12:\"sm_b_baseurl\";s:0:\"\";s:11:\"sm_b_robots\";b:1;s:9:\"sm_b_html\";b:1;s:12:\"sm_b_exclude\";a:0:{}s:17:\"sm_b_exclude_cats\";a:0:{}s:10:\"sm_in_home\";b:1;s:11:\"sm_in_posts\";b:1;s:15:\"sm_in_posts_sub\";b:0;s:11:\"sm_in_pages\";b:1;s:10:\"sm_in_cats\";b:0;s:10:\"sm_in_arch\";b:0;s:10:\"sm_in_auth\";b:0;s:10:\"sm_in_tags\";b:0;s:9:\"sm_in_tax\";a:0:{}s:17:\"sm_in_customtypes\";a:0:{}s:13:\"sm_in_lastmod\";b:1;s:10:\"sm_cf_home\";s:5:\"daily\";s:11:\"sm_cf_posts\";s:7:\"monthly\";s:11:\"sm_cf_pages\";s:6:\"weekly\";s:10:\"sm_cf_cats\";s:6:\"weekly\";s:10:\"sm_cf_auth\";s:6:\"weekly\";s:15:\"sm_cf_arch_curr\";s:5:\"daily\";s:14:\"sm_cf_arch_old\";s:6:\"yearly\";s:10:\"sm_cf_tags\";s:6:\"weekly\";s:10:\"sm_pr_home\";d:1;s:11:\"sm_pr_posts\";d:0.59999999999999997779553950749686919152736663818359375;s:15:\"sm_pr_posts_min\";d:0.200000000000000011102230246251565404236316680908203125;s:11:\"sm_pr_pages\";d:0.59999999999999997779553950749686919152736663818359375;s:10:\"sm_pr_cats\";d:0.299999999999999988897769753748434595763683319091796875;s:10:\"sm_pr_arch\";d:0.299999999999999988897769753748434595763683319091796875;s:10:\"sm_pr_auth\";d:0.299999999999999988897769753748434595763683319091796875;s:10:\"sm_pr_tags\";d:0.299999999999999988897769753748434595763683319091796875;s:12:\"sm_i_donated\";b:0;s:17:\"sm_i_hide_donated\";b:0;s:17:\"sm_i_install_date\";i:1430861671;s:14:\"sm_i_hide_note\";b:0;s:15:\"sm_i_hide_works\";b:0;s:16:\"sm_i_hide_donors\";b:0;s:9:\"sm_i_hash\";s:20:\"060908ab472fada9bea9\";s:13:\"sm_i_lastping\";i:1430924580;s:16:\"sm_i_supportfeed\";b:1;s:22:\"sm_i_supportfeed_cache\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("518", "sm_status", "O:28:\"GoogleSitemapGeneratorStatus\":4:{s:39:\"\0GoogleSitemapGeneratorStatus\0startTime\";d:1430924579.874392032623291015625;s:37:\"\0GoogleSitemapGeneratorStatus\0endTime\";d:1430924579.978126049041748046875;s:41:\"\0GoogleSitemapGeneratorStatus\0pingResults\";a:2:{s:6:\"google\";a:5:{s:9:\"startTime\";d:1430924579.8756759166717529296875;s:7:\"endTime\";d:1430924579.9208509922027587890625;s:7:\"success\";b:1;s:3:\"url\";s:100:\"http://www.google.com/webmasters/sitemaps/ping?sitemap=http%3A%2F%2Fdemobay.info%2Fplr%2Fsitemap.xml\";s:4:\"name\";s:6:\"Google\";}s:4:\"bing\";a:5:{s:9:\"startTime\";d:1430924579.92237091064453125;s:7:\"endTime\";d:1430924579.9760570526123046875;s:7:\"success\";b:1;s:3:\"url\";s:93:\"http://www.bing.com/webmaster/ping.aspx?siteMap=http%3A%2F%2Fdemobay.info%2Fplr%2Fsitemap.xml\";s:4:\"name\";s:4:\"Bing\";}}s:38:\"\0GoogleSitemapGeneratorStatus\0autoSave\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("525", "_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1430967208", "no");
INSERT INTO `wp_options` VALUES("526", "_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1430967208", "no");
INSERT INTO `wp_options` VALUES("527", "_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1430924008", "no");
INSERT INTO `wp_options` VALUES("528", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1430967209", "no");
INSERT INTO `wp_options` VALUES("529", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1430967209", "no");
INSERT INTO `wp_options` VALUES("530", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1430924009", "no");
INSERT INTO `wp_options` VALUES("531", "_transient_timeout_feed_b9388c83948825c1edaef0d856b7b109", "1430967210", "no");
INSERT INTO `wp_options` VALUES("532", "_transient_feed_b9388c83948825c1edaef0d856b7b109", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:117:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://wordpress.org/plugins/browse/popular/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"WordPress Plugins » View: Most Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 May 2015 14:29:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:30:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Contact Form 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/contact-form-7/#post-2141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Aug 2007 12:45:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2141@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Jetpack by WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://wordpress.org/plugins/jetpack/#post-23862\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jan 2011 02:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"23862@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"Your WordPress, Streamlined.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Tim Moore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Akismet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wordpress.org/plugins/akismet/#post-15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:11:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"15@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Akismet checks your comments against the Akismet Web service to see if they look like spam or not.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"WordPress SEO by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://wordpress.org/plugins/wordpress-seo/#post-8321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jan 2009 20:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"8321@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"Improve your WordPress SEO: Write better content and have a fully optimized WordPress site using Yoast&#039;s WordPress SEO plugin.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WooCommerce - excelling eCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/plugins/woocommerce/#post-29860\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2011 08:13:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"29860@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WooCommerce is a powerful, extendable eCommerce plugin that helps you sell anything. Beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"WooThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Google Analytics Dashboard for WP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/plugins/google-analytics-dashboard-for-wp/#post-50539\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 10 Mar 2013 17:07:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"50539@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"Displays Google Analytics reports and real-time statistics in your WordPress Dashboard. Inserts the latest tracking code in every page of your site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Alin Marcu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"All in One SEO Pack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/plugins/all-in-one-seo-pack/#post-753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Mar 2007 20:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"753@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"All in One SEO Pack is a WordPress SEO plugin to automatically optimize your WordPress blog for Search Engines such as Google.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"uberdose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Google Analytics by Yoast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/plugins/google-analytics-for-wordpress/#post-2316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Sep 2007 12:15:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2316@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"Track your WordPress site easily with the latest tracking codes and lots added data for search result pages and error pages.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Wordfence Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/plugins/wordfence/#post-29832\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Sep 2011 03:13:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"29832@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:137:\"Wordfence Security is a free enterprise class security and performance plugin that makes your site up to 50 times faster and more secure.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Wordfence\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"TinyMCE Advanced\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://wordpress.org/plugins/tinymce-advanced/#post-2082\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Jun 2007 15:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2082@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Enables the advanced features of TinyMCE, the WordPress WYSIWYG editor.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Andrew Ozz\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Broken Link Checker\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/broken-link-checker/#post-2441\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Oct 2007 21:35:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2441@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"This plugin will check your posts, comments and other content for broken links and missing images, and notify you if any are found.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Janis Elsts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WordPress Importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/wordpress-importer/#post-18101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 May 2010 17:42:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"18101@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brian Colinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"WPtouch Mobile Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wordpress.org/plugins/wptouch/#post-5468\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 May 2008 04:58:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"5468@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"Make your WordPress website mobile-friendly with just a few clicks.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"BraveNewCode Inc.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Disable Comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wordpress.org/plugins/disable-comments/#post-26907\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 27 May 2011 04:42:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"26907@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:134:\"Allows administrators to globally disable comments on their site. Comments can be disabled according to post type. Multisite friendly.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Samir Shah\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Duplicator\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://wordpress.org/plugins/duplicator/#post-26607\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 May 2011 12:15:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"26607@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Duplicate, clone, backup, move and transfer an entire site from one location to another.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Cory Lamle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Page Builder by SiteOrigin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/plugins/siteorigin-panels/#post-51888\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Apr 2013 10:36:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"51888@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"Build responsive page layouts using the widgets you know and love using this simple drag and drop page builder.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Greg Priday\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"ManageWP Worker\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wordpress.org/plugins/worker/#post-24528\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Feb 2011 13:06:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"24528@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"ManageWP is the ultimate WordPress productivity tool, allowing you to efficiently manage your websites.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Vladimir Prelovac\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Google XML Sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/plugins/google-sitemap-generator/#post-132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:31:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"132@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"This plugin will generate a special XML sitemap which will help search engines to better index your blog.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Arne Brachhold\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Redirection\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://wordpress.org/plugins/redirection/#post-2286\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Sep 2007 04:45:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2286@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:144:\"Redirection is a WordPress plugin to manage 301 redirections and keep track of 404 errors without requiring knowledge of Apache .htaccess files.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"John Godley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WP Super Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/wp-super-cache/#post-2572\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Nov 2007 11:40:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2572@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"A very fast caching engine for WordPress that produces static html files.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Donncha O Caoimh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"TablePress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://wordpress.org/plugins/tablepress/#post-38784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 Jun 2012 20:50:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"38784@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"Embed beautiful and feature-rich tables into your posts and pages, without having to write code.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"TobiasBg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Photo Gallery\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/photo-gallery/#post-63299\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jan 2014 15:58:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"63299@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:143:\"Photo Gallery is an advanced plugin with a list of tools and options for adding and editing images for different views. It is fully responsive.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"webdorado\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"UpdraftPlus Backup and Restoration\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/plugins/updraftplus/#post-38058\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 21 May 2012 15:14:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"38058@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"Backup and restoration made easy. Complete backups; manual or scheduled (backup to S3, Dropbox, Google Drive, Rackspace, FTP, SFTP, email + others).\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Anderson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"NextGEN Gallery\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/plugins/nextgen-gallery/#post-1169\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 23 Apr 2007 20:08:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"1169@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"The most popular WordPress gallery plugin and one of the most popular plugins of all time with over 12 million downloads.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Alex Rabe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WP Multibyte Patch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/wp-multibyte-patch/#post-28395\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Jul 2011 12:22:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"28395@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Multibyte functionality enhancement for the WordPress Japanese package.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"plugin-master\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Fast Secure Contact Form\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://wordpress.org/plugins/si-contact-form/#post-12636\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Aug 2009 01:20:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"12636@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"An easy and powerful form builder that lets your visitors send you email. Blocks all automated spammers. No templates to mess with.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mike Challis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Advanced Custom Fields\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/plugins/advanced-custom-fields/#post-25254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Mar 2011 04:07:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"25254@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"Customise WordPress with powerful, professional and intuitive fields\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"elliotcondon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Meta Slider\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/plugins/ml-slider/#post-49521\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Feb 2013 16:56:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"49521@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:145:\"Easy to use WordPress slider plugin. Create SEO optimised responsive slideshows with Nivo Slider, Flex Slider, Coin Slider and Responsive Slides.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Matcha Labs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"BackUpWordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/plugins/backupwordpress/#post-2236\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Sep 2007 21:15:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"2236@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"Simple automated backups of your WordPress powered website.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Tom Willmot\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"The Events Calendar\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/plugins/the-events-calendar/#post-14790\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Dec 2009 21:58:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"14790@https://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"The Events Calendar is a carefully crafted, extensible plugin that lets you easily share your events. Beautiful. Solid. Awesome.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Peter Chester\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:46:\"https://wordpress.org/plugins/rss/view/popular\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";a:12:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Wed, 06 May 2015 14:53:30 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:10:\"connection\";s:5:\"close\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:7:\"expires\";s:29:\"Wed, 06 May 2015 15:04:04 GMT\";s:13:\"cache-control\";s:0:\"\";s:6:\"pragma\";s:0:\"\";s:13:\"last-modified\";s:31:\"Wed, 06 May 2015 14:29:04 +0000\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}s:5:\"build\";s:14:\"20150403215458\";}", "no");
INSERT INTO `wp_options` VALUES("533", "_transient_timeout_feed_mod_b9388c83948825c1edaef0d856b7b109", "1430967210", "no");
INSERT INTO `wp_options` VALUES("534", "_transient_feed_mod_b9388c83948825c1edaef0d856b7b109", "1430924010", "no");
INSERT INTO `wp_options` VALUES("535", "_transient_timeout_dash_4077549d03da2e451c8b5f002294ff51", "1430967210", "no");
INSERT INTO `wp_options` VALUES("536", "_transient_dash_4077549d03da2e451c8b5f002294ff51", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2015/04/wordpress-4-2-1/\'>WordPress 4.2.1 Security Release</a> <span class=\"rss-date\">April 27, 2015</span><div class=\"rssSummary\">WordPress 4.2.1 is now available. This is a critical security release for all previous versions and we strongly encourage you to update your sites immediately. A few hours ago, the WordPress team was made aware of a cross-site scripting vulnerability, which could enable commenters to compromise a site. The vulnerability was discovered by Jouko Pynnönen. [&hellip;]</div></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'http://ma.tt/2015/05/untold-silk-road/\'>Matt: Untold Silk Road</a></li><li><a class=\'rsswidget\' href=\'http://wptavern.com/dan-griffiths-launches-175k-crowdfunding-campaign-to-build-hostpress\'>WPTavern: Dan Griffiths Launches $175K Crowdfunding Campaign to Build HostPress</a></li><li><a class=\'rsswidget\' href=\'http://wptavern.com/new-plugin-reorders-the-wordpress-admin-menu-using-drag-and-drop\'>WPTavern: New Plugin Reorders the WordPress Admin Menu Using Drag-and-Drop</a></li></ul></div><div class=\"rss-widget\"><ul><li class=\'dashboard-news-plugin\'><span>Popular Plugin:</span> <a href=\'https://wordpress.org/plugins/siteorigin-panels/\' class=\'dashboard-news-plugin-link\'>Page Builder by SiteOrigin</a>&nbsp;<span>(<a href=\'plugin-install.php?tab=plugin-information&amp;plugin=siteorigin-panels&amp;_wpnonce=0b38f4c04b&amp;TB_iframe=true&amp;width=600&amp;height=800\' class=\'thickbox\' title=\'Page Builder by SiteOrigin\'>Install</a>)</span></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("537", "_site_transient_timeout_theme_roots", "1430925812", "yes");
INSERT INTO `wp_options` VALUES("538", "_site_transient_theme_roots", "a:4:{s:10:\"fold-child\";s:7:\"/themes\";s:4:\"fold\";s:7:\"/themes\";s:7:\"gazette\";s:7:\"/themes\";s:12:\"lifestyle_20\";s:7:\"/themes\";}", "yes");
INSERT INTO `wp_options` VALUES("539", "rewrite_rules", "a:74:{s:34:\"sitemap(-+([a-zA-Z0-9_-]+))?\\.xml$\";s:40:\"index.php?xml_sitemap=params=$matches[2]\";s:38:\"sitemap(-+([a-zA-Z0-9_-]+))?\\.xml\\.gz$\";s:49:\"index.php?xml_sitemap=params=$matches[2];zip=true\";s:35:\"sitemap(-+([a-zA-Z0-9_-]+))?\\.html$\";s:50:\"index.php?xml_sitemap=params=$matches[2];html=true\";s:38:\"sitemap(-+([a-zA-Z0-9_-]+))?\\.html.gz$\";s:59:\"index.php?xml_sitemap=params=$matches[2];html=true;zip=true\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(/[0-9]+)?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("540", "sm_rewrite_done", "$Id: sitemap-loader.php 937300 2014-06-23 18:04:11Z arnee $", "yes");
INSERT INTO `wp_options` VALUES("542", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("543", "_transient_timeout_su/generator/popup", "1431096979", "no");
INSERT INTO `wp_options` VALUES("544", "_transient_su/generator/popup", "		<div id=\"su-generator-wrap\" style=\"display:none\">\n			<div id=\"su-generator\">\n				<div id=\"su-generator-header\">\n					<div id=\"su-generator-tools\"><a href=\"http://demobay.info/plr/wp-admin/admin.php?page=shortcodes-ultimate#tab-1\" target=\"_blank\" title=\"Settings\">Plugin settings</a> <span></span> <a href=\"http://gndev.info/shortcodes-ultimate/\" target=\"_blank\" title=\"Plugin homepage\">Plugin homepage</a> <span></span> <a href=\"http://wordpress.org/support/plugin/shortcodes-ultimate/\" target=\"_blank\" title=\"Support forums\">Support forums</a> <span></span> <a href=\"http://demobay.info/plr/wp-admin/admin.php?page=shortcodes-ultimate-addons\" target=\"_blank\" title=\"Add-ons\" class=\"su-add-ons\">Add-ons</a></div>\n					<input type=\"text\" name=\"su_generator_search\" id=\"su-generator-search\" value=\"\" placeholder=\"Search for shortcodes\" />\n					<p id=\"su-generator-search-pro-tip\"><strong>Pro Tip:</strong> Hit enter to select highlighted shortcode, while searching</p>\n					<div id=\"su-generator-filter\">\n						<strong>Filter by type</strong>\n						<a href=\"#\" data-filter=\"all\">All</a><a href=\"#\" data-filter=\"content\">Content</a><a href=\"#\" data-filter=\"box\">Box</a><a href=\"#\" data-filter=\"media\">Media</a><a href=\"#\" data-filter=\"gallery\">Gallery</a><a href=\"#\" data-filter=\"data\">Data</a><a href=\"#\" data-filter=\"other\">Other</a>					</div>\n					<div id=\"su-generator-choices\" class=\"su-generator-clearfix\">\n						<span data-name=\"Heading\" data-shortcode=\"heading\" title=\"Styled heading\" data-desc=\"Styled heading\" data-group=\"content\"><i class=\"fa fa-h-square\"></i>Heading</span>\n<span data-name=\"Tabs\" data-shortcode=\"tabs\" title=\"Tabs container\" data-desc=\"Tabs container\" data-group=\"box\"><i class=\"fa fa-list-alt\"></i>Tabs</span>\n<span data-name=\"Tab\" data-shortcode=\"tab\" title=\"Single tab\" data-desc=\"Single tab\" data-group=\"box\"><i class=\"fa fa-list-alt\"></i>Tab</span>\n<span data-name=\"Spoiler\" data-shortcode=\"spoiler\" title=\"Spoiler with hidden content\" data-desc=\"Spoiler with hidden content\" data-group=\"box\"><i class=\"fa fa-list-ul\"></i>Spoiler</span>\n<span data-name=\"Accordion\" data-shortcode=\"accordion\" title=\"Accordion with spoilers\" data-desc=\"Accordion with spoilers\" data-group=\"box\"><i class=\"fa fa-list\"></i>Accordion</span>\n<span data-name=\"Divider\" data-shortcode=\"divider\" title=\"Content divider with optional TOP link\" data-desc=\"Content divider with optional TOP link\" data-group=\"content\"><i class=\"fa fa-ellipsis-h\"></i>Divider</span>\n<span data-name=\"Spacer\" data-shortcode=\"spacer\" title=\"Empty space with adjustable height\" data-desc=\"Empty space with adjustable height\" data-group=\"content other\"><i class=\"fa fa-arrows-v\"></i>Spacer</span>\n<span data-name=\"Highlight\" data-shortcode=\"highlight\" title=\"Highlighted text\" data-desc=\"Highlighted text\" data-group=\"content\"><i class=\"fa fa-pencil\"></i>Highlight</span>\n<span data-name=\"Label\" data-shortcode=\"label\" title=\"Styled label\" data-desc=\"Styled label\" data-group=\"content\"><i class=\"fa fa-tag\"></i>Label</span>\n<span data-name=\"Quote\" data-shortcode=\"quote\" title=\"Blockquote alternative\" data-desc=\"Blockquote alternative\" data-group=\"box\"><i class=\"fa fa-quote-right\"></i>Quote</span>\n<span data-name=\"Pullquote\" data-shortcode=\"pullquote\" title=\"Pullquote\" data-desc=\"Pullquote\" data-group=\"box\"><i class=\"fa fa-quote-left\"></i>Pullquote</span>\n<span data-name=\"Dropcap\" data-shortcode=\"dropcap\" title=\"Dropcap\" data-desc=\"Dropcap\" data-group=\"content\"><i class=\"fa fa-bold\"></i>Dropcap</span>\n<span data-name=\"Frame\" data-shortcode=\"frame\" title=\"Styled image frame\" data-desc=\"Styled image frame\" data-group=\"content\"><i class=\"fa fa-picture-o\"></i>Frame</span>\n<span data-name=\"Row\" data-shortcode=\"row\" title=\"Row for flexible columns\" data-desc=\"Row for flexible columns\" data-group=\"box\"><i class=\"fa fa-columns\"></i>Row</span>\n<span data-name=\"Column\" data-shortcode=\"column\" title=\"Flexible and responsive columns\" data-desc=\"Flexible and responsive columns\" data-group=\"box\"><i class=\"fa fa-columns\"></i>Column</span>\n<span data-name=\"List\" data-shortcode=\"list\" title=\"Styled unordered list\" data-desc=\"Styled unordered list\" data-group=\"content\"><i class=\"fa fa-list-ol\"></i>List</span>\n<span data-name=\"Button\" data-shortcode=\"button\" title=\"Styled button\" data-desc=\"Styled button\" data-group=\"content\"><i class=\"fa fa-heart\"></i>Button</span>\n<span data-name=\"Service\" data-shortcode=\"service\" title=\"Service box with title\" data-desc=\"Service box with title\" data-group=\"box\"><i class=\"fa fa-check-square-o\"></i>Service</span>\n<span data-name=\"Box\" data-shortcode=\"box\" title=\"Colored box with caption\" data-desc=\"Colored box with caption\" data-group=\"box\"><i class=\"fa fa-list-alt\"></i>Box</span>\n<span data-name=\"Note\" data-shortcode=\"note\" title=\"Colored box\" data-desc=\"Colored box\" data-group=\"box\"><i class=\"fa fa-list-alt\"></i>Note</span>\n<span data-name=\"Expand\" data-shortcode=\"expand\" title=\"Expandable text block\" data-desc=\"Expandable text block\" data-group=\"box\"><i class=\"fa fa-sort-amount-asc\"></i>Expand</span>\n<span data-name=\"Lightbox\" data-shortcode=\"lightbox\" title=\"Lightbox window with custom content\" data-desc=\"Lightbox window with custom content\" data-group=\"gallery\"><i class=\"fa fa-external-link\"></i>Lightbox</span>\n<span data-name=\"Lightbox content\" data-shortcode=\"lightbox_content\" title=\"Inline content for lightbox\" data-desc=\"Inline content for lightbox\" data-group=\"gallery\"><i class=\"fa fa-external-link\"></i>Lightbox content</span>\n<span data-name=\"Tooltip\" data-shortcode=\"tooltip\" title=\"Tooltip window with custom content\" data-desc=\"Tooltip window with custom content\" data-group=\"other\"><i class=\"fa fa-comment-o\"></i>Tooltip</span>\n<span data-name=\"Private\" data-shortcode=\"private\" title=\"Private note for post authors\" data-desc=\"Private note for post authors\" data-group=\"other\"><i class=\"fa fa-lock\"></i>Private</span>\n<span data-name=\"YouTube\" data-shortcode=\"youtube\" title=\"YouTube video\" data-desc=\"YouTube video\" data-group=\"media\"><i class=\"fa fa-youtube-play\"></i>YouTube</span>\n<span data-name=\"YouTube Advanced\" data-shortcode=\"youtube_advanced\" title=\"YouTube video player with advanced settings\" data-desc=\"YouTube video player with advanced settings\" data-group=\"media\"><i class=\"fa fa-youtube-play\"></i>YouTube Advanced</span>\n<span data-name=\"Vimeo\" data-shortcode=\"vimeo\" title=\"Vimeo video\" data-desc=\"Vimeo video\" data-group=\"media\"><i class=\"fa fa-youtube-play\"></i>Vimeo</span>\n<span data-name=\"Screenr\" data-shortcode=\"screenr\" title=\"Screenr video\" data-desc=\"Screenr video\" data-group=\"media\"><i class=\"fa fa-youtube-play\"></i>Screenr</span>\n<span data-name=\"Dailymotion\" data-shortcode=\"dailymotion\" title=\"Dailymotion video\" data-desc=\"Dailymotion video\" data-group=\"media\"><i class=\"fa fa-youtube-play\"></i>Dailymotion</span>\n<span data-name=\"Audio\" data-shortcode=\"audio\" title=\"Custom audio player\" data-desc=\"Custom audio player\" data-group=\"media\"><i class=\"fa fa-play-circle\"></i>Audio</span>\n<span data-name=\"Video\" data-shortcode=\"video\" title=\"Custom video player\" data-desc=\"Custom video player\" data-group=\"media\"><i class=\"fa fa-play-circle\"></i>Video</span>\n<span data-name=\"Table\" data-shortcode=\"table\" title=\"Styled table from HTML or CSV file\" data-desc=\"Styled table from HTML or CSV file\" data-group=\"content\"><i class=\"fa fa-table\"></i>Table</span>\n<span data-name=\"Permalink\" data-shortcode=\"permalink\" title=\"Permalink to specified post/page\" data-desc=\"Permalink to specified post/page\" data-group=\"content other\"><i class=\"fa fa-link\"></i>Permalink</span>\n<span data-name=\"Members\" data-shortcode=\"members\" title=\"Content for logged in members only\" data-desc=\"Content for logged in members only\" data-group=\"other\"><i class=\"fa fa-lock\"></i>Members</span>\n<span data-name=\"Guests\" data-shortcode=\"guests\" title=\"Content for guests only\" data-desc=\"Content for guests only\" data-group=\"other\"><i class=\"fa fa-user\"></i>Guests</span>\n<span data-name=\"RSS Feed\" data-shortcode=\"feed\" title=\"Feed grabber\" data-desc=\"Feed grabber\" data-group=\"content other\"><i class=\"fa fa-rss\"></i>RSS Feed</span>\n<span data-name=\"Menu\" data-shortcode=\"menu\" title=\"Custom menu by name\" data-desc=\"Custom menu by name\" data-group=\"other\"><i class=\"fa fa-bars\"></i>Menu</span>\n<span data-name=\"Sub pages\" data-shortcode=\"subpages\" title=\"List of sub pages\" data-desc=\"List of sub pages\" data-group=\"other\"><i class=\"fa fa-bars\"></i>Sub pages</span>\n<span data-name=\"Siblings\" data-shortcode=\"siblings\" title=\"List of cureent page siblings\" data-desc=\"List of cureent page siblings\" data-group=\"other\"><i class=\"fa fa-bars\"></i>Siblings</span>\n<span data-name=\"Document\" data-shortcode=\"document\" title=\"Document viewer by Google\" data-desc=\"Document viewer by Google\" data-group=\"media\"><i class=\"fa fa-file-text\"></i>Document</span>\n<span data-name=\"Gmap\" data-shortcode=\"gmap\" title=\"Maps by Google\" data-desc=\"Maps by Google\" data-group=\"media\"><i class=\"fa fa-globe\"></i>Gmap</span>\n<span data-name=\"Slider\" data-shortcode=\"slider\" title=\"Customizable image slider\" data-desc=\"Customizable image slider\" data-group=\"gallery\"><i class=\"fa fa-picture-o\"></i>Slider</span>\n<span data-name=\"Carousel\" data-shortcode=\"carousel\" title=\"Customizable image carousel\" data-desc=\"Customizable image carousel\" data-group=\"gallery\"><i class=\"fa fa-picture-o\"></i>Carousel</span>\n<span data-name=\"Gallery\" data-shortcode=\"custom_gallery\" title=\"Customizable image gallery\" data-desc=\"Customizable image gallery\" data-group=\"gallery\"><i class=\"fa fa-picture-o\"></i>Gallery</span>\n<span data-name=\"Posts\" data-shortcode=\"posts\" title=\"Custom posts query with customizable template\" data-desc=\"Custom posts query with customizable template\" data-group=\"other\"><i class=\"fa fa-th-list\"></i>Posts</span>\n<span data-name=\"Dummy text\" data-shortcode=\"dummy_text\" title=\"Text placeholder\" data-desc=\"Text placeholder\" data-group=\"content\"><i class=\"fa fa-text-height\"></i>Dummy text</span>\n<span data-name=\"Dummy image\" data-shortcode=\"dummy_image\" title=\"Image placeholder with random image\" data-desc=\"Image placeholder with random image\" data-group=\"content\"><i class=\"fa fa-picture-o\"></i>Dummy image</span>\n<span data-name=\"Animation\" data-shortcode=\"animate\" title=\"Wrapper for animation. Any nested element will be animated\" data-desc=\"Wrapper for animation. Any nested element will be animated\" data-group=\"other\"><i class=\"fa fa-bolt\"></i>Animation</span>\n<span data-name=\"Meta\" data-shortcode=\"meta\" title=\"Post meta\" data-desc=\"Post meta\" data-group=\"data\"><i class=\"fa fa-info-circle\"></i>Meta</span>\n<span data-name=\"User\" data-shortcode=\"user\" title=\"User data\" data-desc=\"User data\" data-group=\"data\"><i class=\"fa fa-info-circle\"></i>User</span>\n<span data-name=\"Post\" data-shortcode=\"post\" title=\"Post data\" data-desc=\"Post data\" data-group=\"data\"><i class=\"fa fa-info-circle\"></i>Post</span>\n<span data-name=\"Template\" data-shortcode=\"template\" title=\"Theme template\" data-desc=\"Theme template\" data-group=\"other\"><i class=\"fa fa-puzzle-piece\"></i>Template</span>\n<span data-name=\"QR code\" data-shortcode=\"qrcode\" title=\"Advanced QR code generator\" data-desc=\"Advanced QR code generator\" data-group=\"content\"><i class=\"fa fa-qrcode\"></i>QR code</span>\n<span data-name=\"Scheduler\" data-shortcode=\"scheduler\" title=\"Allows to show the content only at the specified time period\" data-desc=\"Allows to show the content only at the specified time period\" data-group=\"other\"><i class=\"fa fa-clock-o\"></i>Scheduler</span>\n					</div>\n				</div>\n				<div id=\"su-generator-settings\"></div>\n				<input type=\"hidden\" name=\"su-generator-selected\" id=\"su-generator-selected\" value=\"http://demobay.info/plr/wp-content/plugins/shortcodes-ultimate\" />\n				<input type=\"hidden\" name=\"su-generator-url\" id=\"su-generator-url\" value=\"http://demobay.info/plr/wp-content/plugins/shortcodes-ultimate\" />\n				<input type=\"hidden\" name=\"su-compatibility-mode-prefix\" id=\"su-compatibility-mode-prefix\" value=\"su_\" />\n				<div id=\"su-generator-result\" style=\"display:none\"></div>\n			</div>\n		</div>\n	", "no");
INSERT INTO `wp_options` VALUES("564", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1430935669", "yes");
INSERT INTO `wp_options` VALUES("565", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "a:40:{s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";s:4:\"5152\";}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"Post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";s:4:\"3225\";}s:6:\"plugin\";a:3:{s:4:\"name\";s:6:\"plugin\";s:4:\"slug\";s:6:\"plugin\";s:5:\"count\";s:4:\"3156\";}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";s:4:\"2683\";}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";s:4:\"2467\";}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";s:4:\"1979\";}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";s:4:\"1858\";}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";s:4:\"1818\";}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";s:4:\"1763\";}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";s:4:\"1743\";}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";s:4:\"1705\";}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";s:4:\"1699\";}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";s:4:\"1589\";}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"Facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";s:4:\"1395\";}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";s:4:\"1345\";}s:9:\"wordpress\";a:3:{s:4:\"name\";s:9:\"wordpress\";s:4:\"slug\";s:9:\"wordpress\";s:5:\"count\";s:4:\"1271\";}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";s:4:\"1199\";}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";s:4:\"1147\";}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";s:4:\"1129\";}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";s:3:\"993\";}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";s:3:\"965\";}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";s:3:\"917\";}s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";s:3:\"884\";}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";s:3:\"877\";}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";s:3:\"855\";}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";s:3:\"839\";}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";s:3:\"798\";}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"AJAX\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";s:3:\"774\";}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";s:3:\"747\";}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";s:3:\"728\";}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";s:3:\"721\";}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";s:3:\"715\";}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";s:3:\"684\";}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";s:3:\"676\";}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";s:3:\"672\";}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";s:3:\"662\";}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";s:3:\"638\";}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";s:3:\"628\";}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";s:3:\"627\";}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";s:3:\"627\";}}", "yes");
INSERT INTO `wp_options` VALUES("566", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1430924884;s:7:\"checked\";a:11:{s:19:\"akismet/akismet.php\";s:5:\"3.1.1\";s:60:\"amazon-product-in-a-post-plugin/amazon-product-in-a-post.php\";s:5:\"3.5.2\";s:48:\"clickbank-ads-clickbank-widget/clickbank-ads.php\";s:3:\"1.7\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:5:\"4.1.2\";s:25:\"duplicator/duplicator.php\";s:6:\"0.5.18\";s:36:\"google-sitemap-generator/sitemap.php\";s:5:\"4.0.8\";s:33:\"privacy-policy/privacy-policy.php\";s:3:\"1.1\";s:43:\"shortcodes-ultimate/shortcodes-ultimate.php\";s:5:\"4.9.6\";s:41:\"social-share-boost/social-share-boost.php\";s:3:\"4.3\";s:32:\"wpfree-images/pixabay-images.php\";s:3:\"2.3\";s:27:\"wp-super-cache/wp-cache.php\";s:5:\"1.4.4\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:9:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:2:\"15\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"3.1.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.3.1.1.zip\";}s:60:\"amazon-product-in-a-post-plugin/amazon-product-in-a-post.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:5:\"10291\";s:4:\"slug\";s:31:\"amazon-product-in-a-post-plugin\";s:6:\"plugin\";s:60:\"amazon-product-in-a-post-plugin/amazon-product-in-a-post.php\";s:11:\"new_version\";s:5:\"3.5.2\";s:3:\"url\";s:62:\"https://wordpress.org/plugins/amazon-product-in-a-post-plugin/\";s:7:\"package\";s:74:\"https://downloads.wordpress.org/plugin/amazon-product-in-a-post-plugin.zip\";s:14:\"upgrade_notice\";s:291:\"Fix to issue with Add New Amazon Post page not loading.\nFix to the Shortcode for amazon-elements.\nAdded a container parameter and container class parameter to the amazon-elements shortcode to make styling multiple ASINs easier.\nFixed Readme.txt file for screenshots for WordPress repository.\";}s:48:\"clickbank-ads-clickbank-widget/clickbank-ads.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"53172\";s:4:\"slug\";s:30:\"clickbank-ads-clickbank-widget\";s:6:\"plugin\";s:48:\"clickbank-ads-clickbank-widget/clickbank-ads.php\";s:11:\"new_version\";s:3:\"1.7\";s:3:\"url\";s:61:\"https://wordpress.org/plugins/clickbank-ads-clickbank-widget/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/clickbank-ads-clickbank-widget.zip\";}s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:3:\"790\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"4.1.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.4.1.2.zip\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"22600\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"0.5.18\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.0.5.18.zip\";}s:36:\"google-sitemap-generator/sitemap.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:3:\"132\";s:4:\"slug\";s:24:\"google-sitemap-generator\";s:6:\"plugin\";s:36:\"google-sitemap-generator/sitemap.php\";s:11:\"new_version\";s:5:\"4.0.8\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/google-sitemap-generator/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/google-sitemap-generator.4.0.8.zip\";}s:43:\"shortcodes-ultimate/shortcodes-ultimate.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"21713\";s:4:\"slug\";s:19:\"shortcodes-ultimate\";s:6:\"plugin\";s:43:\"shortcodes-ultimate/shortcodes-ultimate.php\";s:11:\"new_version\";s:5:\"4.9.6\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/shortcodes-ultimate/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/shortcodes-ultimate.zip\";}s:41:\"social-share-boost/social-share-boost.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:5:\"41523\";s:4:\"slug\";s:18:\"social-share-boost\";s:6:\"plugin\";s:41:\"social-share-boost/social-share-boost.php\";s:11:\"new_version\";s:3:\"4.3\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/social-share-boost/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/social-share-boost.4.3.zip\";}s:27:\"wp-super-cache/wp-cache.php\";O:8:\"stdClass\":7:{s:2:\"id\";s:4:\"1221\";s:4:\"slug\";s:14:\"wp-super-cache\";s:6:\"plugin\";s:27:\"wp-super-cache/wp-cache.php\";s:11:\"new_version\";s:5:\"1.4.4\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/wp-super-cache/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/wp-super-cache.1.4.4.zip\";s:14:\"upgrade_notice\";s:99:\"Security release fixing an XSS bug in the settings page, and fix for fatal error in output handler.\";}}}", "yes");
INSERT INTO `wp_options` VALUES("567", "duplicator_settings", "a:10:{s:7:\"version\";s:6:\"0.5.18\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:0;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("568", "duplicator_version_plugin", "0.5.18", "yes");
INSERT INTO `wp_options` VALUES("569", "duplicator_ui_view_state", "a:1:{s:14:\"dup-wpnotice01\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("570", "duplicator_package_active", "O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:16:\"20150506_plrblog\";s:4:\"Hash\";s:29:\"554a2e5e31b1a3299150506150814\";s:8:\"NameHash\";s:46:\"20150506_plrblog_554a2e5e31b1a3299150506150814\";s:7:\"Version\";s:6:\"0.5.18\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:61:\"/home1/anton241/public_html/demobay.info/plr/wp-snapshots/tmp\";s:8:\"StoreURL\";s:37:\"http://demobay.info/plr/wp-snapshots/\";s:8:\"ScanFile\";s:56:\"20150506_plrblog_554a2e5e31b1a3299150506150814_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:44:\"/home1/anton241/public_html/demobay.info/plr\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:16:\"20150506_plrblog\";s:4:\"Hash\";s:29:\"554a2e5e31b1a3299150506150814\";s:8:\"NameHash\";s:46:\"20150506_plrblog_554a2e5e31b1a3299150506150814\";s:7:\"Version\";s:6:\"0.5.18\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:61:\"/home1/anton241/public_html/demobay.info/plr/wp-snapshots/tmp\";s:8:\"StoreURL\";s:37:\"http://demobay.info/plr/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":11:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:30;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "1", "_edit_lock", "1430855213:1");
INSERT INTO `wp_postmeta` VALUES("3", "1", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("7", "2", "_edit_lock", "1430830679:1");
INSERT INTO `wp_postmeta` VALUES("8", "2", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("9", "2", "_wp_trash_meta_time", "1430830828");
INSERT INTO `wp_postmeta` VALUES("14", "11", "_wp_attached_file", "2015/05/head.jpg");
INSERT INTO `wp_postmeta` VALUES("15", "11", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:300;s:4:\"file\";s:16:\"2015/05/head.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"head-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:15:\"head-300x90.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("16", "11", "_wp_attachment_custom_header_last_used_athenea", "1430850443");
INSERT INTO `wp_postmeta` VALUES("17", "11", "_wp_attachment_is_custom_header", "athenea");
INSERT INTO `wp_postmeta` VALUES("18", "12", "_wp_attached_file", "2015/05/h.jpg");
INSERT INTO `wp_postmeta` VALUES("19", "12", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:200;s:4:\"file\";s:13:\"2015/05/h.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:13:\"h-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:12:\"h-300x60.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("20", "13", "_wp_attached_file", "2015/05/cropped-h.jpg");
INSERT INTO `wp_postmeta` VALUES("21", "13", "_wp_attachment_context", "custom-header");
INSERT INTO `wp_postmeta` VALUES("22", "13", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:266;s:4:\"file\";s:21:\"2015/05/cropped-h.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"cropped-h-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"cropped-h-300x80.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("23", "13", "_wp_attachment_custom_header_last_used_athenea", "1430850622");
INSERT INTO `wp_postmeta` VALUES("24", "13", "_wp_attachment_is_custom_header", "athenea");
INSERT INTO `wp_postmeta` VALUES("25", "14", "_wp_attached_file", "2015/05/wordpress-589121_1280.jpg");
INSERT INTO `wp_postmeta` VALUES("26", "14", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:847;s:4:\"file\";s:33:\"2015/05/wordpress-589121_1280.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"wordpress-589121_1280-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"wordpress-589121_1280-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"wordpress-589121_1280-1024x678.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:678;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("27", "14", "_wp_attachment_is_custom_background", "athenea");
INSERT INTO `wp_postmeta` VALUES("35", "19", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("36", "19", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("37", "19", "_edit_lock", "1430853689:1");
INSERT INTO `wp_postmeta` VALUES("42", "23", "_form", "<p>Your Name (required)<br />\n    [text* your-name] </p>\n\n<p>Your Email (required)<br />\n    [email* your-email] </p>\n\n<p>Subject<br />\n    [text your-subject] </p>\n\n<p>Your Message<br />\n    [textarea your-message] </p>\n\n<p>[submit \"Send\"]</p>");
INSERT INTO `wp_postmeta` VALUES("43", "23", "_mail", "a:8:{s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:36:\"[your-name] <wordpress@demobay.info>\";s:4:\"body\";s:169:\"From: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on PLR Blog (http://demobay.info/plr)\";s:9:\"recipient\";s:17:\"mail@yourmail.com\";s:18:\"additional_headers\";s:22:\"Reply-To: [your-email]\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("44", "23", "_mail_2", "a:9:{s:6:\"active\";b:0;s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:33:\"PLR Blog <wordpress@demobay.info>\";s:4:\"body\";s:111:\"Message Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on PLR Blog (http://demobay.info/plr)\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:27:\"Reply-To: mail@yourmail.com\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("45", "23", "_messages", "a:8:{s:12:\"mail_sent_ok\";s:43:\"Your message was sent successfully. Thanks.\";s:12:\"mail_sent_ng\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:16:\"validation_error\";s:74:\"Validation errors occurred. Please confirm the fields and submit it again.\";s:4:\"spam\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:12:\"accept_terms\";s:35:\"Please accept the terms to proceed.\";s:16:\"invalid_required\";s:34:\"Please fill in the required field.\";s:16:\"invalid_too_long\";s:23:\"This input is too long.\";s:17:\"invalid_too_short\";s:24:\"This input is too short.\";}");
INSERT INTO `wp_postmeta` VALUES("46", "23", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("47", "23", "_locale", "en_US");
INSERT INTO `wp_postmeta` VALUES("50", "1", "post_views_count", "0");
INSERT INTO `wp_postmeta` VALUES("51", "1", "_zoomarts_love", "0");
INSERT INTO `wp_postmeta` VALUES("52", "25", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("53", "25", "_edit_lock", "1430853807:1");
INSERT INTO `wp_postmeta` VALUES("55", "25", "za_embed_status_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("56", "25", "za_quote_post_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("57", "25", "za_link_post_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("58", "25", "za_post_layout", "right-sidebar");
INSERT INTO `wp_postmeta` VALUES("59", "25", "post_views_count", "1");
INSERT INTO `wp_postmeta` VALUES("60", "25", "_zoomarts_love", "0");
INSERT INTO `wp_postmeta` VALUES("61", "25", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("62", "25", "_wp_trash_meta_time", "1430853998");
INSERT INTO `wp_postmeta` VALUES("63", "27", "_wp_attached_file", "2015/05/wpfree/f/book_covers_1430854108.jpg");
INSERT INTO `wp_postmeta` VALUES("64", "27", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:460;s:4:\"file\";s:43:\"2015/05/wpfree/f/book_covers_1430854108.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"book_covers_1430854108-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"book_covers_1430854108-300x216.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:216;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("66", "27", "su_slide_link", "");
INSERT INTO `wp_postmeta` VALUES("68", "1", "za_embed_status_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("69", "1", "za_quote_post_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("70", "1", "za_link_post_bg_color", "#47C2DC");
INSERT INTO `wp_postmeta` VALUES("71", "1", "za_post_layout", "right-sidebar");
INSERT INTO `wp_postmeta` VALUES("73", "19", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("74", "19", "_wp_trash_meta_time", "1430854448");
INSERT INTO `wp_postmeta` VALUES("75", "30", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("76", "30", "_edit_lock", "1430854634:1");
INSERT INTO `wp_postmeta` VALUES("77", "30", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("78", "30", "za_title_style", "text-left");
INSERT INTO `wp_postmeta` VALUES("81", "1", "_thumbnail_id", "14");
INSERT INTO `wp_postmeta` VALUES("83", "1", "image", "");
INSERT INTO `wp_postmeta` VALUES("84", "33", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("85", "33", "_edit_lock", "1430859464:1");
INSERT INTO `wp_postmeta` VALUES("86", "34", "_wp_attached_file", "2015/05/wpfree/0/writing_1430859585.jpg");
INSERT INTO `wp_postmeta` VALUES("87", "34", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:426;s:4:\"file\";s:39:\"2015/05/wpfree/0/writing_1430859585.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"writing_1430859585-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"writing_1430859585-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";d:2.79999999999999982236431605997495353221893310546875;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:13:\"Canon EOS 70D\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"800\";s:13:\"shutter_speed\";s:6:\"0.0025\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("88", "33", "_thumbnail_id", "34");
INSERT INTO `wp_postmeta` VALUES("89", "34", "su_slide_link", "");
INSERT INTO `wp_postmeta` VALUES("91", "33", "image", "");
INSERT INTO `wp_postmeta` VALUES("92", "36", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("93", "36", "_edit_lock", "1430860043:1");
INSERT INTO `wp_postmeta` VALUES("94", "37", "_wp_attached_file", "2015/05/wpfree/2/business_1430860043.jpg");
INSERT INTO `wp_postmeta` VALUES("95", "37", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:426;s:4:\"file\";s:40:\"2015/05/wpfree/2/business_1430860043.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"business_1430860043-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"business_1430860043-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("96", "36", "_thumbnail_id", "37");
INSERT INTO `wp_postmeta` VALUES("97", "37", "su_slide_link", "");
INSERT INTO `wp_postmeta` VALUES("99", "36", "image", "");
INSERT INTO `wp_postmeta` VALUES("100", "36", "embed", "");
INSERT INTO `wp_postmeta` VALUES("104", "40", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("105", "40", "_edit_lock", "1430861425:1");
INSERT INTO `wp_postmeta` VALUES("106", "41", "_wp_attached_file", "2015/05/Capture.png");
INSERT INTO `wp_postmeta` VALUES("107", "41", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:248;s:6:\"height\";i:354;s:4:\"file\";s:19:\"2015/05/Capture.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"Capture-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"Capture-210x300.png\";s:5:\"width\";i:210;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("108", "40", "_thumbnail_id", "41");
INSERT INTO `wp_postmeta` VALUES("110", "40", "image", "");
INSERT INTO `wp_postmeta` VALUES("111", "40", "embed", "");
INSERT INTO `wp_postmeta` VALUES("112", "40", "amazon-product-isactive", "1");
INSERT INTO `wp_postmeta` VALUES("113", "40", "amazon-product-content-location", "1");
INSERT INTO `wp_postmeta` VALUES("114", "40", "amazon-product-single-asin", "1503028607");
INSERT INTO `wp_postmeta` VALUES("115", "40", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("116", "40", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("117", "40", "amazon-product-newwindow", "2");
INSERT INTO `wp_postmeta` VALUES("119", "43", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("120", "43", "_edit_lock", "1430861119:1");
INSERT INTO `wp_postmeta` VALUES("121", "44", "_wp_attached_file", "2015/05/wpfree/c/profits_1430861227.jpg");
INSERT INTO `wp_postmeta` VALUES("122", "44", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:452;s:4:\"file\";s:39:\"2015/05/wpfree/c/profits_1430861227.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"profits_1430861227-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"profits_1430861227-300x212.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:212;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("123", "43", "_thumbnail_id", "44");
INSERT INTO `wp_postmeta` VALUES("124", "44", "su_slide_link", "");
INSERT INTO `wp_postmeta` VALUES("126", "43", "image", "");
INSERT INTO `wp_postmeta` VALUES("127", "43", "embed", "");
INSERT INTO `wp_postmeta` VALUES("131", "43", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("132", "43", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("133", "43", "amazon-product-newwindow", "2");
INSERT INTO `wp_postmeta` VALUES("135", "46", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("136", "46", "_edit_lock", "1430924404:1");
INSERT INTO `wp_postmeta` VALUES("137", "47", "_wp_attached_file", "2015/05/wpfree/7/win_1430861340.jpg");
INSERT INTO `wp_postmeta` VALUES("138", "47", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:452;s:4:\"file\";s:35:\"2015/05/wpfree/7/win_1430861340.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"win_1430861340-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"win_1430861340-300x212.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:212;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("139", "46", "_thumbnail_id", "47");
INSERT INTO `wp_postmeta` VALUES("140", "47", "su_slide_link", "");
INSERT INTO `wp_postmeta` VALUES("142", "46", "image", "");
INSERT INTO `wp_postmeta` VALUES("143", "46", "embed", "");
INSERT INTO `wp_postmeta` VALUES("147", "46", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("148", "46", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("149", "46", "amazon-product-newwindow", "2");
INSERT INTO `wp_postmeta` VALUES("162", "52", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("163", "52", "_edit_lock", "1430861608:1");
INSERT INTO `wp_postmeta` VALUES("164", "52", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("165", "52", "image", "");
INSERT INTO `wp_postmeta` VALUES("166", "52", "embed", "");
INSERT INTO `wp_postmeta` VALUES("170", "52", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("171", "52", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("172", "52", "amazon-product-newwindow", "2");
INSERT INTO `wp_postmeta` VALUES("174", "54", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("175", "54", "_edit_lock", "1430924117:1");
INSERT INTO `wp_postmeta` VALUES("176", "55", "_wp_attached_file", "2015/05/wpfree/9/software_1430924242.jpg");
INSERT INTO `wp_postmeta` VALUES("177", "55", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:488;s:6:\"height\";i:640;s:4:\"file\";s:40:\"2015/05/wpfree/9/software_1430924242.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"software_1430924242-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"software_1430924242-229x300.jpg\";s:5:\"width\";i:229;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("178", "54", "_thumbnail_id", "55");
INSERT INTO `wp_postmeta` VALUES("180", "54", "image", "");
INSERT INTO `wp_postmeta` VALUES("181", "54", "embed", "");
INSERT INTO `wp_postmeta` VALUES("185", "54", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("186", "54", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("187", "54", "amazon-product-newwindow", "2");
INSERT INTO `wp_postmeta` VALUES("189", "57", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("190", "57", "_edit_lock", "1430924576:1");
INSERT INTO `wp_postmeta` VALUES("191", "58", "_wp_attached_file", "2015/05/wpfree/7/software_1430924390.png");
INSERT INTO `wp_postmeta` VALUES("192", "58", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:492;s:6:\"height\";i:640;s:4:\"file\";s:40:\"2015/05/wpfree/7/software_1430924390.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"software_1430924390-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"software_1430924390-231x300.png\";s:5:\"width\";i:231;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("193", "57", "_thumbnail_id", "58");
INSERT INTO `wp_postmeta` VALUES("195", "57", "image", "");
INSERT INTO `wp_postmeta` VALUES("196", "57", "embed", "");
INSERT INTO `wp_postmeta` VALUES("200", "57", "amazon-product-excerpt-hook-override", "3");
INSERT INTO `wp_postmeta` VALUES("201", "57", "amazon-product-content-hook-override", "2");
INSERT INTO `wp_postmeta` VALUES("202", "57", "amazon-product-newwindow", "2");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("1", "1", "2014-09-16 17:32:31", "2014-09-16 17:32:31", "<p style=\"text-align: center;\">[su_heading size=\"17\"]Know Your Private Label Rights[/su_heading]</p>\r\n<a href=\"http://demobay.info/plr/wp-content/uploads/2015/05/wpfree/f/book_covers_1430854108.jpg\"><img class=\"alignleft size-thumbnail wp-image-27\" src=\"http://demobay.info/plr/wp-content/uploads/2015/05/wpfree/f/book_covers_1430854108-150x150.jpg\" alt=\"Book, Covers\" width=\"150\" height=\"150\" /></a>People who use Private Label Rights content are delighted to see more PLR sites appearing. The explosion of such sites has, however, given rise to a new problem - the overall quality of the articles users pay for. Good (and reliable) writers are snapped up fast and given ongoing work. Regrettably, some PLR site owners seem to be only concerned with getting a batch of articles uploaded no matter what the quality.\r\n\r\nCompetition, as we all know, is a good thing. Quite a number of PLR users are now making a practice of signing up to check out the quality of what\'s on offer in a new site. If they like it, they stay. If they don\'t - they vote with their feet, or more appropriately, with the \'cancel this subscription\' option at PayPal.\r\n\r\nAs a subscriber to a PLR site, don\'t feel that you have to accept the articles you get, no matter what the quality. You are entitled to get articles and/or ebooks that have been proofread and edited to correct grammar and spelling. It is the responsibility of the PLR site owner to check that the articles are of an acceptable standard (or to hire someone to do this for them).\r\n\r\nPLR users expect to have to tweak and change an article to create unique website content. They should not, however, have to edit every article. We all expect an error to creep in here and there - but an entire batch of articles written by someone whose first language is quite obviously not English is not acceptable. Nobody wants to have to copy-edit every one of 20 articles before turning them into an e-book.\r\n\r\nIf you are not satisfied with the quality of the PLR content, the first and most obvious option is to cancel your subscription. However, you would be doing everyone a favor if you took the time to contact the site owner to explain why you are not happy. Copy and paste a few examples from the articles to demonstrate the errors.\r\n\r\nIn the past, PLR site owners have sent back batches of articles to be corrected and/or rewritten when they are not satisfied with the job. In extreme cases, they cut their losses and just hired a new writer. Any PLR site owner who wants to build a profitable and well-regarded business will be interested in working with you on this - they don\'t want to lose customers.\r\n\r\nIf you can\'t get any satisfaction, move on. Sample the content of several sites. Ask for recommendations from friends or other publishers before you sign up. (Look for more than one satisfied customer - never forget that some reviews are there solely to get you to sign up via the reviewer\'s affiliate link.)\r\n\r\nDifferent sites offer different things and finding a site to suit your needs may be difficult. Some sites offer articles and complete e-books, sales letters and well-produced graphics. Others provide only articles and a few bonus products.\r\n\r\nIf you are a competent graphic designer and know your way around programs like Photoshop, graphics may not be important to you. (Indeed, you may prefer to create your own graphics so your site looks different to everyone else\'s.) Some sites offer \'extras\' like web hosting and autoresponders, plus ready-made AdSense sites. If you are just starting out, you may like these all-in-one solutions.\r\n\r\nBe sure to check the following when looking for a good PLR site to join:\r\n\r\n- What you get for your monthly subscription - articles, e-books, e-courses, AdSense sites, graphics and sales letters.\r\n- The quality of the articles that are available - general style, grammar and spelling.\r\n- Is the content original (not copied from some other source)?\r\n- The regularity with which content is posted. (Check out the forum, if there\'s one available. Are there constant complaints or queries about when each month\'s content will be available?)\r\n- The range of topics covered. You will find that some sites specialize in one subject area, while others cover a broad range of topics. Are you using enough of the monthly content to make it worth your while? There\'s not much point in being able to access 200 articles a month if you can use only five of them.\r\n\r\nIt\'s common for PLR users to belong to more than one site. An example: $200 a month spread between four to six sites comes to only $2,400 a year - which is an excellent business investment compared to the cost of hiring your own writer. Well-written, carefully-edited PLR articles are usually well worth the monthly fee. Take the time to assess the content of any PLR site - and stay with the ones that believe in quality control.", "Know Your Private Label Rights", "", "publish", "closed", "closed", "", "hello-world", "", "", "2015-05-05 19:49:10", "2015-05-05 19:49:10", "", "0", "http://demobay.info/plr/?p=1", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2", "1", "2014-09-16 17:32:31", "2014-09-16 17:32:31", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my blog. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://demobay.info/plr/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "trash", "open", "open", "", "sample-page", "", "", "2015-05-05 13:00:28", "2015-05-05 13:00:28", "", "0", "http://demobay.info/plr/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2015-05-05 12:56:12", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "closed", "closed", "", "", "", "", "2015-05-05 12:56:12", "0000-00-00 00:00:00", "", "0", "http://demobay.info/plr/?p=7", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2015-05-05 13:00:28", "2015-05-05 13:00:28", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my blog. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://demobay.info/plr/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "inherit", "closed", "closed", "", "2-revision-v1", "", "", "2015-05-05 13:00:28", "2015-05-05 13:00:28", "", "2", "http://demobay.info/plr/2015/05/05/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2015-05-05 18:27:15", "2015-05-05 18:27:15", "", "head", "", "inherit", "closed", "closed", "", "head", "", "", "2015-05-05 18:27:15", "2015-05-05 18:27:15", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/head.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2015-05-05 18:30:04", "2015-05-05 18:30:04", "", "h", "", "inherit", "closed", "closed", "", "h", "", "", "2015-05-05 18:30:04", "2015-05-05 18:30:04", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/h.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2015-05-05 18:30:21", "2015-05-05 18:30:21", "http://demobay.info/plr/wp-content/uploads/2015/05/cropped-h.jpg", "cropped-h.jpg", "", "inherit", "closed", "closed", "", "cropped-h-jpg", "", "", "2015-05-05 18:30:21", "2015-05-05 18:30:21", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/cropped-h.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2015-05-05 18:31:10", "2015-05-05 18:31:10", "", "wordpress-589121_1280", "", "inherit", "closed", "closed", "", "wordpress-589121_1280", "", "", "2015-05-05 18:31:10", "2015-05-05 18:31:10", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/wordpress-589121_1280.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("19", "1", "2015-05-05 18:50:57", "2015-05-05 18:50:57", "", "new", "", "trash", "closed", "closed", "", "new", "", "", "2015-05-05 19:34:08", "2015-05-05 19:34:08", "", "0", "http://demobay.info/plr/?page_id=19", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2015-05-05 18:50:57", "2015-05-05 18:50:57", "", "new", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2015-05-05 18:50:57", "2015-05-05 18:50:57", "", "19", "http://demobay.info/plr/2015/05/05/19-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2015-05-05 19:15:31", "2015-05-05 19:15:31", "<p>Your Name (required)<br />\n    [text* your-name] </p>\n\n<p>Your Email (required)<br />\n    [email* your-email] </p>\n\n<p>Subject<br />\n    [text your-subject] </p>\n\n<p>Your Message<br />\n    [textarea your-message] </p>\n\n<p>[submit \"Send\"]</p>\n[your-subject]\n[your-name] <wordpress@demobay.info>\nFrom: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on PLR Blog (http://demobay.info/plr)\nmail@yourmail.com\nReply-To: [your-email]\n\n0\n0\n\n[your-subject]\nPLR Blog <wordpress@demobay.info>\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on PLR Blog (http://demobay.info/plr)\n[your-email]\nReply-To: mail@yourmail.com\n\n0\n0\nYour message was sent successfully. Thanks.\nFailed to send your message. Please try later or contact the administrator by another method.\nValidation errors occurred. Please confirm the fields and submit it again.\nFailed to send your message. Please try later or contact the administrator by another method.\nPlease accept the terms to proceed.\nPlease fill in the required field.\nThis input is too long.\nThis input is too short.", "Contact form 1", "", "publish", "closed", "closed", "", "contact-form-1", "", "", "2015-05-05 19:15:31", "2015-05-05 19:15:31", "", "0", "http://demobay.info/plr/?post_type=wpcf7_contact_form&p=23", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2015-05-05 19:25:46", "2015-05-05 19:25:46", "<p style=\"text-align: center;\">[su_animate type=\"fadeInRightBig\"]Welcome To The PLR Blog[/su_animate]</p>", "Home", "", "trash", "closed", "closed", "", "home", "", "", "2015-05-05 19:26:38", "2015-05-05 19:26:38", "", "0", "http://demobay.info/plr/?p=25", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2015-05-05 19:25:46", "2015-05-05 19:25:46", "<p style=\"text-align: center;\">[su_animate type=\"fadeInRightBig\"]Welcome To The PLR Blog[/su_animate]</p>", "Home", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2015-05-05 19:25:46", "2015-05-05 19:25:46", "", "25", "http://demobay.info/plr/2015/05/05/25-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2015-05-05 19:28:28", "2015-05-05 19:28:28", "", "Book, Covers", "", "inherit", "closed", "closed", "", "book-covers", "", "", "2015-05-05 19:31:04", "2015-05-05 19:31:04", "", "1", "http://demobay.info/plr/wp-content/uploads/2015/05/book_covers_1430854108.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2015-05-05 19:31:08", "2015-05-05 19:31:08", "<p style=\"text-align: center;\">[su_heading size=\"17\"]Know Your Private Label Rights[/su_heading]</p>\r\n<a href=\"http://demobay.info/plr/wp-content/uploads/2015/05/wpfree/f/book_covers_1430854108.jpg\"><img class=\"alignleft size-thumbnail wp-image-27\" src=\"http://demobay.info/plr/wp-content/uploads/2015/05/wpfree/f/book_covers_1430854108-150x150.jpg\" alt=\"Book, Covers\" width=\"150\" height=\"150\" /></a>People who use Private Label Rights content are delighted to see more PLR sites appearing. The explosion of such sites has, however, given rise to a new problem - the overall quality of the articles users pay for. Good (and reliable) writers are snapped up fast and given ongoing work. Regrettably, some PLR site owners seem to be only concerned with getting a batch of articles uploaded no matter what the quality.\r\n\r\nCompetition, as we all know, is a good thing. Quite a number of PLR users are now making a practice of signing up to check out the quality of what\'s on offer in a new site. If they like it, they stay. If they don\'t - they vote with their feet, or more appropriately, with the \'cancel this subscription\' option at PayPal.\r\n\r\nAs a subscriber to a PLR site, don\'t feel that you have to accept the articles you get, no matter what the quality. You are entitled to get articles and/or ebooks that have been proofread and edited to correct grammar and spelling. It is the responsibility of the PLR site owner to check that the articles are of an acceptable standard (or to hire someone to do this for them).\r\n\r\nPLR users expect to have to tweak and change an article to create unique website content. They should not, however, have to edit every article. We all expect an error to creep in here and there - but an entire batch of articles written by someone whose first language is quite obviously not English is not acceptable. Nobody wants to have to copy-edit every one of 20 articles before turning them into an e-book.\r\n\r\nIf you are not satisfied with the quality of the PLR content, the first and most obvious option is to cancel your subscription. However, you would be doing everyone a favor if you took the time to contact the site owner to explain why you are not happy. Copy and paste a few examples from the articles to demonstrate the errors.\r\n\r\nIn the past, PLR site owners have sent back batches of articles to be corrected and/or rewritten when they are not satisfied with the job. In extreme cases, they cut their losses and just hired a new writer. Any PLR site owner who wants to build a profitable and well-regarded business will be interested in working with you on this - they don\'t want to lose customers.\r\n\r\nIf you can\'t get any satisfaction, move on. Sample the content of several sites. Ask for recommendations from friends or other publishers before you sign up. (Look for more than one satisfied customer - never forget that some reviews are there solely to get you to sign up via the reviewer\'s affiliate link.)\r\n\r\nDifferent sites offer different things and finding a site to suit your needs may be difficult. Some sites offer articles and complete e-books, sales letters and well-produced graphics. Others provide only articles and a few bonus products.\r\n\r\nIf you are a competent graphic designer and know your way around programs like Photoshop, graphics may not be important to you. (Indeed, you may prefer to create your own graphics so your site looks different to everyone else\'s.) Some sites offer \'extras\' like web hosting and autoresponders, plus ready-made AdSense sites. If you are just starting out, you may like these all-in-one solutions.\r\n\r\nBe sure to check the following when looking for a good PLR site to join:\r\n\r\n- What you get for your monthly subscription - articles, e-books, e-courses, AdSense sites, graphics and sales letters.\r\n- The quality of the articles that are available - general style, grammar and spelling.\r\n- Is the content original (not copied from some other source)?\r\n- The regularity with which content is posted. (Check out the forum, if there\'s one available. Are there constant complaints or queries about when each month\'s content will be available?)\r\n- The range of topics covered. You will find that some sites specialize in one subject area, while others cover a broad range of topics. Are you using enough of the monthly content to make it worth your while? There\'s not much point in being able to access 200 articles a month if you can use only five of them.\r\n\r\nIt\'s common for PLR users to belong to more than one site. An example: $200 a month spread between four to six sites comes to only $2,400 a year - which is an excellent business investment compared to the cost of hiring your own writer. Well-written, carefully-edited PLR articles are usually well worth the monthly fee. Take the time to assess the content of any PLR site - and stay with the ones that believe in quality control.", "Know Your Private Label Rights", "", "inherit", "closed", "closed", "", "1-revision-v1", "", "", "2015-05-05 19:31:08", "2015-05-05 19:31:08", "", "1", "http://demobay.info/plr/2015/05/05/1-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2015-05-05 19:37:14", "0000-00-00 00:00:00", "<p style=\"text-align: center;\">[su_heading size=\"20\"]Know Your Private Label Rights[/su_heading]</p>\r\n<p style=\"text-align: center;\">[su_tooltip][su_button] Hover me to open tooltip [/su_button][/su_tooltip]</p>", "Home", "", "draft", "closed", "closed", "", "", "", "", "2015-05-05 19:37:14", "2015-05-05 19:37:14", "", "0", "http://demobay.info/plr/?page_id=30", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2015-05-05 19:37:14", "2015-05-05 19:37:14", "<p style=\"text-align: center;\">[su_heading size=\"20\"]Know Your Private Label Rights[/su_heading]</p>\r\n<p style=\"text-align: center;\">[su_tooltip][su_button] Hover me to open tooltip [/su_button][/su_tooltip]</p>", "Home", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2015-05-05 19:37:14", "2015-05-05 19:37:14", "", "30", "http://demobay.info/plr/2015/05/05/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2015-05-05 21:00:01", "2015-05-05 21:00:01", "Private label rights (PLR) are one of the hottest things in Internet marketing today. Everybody wants to know what they are and, more importantly, what benefits they can get out of them.\r\n\r\nIn essence, PLR is a kind of license you acquire for material, which allows you to change and edit existing material and call it your own. Without having to do a lot of work, you could be credited as the author of the material and not have to worry about any violations in copyright.\r\n\r\nNot a lot of people know about the PLR articles, much less why they should pay attention to them. Give yourself the edge and find out why you should know all you can about PLR and how you can profit from them in the most efficient and effective way possible.\r\n\r\n1. Saves time and effort.\r\nYou probably already know how much work and time it will take to write an article. On average, a single 700-word article will take about two hours to compose from scratch. If your intention is to create a website with over 50 pages, then you can see how daunting and time-consuming the task of simply writing content will be. PLR articles will save you this time and effort.\r\n\r\n2. All credit goes to you.\r\nYou are under no obligation to credit the original author for PLR articles. As such, when you publish them on your website, no outbound links and advertisements will be there to distract your visitor / customer. All links will be focused on your brand and your affiliates.\r\n\r\n3. Saves you money.\r\nThis point requires a different point from saving time and effort simply because of economics. Hiring writers to create content for your website averages about $15 per article. If your site were to hold even just 20 articles that you need to update regularly (say every two weeks), you\'d see how the bill could add up.\r\n\r\nBut if you were to acquire PLR for a set of articles, you could save money because of the economics of scale. Articles are bought at bulk and as such it is possible to get your hands on 200 articles for only less than $30.\r\n\r\n4. Editorial freedom.\r\nYou don\'t like how the article is written or the information it is presenting? PLR allows you to change the material right away without needing to ask permission from the writer.\r\nThis is also especially useful for optimizing your website for search engines since you can enrich the content with keyword phrases to improve your rankings in SERPs.\r\n\r\n5. Create a brand for yourself.\r\nToday, it\'s all about distinguishing yourself from the rest. PLR articles allow you to provide content that is both relevant and updated. By doing so you build a reputation with your target audience as an expert. And since people would much rather go with someone they trust, your chances of return visitors increases significantly.\r\n\r\n6. Get professional results.\r\nMany of the writers who offer articles with PLR are professionals and have access to the latest information regarding your field of interest. By acquiring the rights from them, you avail yourself of their professional results without having to retain their services regularly.\r\n\r\nWith one set of PLR articles and some creativity on your part, you can extend the life of the articles to the point where the content has more than paid for itself. So when sourcing out a supplier for PLR articles, ask for sample works to demonstrate the quality of articles you would be purchasing.\r\n\r\nNow that you know why you should seriously consider getting PLR articles, here are some ways to get you started on profiting from them.\r\n\r\n1. Compile a list or report.\r\nYou can consolidate a series of articles of a similar theme and package them as a report or listing of information. While you may think that anyone can do this, you\'d be surprised how little of this is done.\r\n\r\nMany people don\'t have the time to read or the willingness to read several articles at different times. Providing them a simplified version of the information they want will be a welcome offer for your visitors. You can either give away the report for free, sell it as your own product or use it as content on your website.\r\n\r\n2. Use PLR content to create a series of small articles\r\nThis is especially useful when producing material for an email campaign. A series is by far, one of the more effective ways to create a following with your audience.\r\n\r\nGive enough to allow them a feel for what you\'re offering and hint at giving more of the same if they will subscribe to your mailing list. In turn, your emails promote your website by inviting them to visit you on a more regular basis.\r\n\r\n3. Produce ebooks.\r\nIt is very possible for you to take a set of PLR articles and come up with an ebook, for which you can credit yourself as the author.\r\n\r\nSince you have created an entirely new product you could repackage this and sell this with your own resale rights. Just like you, there are people who are looking for material they can use for their own promotion needs so cater to this market as they are increasingly growing in number.\r\n\r\nAs you can see, using PLR articles are not only effective in providing truly useful content. They are also cost and labor-efficient, which means you can focus more of your time to more important matters, whether they are for business or otherwise.", "Get More Useful Content At Low Cost and Effort", "", "publish", "closed", "closed", "", "get-more-useful-content-at-low-cost-and-effort", "", "", "2015-05-05 21:00:01", "2015-05-05 21:00:01", "", "0", "http://demobay.info/plr/?p=33", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2015-05-05 20:59:45", "2015-05-05 20:59:45", "", "Writing", "", "inherit", "closed", "closed", "", "writing", "", "", "2015-05-05 20:59:45", "2015-05-05 20:59:45", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/writing_1430859585.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2015-05-05 21:00:01", "2015-05-05 21:00:01", "Private label rights (PLR) are one of the hottest things in Internet marketing today. Everybody wants to know what they are and, more importantly, what benefits they can get out of them.\r\n\r\nIn essence, PLR is a kind of license you acquire for material, which allows you to change and edit existing material and call it your own. Without having to do a lot of work, you could be credited as the author of the material and not have to worry about any violations in copyright.\r\n\r\nNot a lot of people know about the PLR articles, much less why they should pay attention to them. Give yourself the edge and find out why you should know all you can about PLR and how you can profit from them in the most efficient and effective way possible.\r\n\r\n1. Saves time and effort.\r\nYou probably already know how much work and time it will take to write an article. On average, a single 700-word article will take about two hours to compose from scratch. If your intention is to create a website with over 50 pages, then you can see how daunting and time-consuming the task of simply writing content will be. PLR articles will save you this time and effort.\r\n\r\n2. All credit goes to you.\r\nYou are under no obligation to credit the original author for PLR articles. As such, when you publish them on your website, no outbound links and advertisements will be there to distract your visitor / customer. All links will be focused on your brand and your affiliates.\r\n\r\n3. Saves you money.\r\nThis point requires a different point from saving time and effort simply because of economics. Hiring writers to create content for your website averages about $15 per article. If your site were to hold even just 20 articles that you need to update regularly (say every two weeks), you\'d see how the bill could add up.\r\n\r\nBut if you were to acquire PLR for a set of articles, you could save money because of the economics of scale. Articles are bought at bulk and as such it is possible to get your hands on 200 articles for only less than $30.\r\n\r\n4. Editorial freedom.\r\nYou don\'t like how the article is written or the information it is presenting? PLR allows you to change the material right away without needing to ask permission from the writer.\r\nThis is also especially useful for optimizing your website for search engines since you can enrich the content with keyword phrases to improve your rankings in SERPs.\r\n\r\n5. Create a brand for yourself.\r\nToday, it\'s all about distinguishing yourself from the rest. PLR articles allow you to provide content that is both relevant and updated. By doing so you build a reputation with your target audience as an expert. And since people would much rather go with someone they trust, your chances of return visitors increases significantly.\r\n\r\n6. Get professional results.\r\nMany of the writers who offer articles with PLR are professionals and have access to the latest information regarding your field of interest. By acquiring the rights from them, you avail yourself of their professional results without having to retain their services regularly.\r\n\r\nWith one set of PLR articles and some creativity on your part, you can extend the life of the articles to the point where the content has more than paid for itself. So when sourcing out a supplier for PLR articles, ask for sample works to demonstrate the quality of articles you would be purchasing.\r\n\r\nNow that you know why you should seriously consider getting PLR articles, here are some ways to get you started on profiting from them.\r\n\r\n1. Compile a list or report.\r\nYou can consolidate a series of articles of a similar theme and package them as a report or listing of information. While you may think that anyone can do this, you\'d be surprised how little of this is done.\r\n\r\nMany people don\'t have the time to read or the willingness to read several articles at different times. Providing them a simplified version of the information they want will be a welcome offer for your visitors. You can either give away the report for free, sell it as your own product or use it as content on your website.\r\n\r\n2. Use PLR content to create a series of small articles\r\nThis is especially useful when producing material for an email campaign. A series is by far, one of the more effective ways to create a following with your audience.\r\n\r\nGive enough to allow them a feel for what you\'re offering and hint at giving more of the same if they will subscribe to your mailing list. In turn, your emails promote your website by inviting them to visit you on a more regular basis.\r\n\r\n3. Produce ebooks.\r\nIt is very possible for you to take a set of PLR articles and come up with an ebook, for which you can credit yourself as the author.\r\n\r\nSince you have created an entirely new product you could repackage this and sell this with your own resale rights. Just like you, there are people who are looking for material they can use for their own promotion needs so cater to this market as they are increasingly growing in number.\r\n\r\nAs you can see, using PLR articles are not only effective in providing truly useful content. They are also cost and labor-efficient, which means you can focus more of your time to more important matters, whether they are for business or otherwise.", "Get More Useful Content At Low Cost and Effort", "", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2015-05-05 21:00:01", "2015-05-05 21:00:01", "", "33", "http://demobay.info/plr/2015/05/05/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2015-05-05 21:07:37", "2015-05-05 21:07:37", "Since the existence of the Internet, business had been far better than before. This is because the Internet provides more effective means of distributing information about the products and the business all at the same time to the world in a matter of seconds.\r\n\r\nFor this reason, most businesses know that the large number of the online business will definitely increase the income-generating possibility of the business.\r\n\r\nHowever, most online entrepreneurs assume that for an online business to grow and generate good income in the Internet, the business must have its own product. This is because everything is a sale, even the thoughts that you have in your mind could count as a product for sale when presented in the Internet for other people\'s use.\r\n\r\nBut opposing to most popular beliefs, having your own product does not limit you to the many possibilities of earning more by using a \"license\" that is attached with an \"information product\" that you may purchase online. These are known as Private Label Rights.\r\n\r\nPrivate Label Rights is one of the three \"basic rights\" that are embodied in the concept of Resale Rights marketing. Among the three, Private Label Rights are considered as the most moneymaking and rewarding.\r\n\r\nPrivate Label Rights are represented in a certificate or authorization that is attached with an \"information item.\" The basics of Private Label Rights is to permit people to transform, reorganize, change, or improve the elements of the said merchandise to go well with the buyer\'s personal desires and yearnings.\r\n\r\nFor example, if you own a Private Label Rights, you are allowed to separate the contents of an ebook, and convince somebody to buy the contents as sequence of pieces of writing.\r\n\r\nOne of the greatest things about Private Label Rights is that you can actually do the same thing inversely. For instance, if you were able to buy a set of information products like a collection of articles embodied with Private Label Rights, you can easily bring them together without the risk of some law-related predicaments. Hence, you can collect different articles from different owners. With a common thought, you can come up with a creative masterpiece of information.\r\n\r\nIn addition, with Private Label Rights, you can simply customize the contents on the product to make it more meaningful and creative, therefore, creating an impression of having a product of your own.\r\n\r\nBest of all, you can even put your name as the author of the product. This is the most rewarding aspect of having Private Label Rights. In this way, you do not have to acknowledge the primary author of the work.\r\n\r\nSo for those who are not yet aware of the rewards of using Private Label Rights, here is a list of some of the advantages:\r\n\r\n1. It is just the thing for marking your name and your business\' name.\r\n\r\nYou can easily acquire informative products that you can use as your own with Private Label Rights. This creates an impression that you are making your own product and that you are a professional and a skilled person on the given field. In turn, you get the trust that you need in order to compel them to buy your product.\r\n\r\n2. It triggers creativity.\r\n\r\nOne of the best things about Private Label Rights is that you can be creative in a thousand and one ways. This is because you can pull together the different elements and come up with a new and near-original work without having any difficulty of creating such product.\r\n\r\n3. Develop a product!\r\n\r\nWith Private Label Rights, you can simply customize or improve a product if ever it does not fit your taste or needs. In this way, you can both cut back wasteful time by looking for products that are totally worthless or save more money by avoiding to create a whole new product.\r\n\r\nHowever, even if some people contend that it is totally unethical for a person to sell the Private Label Rights for his creations, one cannot simply surmise the fact that engaging into this kind of activity is also beneficial to the seller especially if the product is already nearing the closing stages of its \"market life.\"\r\n\r\nThis goes to show that people must learn how to give way to any possible changes to any product that might have already lost its income-generating potential. By allowing other people to modify or enhance the features of certain products, the advancement of such products will continue to take place. And so, the cycle will go on.\r\n\r\nIndeed, the basics of Private Label Rights are not just necessary for most of the Internet marketers who wish to earn more income aside from their own products but also for the whole market as well. This is because the whole system of a give and take relationship dwells in the business and that is exactly where income generates its power", "What Is Private Label Rights and Why Do People Use It?", "", "publish", "closed", "closed", "", "what-is-private-label-rights-and-why-do-people-use-it", "", "", "2015-05-05 21:09:40", "2015-05-05 21:09:40", "", "0", "http://demobay.info/plr/?p=36", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2015-05-05 21:07:23", "2015-05-05 21:07:23", "", "Business", "", "inherit", "closed", "closed", "", "business", "", "", "2015-05-05 21:07:23", "2015-05-05 21:07:23", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/business_1430860043.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2015-05-05 21:07:37", "2015-05-05 21:07:37", "Since the existence of the Internet, business had been far better than before. This is because the Internet provides more effective means of distributing information about the products and the business all at the same time to the world in a matter of seconds.\r\n\r\nFor this reason, most businesses know that the large number of the online business will definitely increase the income-generating possibility of the business.\r\n\r\nHowever, most online entrepreneurs assume that for an online business to grow and generate good income in the Internet, the business must have its own product. This is because everything is a sale, even the thoughts that you have in your mind could count as a product for sale when presented in the Internet for other people\'s use.\r\n\r\nBut opposing to most popular beliefs, having your own product does not limit you to the many possibilities of earning more by using a \"license\" that is attached with an \"information product\" that you may purchase online. These are known as Private Label Rights.\r\n\r\nPrivate Label Rights is one of the three \"basic rights\" that are embodied in the concept of Resale Rights marketing. Among the three, Private Label Rights are considered as the most moneymaking and rewarding.\r\n\r\nPrivate Label Rights are represented in a certificate or authorization that is attached with an \"information item.\" The basics of Private Label Rights is to permit people to transform, reorganize, change, or improve the elements of the said merchandise to go well with the buyer\'s personal desires and yearnings.\r\n\r\nFor example, if you own a Private Label Rights, you are allowed to separate the contents of an ebook, and convince somebody to buy the contents as sequence of pieces of writing.\r\n\r\nOne of the greatest things about Private Label Rights is that you can actually do the same thing inversely. For instance, if you were able to buy a set of information products like a collection of articles embodied with Private Label Rights, you can easily bring them together without the risk of some law-related predicaments. Hence, you can collect different articles from different owners. With a common thought, you can come up with a creative masterpiece of information.\r\n\r\nIn addition, with Private Label Rights, you can simply customize the contents on the product to make it more meaningful and creative, therefore, creating an impression of having a product of your own.\r\n\r\nBest of all, you can even put your name as the author of the product. This is the most rewarding aspect of having Private Label Rights. In this way, you do not have to acknowledge the primary author of the work.\r\n\r\nSo for those who are not yet aware of the rewards of using Private Label Rights, here is a list of some of the advantages:\r\n\r\n1. It is just the thing for marking your name and your business\' name.\r\n\r\nYou can easily acquire informative products that you can use as your own with Private Label Rights. This creates an impression that you are making your own product and that you are a professional and a skilled person on the given field. In turn, you get the trust that you need in order to compel them to buy your product.\r\n\r\n2. It triggers creativity.\r\n\r\nOne of the best things about Private Label Rights is that you can be creative in a thousand and one ways. This is because you can pull together the different elements and come up with a new and near-original work without having any difficulty of creating such product.\r\n\r\n3. Develop a product!\r\n\r\nWith Private Label Rights, you can simply customize or improve a product if ever it does not fit your taste or needs. In this way, you can both cut back wasteful time by looking for products that are totally worthless or save more money by avoiding to create a whole new product.\r\n\r\nHowever, even if some people contend that it is totally unethical for a person to sell the Private Label Rights for his creations, one cannot simply surmise the fact that engaging into this kind of activity is also beneficial to the seller especially if the product is already nearing the closing stages of its \"market life.\"\r\n\r\nThis goes to show that people must learn how to give way to any possible changes to any product that might have already lost its income-generating potential. By allowing other people to modify or enhance the features of certain products, the advancement of such products will continue to take place. And so, the cycle will go on.\r\n\r\nIndeed, the basics of Private Label Rights are not just necessary for most of the Internet marketers who wish to earn more income aside from their own products but also for the whole market as well. This is because the whole system of a give and take relationship dwells in the business and that is exactly where income generates its power", "What Is Private Label Rights and Why Do People Use It?", "", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2015-05-05 21:07:37", "2015-05-05 21:07:37", "", "36", "http://demobay.info/plr/2015/05/05/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2015-05-05 21:15:15", "2015-05-05 21:15:15", "<h1 id=\"title\" class=\"a-size-large a-spacing-none\"><span id=\"productTitle\" class=\"a-size-large\">15 Versatile Applications Of Private Label Rights Content On Your Website, Marketing And Money Making Endeavors</span> <span class=\"a-size-medium a-color-secondary a-text-normal\">Paperback</span> <span class=\"a-size-medium a-color-secondary a-text-normal\">– 1 Nov 2014</span></h1>\r\nDo you own a website? Do you do internet marketing, blogging, or email newsletters and blasts? Are you stretched thin and need more content? Then at some point in time you might have considered using Private Label Rights or also known as PLR. Most people will not be familiar with Private Label Rights or how to utilize it in their internet strategies. Read this book and get all the info you need.", "Private Label Rights Master", "", "publish", "closed", "closed", "", "private-label-rights-master", "", "", "2015-05-05 21:32:44", "2015-05-05 21:32:44", "", "0", "http://demobay.info/plr/?p=40", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2015-05-05 21:14:17", "2015-05-05 21:14:17", "", "Capture", "", "inherit", "closed", "closed", "", "capture", "", "", "2015-05-05 21:14:17", "2015-05-05 21:14:17", "", "40", "http://demobay.info/plr/wp-content/uploads/2015/05/Capture.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2015-05-05 21:15:15", "2015-05-05 21:15:15", "<h1 id=\"title\" class=\"a-size-large a-spacing-none\"><span id=\"productTitle\" class=\"a-size-large\">15 Versatile Applications Of Private Label Rights Content On Your Website, Marketing And Money Making Endeavors</span> <span class=\"a-size-medium a-color-secondary a-text-normal\">Paperback</span> <span class=\"a-size-medium a-color-secondary a-text-normal\">– 1 Nov 2014</span></h1>\r\nDo you own a website? Do you do internet marketing, blogging, or email newsletters and blasts? Are you stretched thin and need more content? Then at some point in time you might have considered using Private Label Rights or also known as PLR. Most people will not be familiar with Private Label Rights or how to utilize it in their internet strategies. Read this book and get all the info you need.", "Private Label Rights Master", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2015-05-05 21:15:15", "2015-05-05 21:15:15", "", "40", "http://demobay.info/plr/2015/05/05/40-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2015-05-05 21:27:19", "2015-05-05 21:27:19", "There are three basic rights you should know about when it comes to resale rights marketing. These are resale rights, master resale rights and private label rights\r\n\r\nWhenever you purchase a product with resale rights, you will only have the license to sell the said product to other people. When you purchase a product with master resale rights, you will have the license to sell the product to other people, and you will also have the option to sell the resale right for the same product as well. This means that the people to whom you sell the resale rights of the product whose master resale rights you own will consequently acquire the license to sell the said product to other people.\r\n\r\nConfusing as this may sound, our focus for this article are private label rights which, of the three rights enumerated above, is undoubtedly the most empowering and the most profitable.\r\n\r\nPrivate label rights are embodied in a license that comes with an information product you may be able to purchase. These rights would allow you to alter, modify, enhance and rearrange the contents of the said product to suit your own needs and wishes. What exactly does this mean?\r\n\r\nWith private label rights, you could divide the chapters of, say, an eBook, and sell them as a series of articles. The reverse is also true. If you purchased a set of articles with accompanying private label rights, you could compile them into one nifty and seemingly novel eBook or special report.\r\n\r\nBetter yet, you could add any information on the said information product, without having to seek the permission of the original author. You feel that one section is wanting in details? You could freely insert your own additions!\r\n\r\nBut the best part of information products with private label rights is that, in most cases, you could put your name as the author of the work, without having to pay royalties or ghostwriting charges to the original author.\r\n\r\nThere are many benefits to private label rights. Some are quite apparent. Others only manifest after a deeper scrutiny. Let\'s take a look at some of them\r\n\r\nPrivate label rights would allow you to come up with a variety of new products from the original source. Being empowered to alter the contents to suit your needs, you have the liberty to repackage them as novel offers for different markets.\r\n\r\nPrivate label rights would allow you to improve on a work that you may have found lacking. Tired of purchasing products to sell, when such products do not meet your standards of quality and they are disappointingly unalterable? You won\'t have to worry about such with private label rights. You have the freedom to change and improve on what is written as you see fit.\r\n\r\nPrivate label rights are perfect for branding yourself and your business. You need to get the word out about your online venture. Purchasing a number of information products with private label rights and naming them as your own would impress upon the online world that you are an expert in your chosen field, and they would trust you more easily when the need arises to procure your services or avail of your products.\r\n\r\nThe purchaser is not the only person who stands to earn from private label rights, however. An information product creator can also consider this route if he wishes to make some fast money. The information product creator can offer the private label rights to his works at a substantially higher price, considering all the perks that are attached to it.\r\n\r\nThere has been an age old debate as to whether or not a creator should sell the private label rights for his products. Though there are many schools of thought on the matter, the following scenario seems to be the most beneficial for the information product creator: he should sell the private label rights for his products only when the same is nearing the end of its market life.\r\n\r\nAt this point, it is widely believed that the product has already been squeezed dry of its moneymaking potentials, and by allowing other people to alter it in creative ways, the said product might find new life in different markets.\r\n\r\nPrivate label rights are excellent offerings in the world of Internet marketing. When you encounter a hot commodity that would give you the liberty to alter its essence and call it your own, it is very much worth your time to study the profitability of purchasing the same. Offers this good don\'t come everyday.", "Profiting With Private Label Rights", "", "publish", "closed", "closed", "", "profiting-with-private-label-rights", "", "", "2015-05-05 21:27:19", "2015-05-05 21:27:19", "", "0", "http://demobay.info/plr/?p=43", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2015-05-05 21:27:07", "2015-05-05 21:27:07", "", "Profits", "", "inherit", "closed", "closed", "", "profits", "", "", "2015-05-05 21:27:07", "2015-05-05 21:27:07", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/profits_1430861227.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2015-05-05 21:27:19", "2015-05-05 21:27:19", "There are three basic rights you should know about when it comes to resale rights marketing. These are resale rights, master resale rights and private label rights\r\n\r\nWhenever you purchase a product with resale rights, you will only have the license to sell the said product to other people. When you purchase a product with master resale rights, you will have the license to sell the product to other people, and you will also have the option to sell the resale right for the same product as well. This means that the people to whom you sell the resale rights of the product whose master resale rights you own will consequently acquire the license to sell the said product to other people.\r\n\r\nConfusing as this may sound, our focus for this article are private label rights which, of the three rights enumerated above, is undoubtedly the most empowering and the most profitable.\r\n\r\nPrivate label rights are embodied in a license that comes with an information product you may be able to purchase. These rights would allow you to alter, modify, enhance and rearrange the contents of the said product to suit your own needs and wishes. What exactly does this mean?\r\n\r\nWith private label rights, you could divide the chapters of, say, an eBook, and sell them as a series of articles. The reverse is also true. If you purchased a set of articles with accompanying private label rights, you could compile them into one nifty and seemingly novel eBook or special report.\r\n\r\nBetter yet, you could add any information on the said information product, without having to seek the permission of the original author. You feel that one section is wanting in details? You could freely insert your own additions!\r\n\r\nBut the best part of information products with private label rights is that, in most cases, you could put your name as the author of the work, without having to pay royalties or ghostwriting charges to the original author.\r\n\r\nThere are many benefits to private label rights. Some are quite apparent. Others only manifest after a deeper scrutiny. Let\'s take a look at some of them\r\n\r\nPrivate label rights would allow you to come up with a variety of new products from the original source. Being empowered to alter the contents to suit your needs, you have the liberty to repackage them as novel offers for different markets.\r\n\r\nPrivate label rights would allow you to improve on a work that you may have found lacking. Tired of purchasing products to sell, when such products do not meet your standards of quality and they are disappointingly unalterable? You won\'t have to worry about such with private label rights. You have the freedom to change and improve on what is written as you see fit.\r\n\r\nPrivate label rights are perfect for branding yourself and your business. You need to get the word out about your online venture. Purchasing a number of information products with private label rights and naming them as your own would impress upon the online world that you are an expert in your chosen field, and they would trust you more easily when the need arises to procure your services or avail of your products.\r\n\r\nThe purchaser is not the only person who stands to earn from private label rights, however. An information product creator can also consider this route if he wishes to make some fast money. The information product creator can offer the private label rights to his works at a substantially higher price, considering all the perks that are attached to it.\r\n\r\nThere has been an age old debate as to whether or not a creator should sell the private label rights for his products. Though there are many schools of thought on the matter, the following scenario seems to be the most beneficial for the information product creator: he should sell the private label rights for his products only when the same is nearing the end of its market life.\r\n\r\nAt this point, it is widely believed that the product has already been squeezed dry of its moneymaking potentials, and by allowing other people to alter it in creative ways, the said product might find new life in different markets.\r\n\r\nPrivate label rights are excellent offerings in the world of Internet marketing. When you encounter a hot commodity that would give you the liberty to alter its essence and call it your own, it is very much worth your time to study the profitability of purchasing the same. Offers this good don\'t come everyday.", "Profiting With Private Label Rights", "", "inherit", "closed", "closed", "", "43-revision-v1", "", "", "2015-05-05 21:27:19", "2015-05-05 21:27:19", "", "43", "http://demobay.info/plr/2015/05/05/43-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2015-05-05 22:01:12", "2015-05-05 22:01:12", "Would you believe a person if they told you that it was possible to take another person\'s work, change it anyway you please and call the edited material yours?\r\n\r\nWhat if that person also told you that besides being able to do so, you could actually profit from that work and not be liable for any copyright infringement?\r\n\r\nIf you haven\'t heard of private label rights, then most likely you\'d think they were pulling your leg. But all the above are true if you are able secure these rights.\r\n\r\nBut what are private label rights?\r\n\r\nTo understand why private label rights are so special, you need to know about resale and master resale first.\r\n\r\nResale rights are simply permission from the owner of a work (a book, for example) to allow you to take the said material and distribute it for your own profit.\r\n\r\nMaster resale rights take it a step further and allow you to sell the resale rights to the work. The reason why it is called master resale rights is because it covers a large set of permissible actions to the person who acquires those rights.\r\n\r\nExperts would tell you that to get the most of your purchasing of master resale rights, the following list of actions should allow you to:\r\n1. give the material away unaltered\r\n2. combine the material with others\r\n3. give the material away as a bonus item\r\n4. use the material a content for websites\r\n5. divide the product into separate articles\r\n6. put the rights for the material or the material itself up for auction\r\n7. provide the material as content for paid membership sites\r\n8. sell resale rights for the material\r\n9. change or alter the material\r\n\r\nBuying the whole set of these rights are great but it can cost you. But there is a way to get almost all of these actions and not have to pay as much for master resale rights IF you acquire just the right to change or alter the material, which is exactly what private label rights are.\r\n\r\nWith these set of rights, you are given permission to change another person\'s work. By altering the material, you have made the work your own which then allows you to profit from the material anyway you intend to.\r\n\r\nLet\'s say you were able to acquire private label rights for a particular ebook. What can you do?\r\n\r\nFor starters, you can break up the book into separate chapters and then sell these as articles. On the other hand, if you were able to acquire private label rights for a set of articles, you could combine them and package it as a book, which you then can sell.\r\n\r\nYou can change the material\'s content by adding or removing details. You can also add pictures or illustrations as well as other media like sound or video clips.\r\n\r\nAll of these actions are possible but the best part about private label rights is that you are not obligated to mention the original author (or pay them any royalties) for the changes you have done to his or her material. You can claim the material as yours by putting your name as the author of the material.\r\nWith these changes, the ways on capitalizing on them are many.\r\n\r\nYou can come up with a whole new set of products from a single material source. Take an ebook for example. On one hand, you\'ve broken up the book to sell them as articles. On the other, you\'ve enhanced the book\'s content with media to package it as your own work and putting it up for sale on the market.\r\n\r\nAcquiring private label rights are great for creating a brand for your business. As you may already know, one of the keys to a successful business is to distinguish yourself from the rest. With private label rights, you can change the material and make it uniquely yours. If your target market likes your material, your market can perceive you as an expert in your line of business, which is something you can really capitalize on as you sell your products or services.\r\n\r\nHowever, it is not only the person who acquires private label rights who stands to benefit from it. It may be difficult to understand at first, but selling private label rights benefits even the original creator.\r\n\r\nWith the increasing demand for original material to be sold with private label rights, a writer can make good money from his or her work. The incentive is that he or she can command a higher price for the work given the rights that go with the material.\r\n\r\nFurthermore, selling the right to change the material any way the buyer wants is actually giving new life to the material. By giving the buyer the freedom to change the content in a number of creative ways, the material\'s usability sand relevance is extended.\r\n\r\nBy compensating the original content creator well; by allowing freedom and flexibility for the purchaser; and by giving the end user a wealth of very useful information, private label rights are by far one of the best things out there in the world of online marketing.", "Everyone Wins with Private Label Rights", "", "publish", "closed", "closed", "", "everyone-wins-with-private-label-rights", "", "", "2015-05-06 15:02:20", "2015-05-06 15:02:20", "", "0", "http://demobay.info/plr/?p=46", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2015-05-05 21:29:00", "2015-05-05 21:29:00", "", "Win", "", "inherit", "closed", "closed", "", "win", "", "", "2015-05-05 21:29:00", "2015-05-05 21:29:00", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/win_1430861340.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2015-05-05 21:29:12", "2015-05-05 21:29:12", "Would you believe a person if they told you that it was possible to take another person\'s work, change it anyway you please and call the edited material yours?\r\n\r\nWhat if that person also told you that besides being able to do so, you could actually profit from that work and not be liable for any copyright infringement?\r\n\r\nIf you haven\'t heard of private label rights, then most likely you\'d think they were pulling your leg. But all the above are true if you are able secure these rights.\r\n\r\nBut what are private label rights?\r\n\r\nTo understand why private label rights are so special, you need to know about resale and master resale first.\r\n\r\nResale rights are simply permission from the owner of a work (a book, for example) to allow you to take the said material and distribute it for your own profit.\r\n\r\nMaster resale rights take it a step further and allow you to sell the resale rights to the work. The reason why it is called master resale rights is because it covers a large set of permissible actions to the person who acquires those rights.\r\n\r\nExperts would tell you that to get the most of your purchasing of master resale rights, the following list of actions should allow you to:\r\n1. give the material away unaltered\r\n2. combine the material with others\r\n3. give the material away as a bonus item\r\n4. use the material a content for websites\r\n5. divide the product into separate articles\r\n6. put the rights for the material or the material itself up for auction\r\n7. provide the material as content for paid membership sites\r\n8. sell resale rights for the material\r\n9. change or alter the material\r\n\r\nBuying the whole set of these rights are great but it can cost you. But there is a way to get almost all of these actions and not have to pay as much for master resale rights IF you acquire just the right to change or alter the material, which is exactly what private label rights are.\r\n\r\nWith these set of rights, you are given permission to change another person\'s work. By altering the material, you have made the work your own which then allows you to profit from the material anyway you intend to.\r\n\r\nLet\'s say you were able to acquire private label rights for a particular ebook. What can you do?\r\n\r\nFor starters, you can break up the book into separate chapters and then sell these as articles. On the other hand, if you were able to acquire private label rights for a set of articles, you could combine them and package it as a book, which you then can sell.\r\n\r\nYou can change the material\'s content by adding or removing details. You can also add pictures or illustrations as well as other media like sound or video clips.\r\n\r\nAll of these actions are possible but the best part about private label rights is that you are not obligated to mention the original author (or pay them any royalties) for the changes you have done to his or her material. You can claim the material as yours by putting your name as the author of the material.\r\nWith these changes, the ways on capitalizing on them are many.\r\n\r\nYou can come up with a whole new set of products from a single material source. Take an ebook for example. On one hand, you\'ve broken up the book to sell them as articles. On the other, you\'ve enhanced the book\'s content with media to package it as your own work and putting it up for sale on the market.\r\n\r\nAcquiring private label rights are great for creating a brand for your business. As you may already know, one of the keys to a successful business is to distinguish yourself from the rest. With private label rights, you can change the material and make it uniquely yours. If your target market likes your material, your market can perceive you as an expert in your line of business, which is something you can really capitalize on as you sell your products or services.\r\n\r\nHowever, it is not only the person who acquires private label rights who stands to benefit from it. It may be difficult to understand at first, but selling private label rights benefits even the original creator.\r\n\r\nWith the increasing demand for original material to be sold with private label rights, a writer can make good money from his or her work. The incentive is that he or she can command a higher price for the work given the rights that go with the material.\r\n\r\nFurthermore, selling the right to change the material any way the buyer wants is actually giving new life to the material. By giving the buyer the freedom to change the content in a number of creative ways, the material\'s usability sand relevance is extended.\r\n\r\nBy compensating the original content creator well; by allowing freedom and flexibility for the purchaser; and by giving the end user a wealth of very useful information, private label rights are by far one of the best things out there in the world of online marketing.", "Everyone Wins with Private Label Rights", "", "inherit", "closed", "closed", "", "46-revision-v1", "", "", "2015-05-05 21:29:12", "2015-05-05 21:29:12", "", "46", "http://demobay.info/plr/2015/05/05/46-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2015-05-05 21:31:59", "2015-05-05 21:31:59", "<!-- privacy-policy -->", "Privacy Policy", "", "publish", "closed", "closed", "", "privacy-policy", "", "", "2015-05-05 21:31:59", "2015-05-05 21:31:59", "", "0", "http://demobay.info/plr/privacy-policy/", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2015-05-05 21:35:48", "2015-05-05 21:35:48", "[contact-form-7 id=\"23\" title=\"Contact form 1\"]", "Contact Us", "", "publish", "closed", "closed", "", "contact-us", "", "", "2015-05-05 21:35:48", "2015-05-05 21:35:48", "", "0", "http://demobay.info/plr/?page_id=52", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2015-05-05 21:35:48", "2015-05-05 21:35:48", "[contact-form-7 id=\"23\" title=\"Contact form 1\"]", "Contact Us", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2015-05-05 21:35:48", "2015-05-05 21:35:48", "", "52", "http://demobay.info/plr/2015/05/05/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2015-05-06 14:57:33", "2015-05-06 14:57:33", "At present, there are lots of ways that marketers can gain profit from the Internet. With so many business opportunities presented online, a prospective businessman only has to choose the best venture that will suit to his taste and capabilities.\r\n\r\nOne of the business opportunities that are fast gaining popularity from Internet marketers are private label rights products. Among the numerous products being offered up under private labels, software products are one of those that proliferated.\r\n\r\nBut first, one should understand the concept of private label rights.\r\n\r\nPrivate label rights enable a reseller to purchase a product not only for selling purposes, but also to do whatever that he wants with it. That is the main distinction of private label rights with resale rights. The latter gives resellers license to sell the product, provided that its contents stay intact. Private label rights give permission to the reseller to apply modifications and changes the product as he sees it fit to make it saleable to a specific market, without being held liable for it.\r\n\r\nUnder these rights, resellers are specifically allowed to:\r\n\r\n-dispense the product to others\r\n-provide a version that is branded, attached with affiliate links\r\n-include the product with other merchandise when packaged\r\n-use it as a bonus giveaway\r\n-utilize product as web site content\r\n-divide it into separate articles (applicable to e-books)\r\n-Sell it through auctions\r\n-modify or change the product\r\n\r\nThese items can actually serve as a checklist for resellers when it comes to negotiating with product owner when acquiring a material for private label rights.\r\n\r\nMaterials that are usually offered under private labels are software source codes, e-books, and graphic files.\r\n\r\nEach of the products has its advantages and disadvantages when being resold. For source codes, a reseller will have to gain some knowledge so he can compile the source codes into the finished software, especially if it has to be modified according to his specifications. An average reseller will have to employ the services of an expert to do this task, and this will add substantial cost and time. The advantage is, software has a much higher value when it comes to reselling compared to reports and e-books.\r\n\r\nIn the case of private label software products, the core technology of the product can be created and owned by another person or company, but resellers can place his brand and have the software tailor-made by utilizing layout and color schemes, logos, languages and other options that can be configurated to make the software look like it was created by the reseller. IN addition, the reseller can choose the name of the program and company, and the website to be associated with the software.\r\n\r\nThe makers of the software will offer the reseller full resell rights to the branded version of the product, with the understanding that sales choices will not be interfered upon, and royalties will not be collected, which will enable the reseller to establish his own price for the software and pocket all the profits.\r\n\r\nAlso, in the deal between the creator of the software and the reseller, a demo version of the product, along with the full version, can be provided. This demo version can be distributed by the reseller without any hindrance. The benefits of having a demo version is that the traffic to the web site of the reseller will increase each time the demo is downloaded.\r\n\r\nUsually, there are two levels of private labeling or branding offered for resellers: first is the tests and surveys that the reseller will manage and implement, and second, the technology and application that permits the reseller to author and host the tests and surveys.\r\n\r\nWhen it comes to transferring the ownership of the software, the following may be provided by the software\'s creator: documentation of the transaction and a special URL for each software title purchased by the reseller. This URL is provided so that resellers can dispense it to others top verify the ownership of the software.\r\n\r\nSoftware is only one among the many products that can be offered under private labels. A reseller with great marketing savvy can profit greatly from venturing into private label rights product. What they have to do is to choose the right product that they can improve on and market in order for them to rake in the profits. ", "Private Label Rights Software", "", "publish", "closed", "closed", "", "private-label-rights-software", "", "", "2015-05-06 14:57:33", "2015-05-06 14:57:33", "", "0", "http://demobay.info/plr/?p=54", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2015-05-06 14:57:22", "2015-05-06 14:57:22", "", "Software", "", "inherit", "closed", "closed", "", "software", "", "", "2015-05-06 14:57:22", "2015-05-06 14:57:22", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/software_1430924242.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2015-05-06 14:57:33", "2015-05-06 14:57:33", "At present, there are lots of ways that marketers can gain profit from the Internet. With so many business opportunities presented online, a prospective businessman only has to choose the best venture that will suit to his taste and capabilities.\r\n\r\nOne of the business opportunities that are fast gaining popularity from Internet marketers are private label rights products. Among the numerous products being offered up under private labels, software products are one of those that proliferated.\r\n\r\nBut first, one should understand the concept of private label rights.\r\n\r\nPrivate label rights enable a reseller to purchase a product not only for selling purposes, but also to do whatever that he wants with it. That is the main distinction of private label rights with resale rights. The latter gives resellers license to sell the product, provided that its contents stay intact. Private label rights give permission to the reseller to apply modifications and changes the product as he sees it fit to make it saleable to a specific market, without being held liable for it.\r\n\r\nUnder these rights, resellers are specifically allowed to:\r\n\r\n-dispense the product to others\r\n-provide a version that is branded, attached with affiliate links\r\n-include the product with other merchandise when packaged\r\n-use it as a bonus giveaway\r\n-utilize product as web site content\r\n-divide it into separate articles (applicable to e-books)\r\n-Sell it through auctions\r\n-modify or change the product\r\n\r\nThese items can actually serve as a checklist for resellers when it comes to negotiating with product owner when acquiring a material for private label rights.\r\n\r\nMaterials that are usually offered under private labels are software source codes, e-books, and graphic files.\r\n\r\nEach of the products has its advantages and disadvantages when being resold. For source codes, a reseller will have to gain some knowledge so he can compile the source codes into the finished software, especially if it has to be modified according to his specifications. An average reseller will have to employ the services of an expert to do this task, and this will add substantial cost and time. The advantage is, software has a much higher value when it comes to reselling compared to reports and e-books.\r\n\r\nIn the case of private label software products, the core technology of the product can be created and owned by another person or company, but resellers can place his brand and have the software tailor-made by utilizing layout and color schemes, logos, languages and other options that can be configurated to make the software look like it was created by the reseller. IN addition, the reseller can choose the name of the program and company, and the website to be associated with the software.\r\n\r\nThe makers of the software will offer the reseller full resell rights to the branded version of the product, with the understanding that sales choices will not be interfered upon, and royalties will not be collected, which will enable the reseller to establish his own price for the software and pocket all the profits.\r\n\r\nAlso, in the deal between the creator of the software and the reseller, a demo version of the product, along with the full version, can be provided. This demo version can be distributed by the reseller without any hindrance. The benefits of having a demo version is that the traffic to the web site of the reseller will increase each time the demo is downloaded.\r\n\r\nUsually, there are two levels of private labeling or branding offered for resellers: first is the tests and surveys that the reseller will manage and implement, and second, the technology and application that permits the reseller to author and host the tests and surveys.\r\n\r\nWhen it comes to transferring the ownership of the software, the following may be provided by the software\'s creator: documentation of the transaction and a special URL for each software title purchased by the reseller. This URL is provided so that resellers can dispense it to others top verify the ownership of the software.\r\n\r\nSoftware is only one among the many products that can be offered under private labels. A reseller with great marketing savvy can profit greatly from venturing into private label rights product. What they have to do is to choose the right product that they can improve on and market in order for them to rake in the profits. ", "Private Label Rights Software", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2015-05-06 14:57:33", "2015-05-06 14:57:33", "", "54", "http://demobay.info/plr/2015/05/06/54-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2015-05-05 15:00:06", "2015-05-05 15:00:06", "If you are looking to escape the nine to five workplace, you are not alone. This is because many jobs are not just nine to five anymore; instead there are many jobs that require employees to work longer. If you are looking for an easier way to make money, you have come to the rights place, the internet. Online you will find a number of different business opportunities. Some of those opportunities may be just what you were looking for.\r\n\r\nThe first step in finding a work at home opportunity is to know what your available options are. You can easily do this by examining a number of different sources. Your local book stores and libraries should have a number of different informational books and guides for those who are looking to learn more about working from home. You can also use the internet to search for that same information. Once you start researching work at home business opportunities, you will find that there are a number of different opportunities out there. For the best results, you are encouraged to examine all of them, including private label resell rights.\r\n\r\nPrivate label resell rights are offered on a number of different products, including software programs. These software programs are created by professional software designers or software developers. Although these professionals have experience creating software, there are many who are unfamiliar with selling their products. This is where the private label resell rights come in. Instead of spending money or taking the time to learn how to market and sell their products, many software creators choose to let someone else sell their product for them. They do this by selling the private label resell rights to someone who is looking to make money, someone just like you.\r\n\r\nIf you are interested in making money by obtaining the resell rights to a private label software program, you will need to find a program. The program that you choose is important because it often determines whether or not you will find success with this business opportunity. You are also advised to be on the lookout for resell right offers that allow you to change the program or claim it as your own. These types of offers may cost more that traditional resell right offers, but they are well worth it.\r\n\r\nOnce you have obtained the resell rights to a software program, you will then need to start thinking about making money. To make money with this business opportunity, you need to sell the software program, which you now own the rights to. Every time that you may a sale you will see a profit. That is why it is important that you try your best to sell the product. Despite what you may think, this does not mean that you have to work endless hours. Instead, you are advised to find and use the most effective selling methods. These methods may include the development an online product website or the use of online classified ads. In many cases, you will find that these selling methods are quick, but effective.\r\n\r\nIf selling a software program, that you didn\'t even create, sounds nice, you are advised to get started. The sooner you take part in this potentially profitable business opportunity, the sooner you may be able to escape the nine to five workplace. ", "Make Money Selling Private Label Software", "", "publish", "closed", "closed", "", "make-money-selling-private-label-software", "", "", "2015-05-06 15:02:58", "2015-05-06 15:02:58", "", "0", "http://demobay.info/plr/?p=57", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2015-05-06 14:59:50", "2015-05-06 14:59:50", "", "Software", "", "inherit", "closed", "closed", "", "software-2", "", "", "2015-05-06 14:59:50", "2015-05-06 14:59:50", "", "0", "http://demobay.info/plr/wp-content/uploads/2015/05/software_1430924390.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2015-05-06 15:00:06", "2015-05-06 15:00:06", "If you are looking to escape the nine to five workplace, you are not alone. This is because many jobs are not just nine to five anymore; instead there are many jobs that require employees to work longer. If you are looking for an easier way to make money, you have come to the rights place, the internet. Online you will find a number of different business opportunities. Some of those opportunities may be just what you were looking for.\r\n\r\nThe first step in finding a work at home opportunity is to know what your available options are. You can easily do this by examining a number of different sources. Your local book stores and libraries should have a number of different informational books and guides for those who are looking to learn more about working from home. You can also use the internet to search for that same information. Once you start researching work at home business opportunities, you will find that there are a number of different opportunities out there. For the best results, you are encouraged to examine all of them, including private label resell rights.\r\n\r\nPrivate label resell rights are offered on a number of different products, including software programs. These software programs are created by professional software designers or software developers. Although these professionals have experience creating software, there are many who are unfamiliar with selling their products. This is where the private label resell rights come in. Instead of spending money or taking the time to learn how to market and sell their products, many software creators choose to let someone else sell their product for them. They do this by selling the private label resell rights to someone who is looking to make money, someone just like you.\r\n\r\nIf you are interested in making money by obtaining the resell rights to a private label software program, you will need to find a program. The program that you choose is important because it often determines whether or not you will find success with this business opportunity. You are also advised to be on the lookout for resell right offers that allow you to change the program or claim it as your own. These types of offers may cost more that traditional resell right offers, but they are well worth it.\r\n\r\nOnce you have obtained the resell rights to a software program, you will then need to start thinking about making money. To make money with this business opportunity, you need to sell the software program, which you now own the rights to. Every time that you may a sale you will see a profit. That is why it is important that you try your best to sell the product. Despite what you may think, this does not mean that you have to work endless hours. Instead, you are advised to find and use the most effective selling methods. These methods may include the development an online product website or the use of online classified ads. In many cases, you will find that these selling methods are quick, but effective.\r\n\r\nIf selling a software program, that you didn\'t even create, sounds nice, you are advised to get started. The sooner you take part in this potentially profitable business opportunity, the sooner you may be able to escape the nine to five workplace. ", "Make Money Selling Private Label Software", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2015-05-06 15:00:06", "2015-05-06 15:00:06", "", "57", "http://demobay.info/plr/2015/05/06/57-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("25", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("36", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("40", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("43", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("46", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("54", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "4", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "2");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "About PLR", "aboutplr", "0");
INSERT INTO `wp_terms` VALUES("2", "PLR Articles", "plr-articles", "0");
INSERT INTO `wp_terms` VALUES("3", "PLR Profits", "plr-profits", "0");
INSERT INTO `wp_terms` VALUES("4", "PLR Software", "plr-software", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "admin");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "f");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "l");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp350_media,wp360_revisions,wp360_locks,wp390_widgets,wp410_dfw");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("15", "1", "wp_dashboard_quick_press_last_post_id", "7");
INSERT INTO `wp_usermeta` VALUES("19", "1", "session_tokens", "a:1:{s:64:\"981e8b4dfb57e21ff88c1614abbaae150fdcce0d014b93c5aabccc2cbd247a46\";i:1432038596;}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "wp_user-settings", "libraryContent=browse&editor=html&align=left&imgsize=thumbnail");
INSERT INTO `wp_usermeta` VALUES("21", "1", "wp_user-settings-time", "1430861744");
INSERT INTO `wp_usermeta` VALUES("22", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:8:\"add-post\";i:1;s:12:\"add-post_tag\";}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "admin", "$P$BiZsDv6XPbhN68509hR9Pug1d0IijO0", "admin", "mail@yourmail.com", "", "0000-00-00 00:00:00", "", "0", "admin");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2015-05-06 15:08:23*/
/* DUPLICATOR_MYSQLDUMP_EOF */
